2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* po/LINGUAS, po/cs.po.in, po/da.po.in, po/de.po.in, po/eo.po.in,
	po/es.po.in, po/fi.po.in, po/fr.po.in, po/hr.po.in, po/hu.po.in: 
	Sync with TP.

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* po/LINGUAS, po/cs.po.in, po/da.po.in, po/de.po.in, po/eo.po.in,
	po/es.po.in, po/fi.po.in, po/fr.po.in, po/hr.po.in, po/hu.po.in: 
	Sync with TP.

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* po/cs.po.in, po/da.po.in, po/de.po.in, po/eo.po.in, po/es.po.in,
	po/fi.po.in, po/fr.po.in, po/hr.po.in, po/hu.po.in, po/id.po.in,
	po/it.po.in, po/ja.po.in, po/nl.po.in, po/pl.po.in, po/pt_BR.po.in,
	po/ro.po.in, po/sr.po.in, po/sv.po.in, po/uk.po.in, po/vi.po.in: 
	Sync with TP.

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/stringprep.h: Fix indentation

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	*
	fuzz/libidn_stringprep_fuzzer.in/1f22e24a3fb9cf6acd7142fb6fe32fbb23
	c98679,
	fuzz/libidn_stringprep_fuzzer.in/597fa86126d3ab0ceb6f75186d332edb46
	10f428,
	fuzz/libidn_stringprep_fuzzer.in/da39a3ee5e6b4b0d3255bfef95601890af
	d80709,
	fuzz/libidn_stringprep_fuzzer.in/f9588bc48d8af673775c1c4383b038b0b2
	5821cb,
	fuzz/libidn_toascii_fuzzer.in/009ea80186fd48f2be70e15a5ee6725830195
	2d1,
	fuzz/libidn_toascii_fuzzer.in/a34567700e7d1593019d6485575b9f5108dda
	c6b,
	fuzz/libidn_tounicode_fuzzer.in/08659d1d9ca279fd8aaccd8193b07b4979e
	2acb6,
	fuzz/libidn_tounicode_fuzzer.in/1150df14849dfed92e120d5222b1e278e9b
	a5277,
	fuzz/libidn_tounicode_fuzzer.in/14b99bce491e97c22d16a278eb05e75ff60
	81cc6,
	fuzz/libidn_tounicode_fuzzer.in/167022ee2f31badfec8df0c364393c1ae2a
	d5be9,
	fuzz/libidn_tounicode_fuzzer.in/176ad7177686b1462c56cfa15d91608ea18
	9ab16,
	fuzz/libidn_tounicode_fuzzer.in/190efcef340b6e645b3da9e8036b4b8304a
	98afe,
	fuzz/libidn_tounicode_fuzzer.in/197d01d53619db46c7bfb904358b9e130ad
	5bbee,
	fuzz/libidn_tounicode_fuzzer.in/203be59e27f04fa2ab7bb9df99ab21d7ab4
	9b521,
	fuzz/libidn_tounicode_fuzzer.in/20712280f24576097ab99b9aa01453a0c6c
	f0374,
	fuzz/libidn_tounicode_fuzzer.in/20d859af269bcf8de6ebc81f5273b68282b
	09f08,
	fuzz/libidn_tounicode_fuzzer.in/21f87bc731c2733ae575bb913b69afcf3f1
	b04c1,
	fuzz/libidn_tounicode_fuzzer.in/2520fdf7a55e3f48d4f81f1995ba2d8ca8c
	464ed,
	fuzz/libidn_tounicode_fuzzer.in/28e0e66260cb612477f02067bcd583b766a
	63e21,
	fuzz/libidn_tounicode_fuzzer.in/293dd83c08b3672a94103a0141a3a20fea6
	7b477,
	fuzz/libidn_tounicode_fuzzer.in/2b3aeb19931a105411224d7f64114c033a0
	61046,
	fuzz/libidn_tounicode_fuzzer.in/34edf0c14fd6f8b02e1b4c5fef6b3e03ab8
	cc9c6,
	fuzz/libidn_tounicode_fuzzer.in/3629f1f4635be5afd6050afb4a0db3c6c85
	f72a8,
	fuzz/libidn_tounicode_fuzzer.in/38a68eb252c2775e1e4247cf3cf76ce82f3
	03095,
	fuzz/libidn_tounicode_fuzzer.in/3c909a9b86c99036ebcb536f3497fbf1248
	22c9a,
	fuzz/libidn_tounicode_fuzzer.in/3d187ef30785c374e67e6672b9afce67276
	a130f,
	fuzz/libidn_tounicode_fuzzer.in/3e033b180205efe8e6452eb6778df2c41ee
	bbf6c,
	fuzz/libidn_tounicode_fuzzer.in/40df18945758f810f5cd597548d89aa637b
	78de1,
	fuzz/libidn_tounicode_fuzzer.in/41f38a474f9877efdb0be2dbd94a041615d
	2b30e,
	fuzz/libidn_tounicode_fuzzer.in/4773714fd50978df4db1eccf903184974b1
	114ba,
	fuzz/libidn_tounicode_fuzzer.in/486979bdaadbc74e6635cd7d18b0fef28b9
	ae500,
	fuzz/libidn_tounicode_fuzzer.in/4d399b2e14695c3ac8132156bf6b4f75e49
	b82ff,
	fuzz/libidn_tounicode_fuzzer.in/4e97f646576439c8e5196dc8b88bedd70ac
	78474,
	fuzz/libidn_tounicode_fuzzer.in/501bee8c307e8a212918e4f56c9cebb9fc2
	96cdd,
	fuzz/libidn_tounicode_fuzzer.in/5417347370e0d8008af32f7a47d5909734f
	2a62e,
	fuzz/libidn_tounicode_fuzzer.in/56a25418268a6fce447ab091a2571a4ef60
	84477,
	fuzz/libidn_tounicode_fuzzer.in/5a17c0cbc9e5f82a06bb6e1059ce28cb8dd
	77cea,
	fuzz/libidn_tounicode_fuzzer.in/5c32ae248da66878413e0d505dca81232f0
	e8bc8,
	fuzz/libidn_tounicode_fuzzer.in/65e7baaef394036e288744db1a58dca4856
	45922,
	fuzz/libidn_tounicode_fuzzer.in/660840eaf994eae69ce52e8db73968d790e
	3b4c1,
	fuzz/libidn_tounicode_fuzzer.in/694b8443f9bd557e4ee4d13154566371690
	dd740,
	fuzz/libidn_tounicode_fuzzer.in/6b0f69e5b7ec35db1bf1131469d199770f3
	210a3,
	fuzz/libidn_tounicode_fuzzer.in/6f3f725876fcde50a3c3dec5b48fc9ae5d4
	a7d7c,
	fuzz/libidn_tounicode_fuzzer.in/77819edfe60a753a54f5de4c7a2271f058b
	577d4,
	fuzz/libidn_tounicode_fuzzer.in/78686aa772a8aad3d2439bb351def5c18c3
	ec133,
	fuzz/libidn_tounicode_fuzzer.in/7b2f69b317e57617ba98adf68451e28d64b
	21bdc,
	fuzz/libidn_tounicode_fuzzer.in/7d16c6272dbf16a899953013858392ac4f0
	2f582,
	fuzz/libidn_tounicode_fuzzer.in/80423a6ee15510a264de371fc8472833ecd
	e6da4,
	fuzz/libidn_tounicode_fuzzer.in/8673672b15859ba57d89e29ab3ff2457cee
	46f0e,
	fuzz/libidn_tounicode_fuzzer.in/8d07e712a25c44b8abef3a26a05e3e0d07f
	9d557,
	fuzz/libidn_tounicode_fuzzer.in/906b46f0a517707d161159c4279fa5a810c
	43ae8,
	fuzz/libidn_tounicode_fuzzer.in/9635857d73339cf84f4cca576b09ee3fa8f
	0b0eb,
	fuzz/libidn_tounicode_fuzzer.in/9a83637c83dfe2aa71dcb913587d071a5e9
	ef645,
	fuzz/libidn_tounicode_fuzzer.in/a7a5ac785f5966cfa7e1f00ee778cd67a60
	bbf4a,
	fuzz/libidn_tounicode_fuzzer.in/ab2e3df16619ca52b4ebd371e88949e569e
	7a633,
	fuzz/libidn_tounicode_fuzzer.in/ac746bd0324b36e34308d3f6fc8fc62074a
	d1608,
	fuzz/libidn_tounicode_fuzzer.in/b06b237f1e8501a758541e8e2c3cb0cbee1
	d92fa,
	fuzz/libidn_tounicode_fuzzer.in/b3124680789b41ba37b1a7fc53289716a7e
	9ba84,
	fuzz/libidn_tounicode_fuzzer.in/c2aa10aeab15402dc47f4bb7aaf9fa6541e
	ce202,
	fuzz/libidn_tounicode_fuzzer.in/c7046c87d3799d07b04bfab90a519b76715
	91bed,
	fuzz/libidn_tounicode_fuzzer.in/cf6376bf409406d250cec024dbc353d6c03
	ce41f,
	fuzz/libidn_tounicode_fuzzer.in/d06a7716df36b8576b7e936e380c5c0f4f6
	0a1e6,
	fuzz/libidn_tounicode_fuzzer.in/e1db1274ebcccfde3c439ae974f6304fe58
	a1c65,
	fuzz/libidn_tounicode_fuzzer.in/eaaf28de5962c8699683f745017184b8f39
	672d7,
	fuzz/libidn_tounicode_fuzzer.in/eab6a25b4abce8d00c916fe73d469fcd1d1
	6841a,
	fuzz/libidn_tounicode_fuzzer.in/ec03f3269c6b0876bdb975428ed3e07fe63
	43489,
	fuzz/libidn_tounicode_fuzzer.in/ec4f79878dbab019cd94fbe8f776abcd4bd
	a8603,
	fuzz/libidn_tounicode_fuzzer.in/fb67ac6e2f84b6e033ab50661bb193b6b9f
	726aa,
	fuzz/libidn_tounicode_fuzzer.in/fca840033568514df0d8bf562a1927b796b
	20d81,
	fuzz/libidn_tounicode_fuzzer.in/fe00a070fdeb01237fff71c5a2a798d0ffe
	7482a: Update fuzzer corpora

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/README.md, fuzz/get_ossfuzz_corpora, fuzz/run-clang.sh: 
	Update fuzz/ stuff

2018-05-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* HACKING, cfg.mk, configure.ac, doc/java/Makefile.am,
	java/src/main/java/Makefile.am: Drop gcj since upstream dropped it

2018-05-08  Tim Rühsen <tim.ruehsen@gmx.de>

	* NEWS, configure.ac, doc/announce.txt, lib/stringprep.h: Prepare
	release

2018-05-08  Tim Rühsen <tim.ruehsen@gmx.de>

	* contrib/release: Add release script

2018-05-09  Tim Rühsen <tim.ruehsen@gmx.de>

	* windows/libidn4win.mk: Update Windows build to libiconv-1.15

2018-05-08  Tim Rühsen <tim.ruehsen@gmx.de>

	* po/LINGUAS, po/cs.po.in, po/da.po.in, po/de.po.in, po/eo.po.in,
	po/es.po.in, po/fi.po.in, po/fr.po.in, po/hr.po.in, po/hu.po.in,
	po/id.po.in, po/it.po.in, po/ja.po.in, po/nl.po.in, po/pl.po.in,
	po/pt_BR.po.in, po/ro.po.in, po/sr.po.in, po/sv.po.in, po/uk.po.in,
	po/vi.po.in: Sync with TP.

2018-04-02  Tim Rühsen <tim.ruehsen@gmx.de>

	* .gitignore, gl/arg-nonnull.h, gl/c++defs.h, gl/warn-on-use.h,
	gltests/arg-nonnull.h, gltests/c++defs.h, gltests/glthread/lock.c,
	gltests/glthread/lock.h, gltests/glthread/thread.c,
	gltests/glthread/thread.h, gltests/glthread/threadlib.c,
	gltests/glthread/yield.h, gltests/warn-on-use.h,
	lib/gl/arg-nonnull.h, lib/gl/c++defs.h, lib/gl/unused-parameter.h,
	lib/gl/warn-on-use.h, lib/gltests/arg-nonnull.h,
	lib/gltests/c++defs.h, lib/gltests/unused-parameter.h,
	lib/gltests/warn-on-use.h, m4/wint_t.m4: Add missing gnulib files

2018-04-01  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/Makefile.am: Remove gcc/clang specific -Wno-vla option Reported-by: Dennis Clarke

2018-03-31  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/fuzzer.h, fuzz/libidn_stringprep_fuzzer.c,
	fuzz/libidn_toascii_fuzzer.c, fuzz/libidn_tounicode_fuzzer.c,
	lib/nfkc.c: Make code C89 compliant

2018-03-31  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/main.c: Remove TESTS_VALGRIND code from fuzz/main.c

2018-03-31  Tim Rühsen <tim.ruehsen@gmx.de>

	* NEWS, doc/announce.txt: Update for release

2018-03-31  Tim Rühsen <tim.ruehsen@gmx.de>

	* configure.ac: Increase library revision

2018-03-31  Tim Rühsen <tim.ruehsen@gmx.de>

	* gl/limits.h, lib/gl/limits.h: Remove autogenerated limits.h

2018-03-31  Tim Rühsen <tim.ruehsen@gmx.de>

	* AUTHORS: Update AUTHORS

2018-03-31  Tim Rühsen <tim.ruehsen@gmx.de>

	* NEWS: Update NEWS

2018-03-31  Tim Rühsen <tim.ruehsen@gmx.de>

	* po/cs.po.in, po/da.po.in, po/de.po.in, po/eo.po.in, po/fi.po.in,
	po/fr.po.in, po/hr.po.in, po/hu.po.in, po/id.po.in, po/it.po.in,
	po/ja.po.in, po/nl.po.in, po/pl.po.in, po/pt_BR.po.in, po/ro.po.in,
	po/sr.po.in, po/sv.po.in, po/uk.po.in, po/vi.po.in, po/zh_CN.po.in: 
	Sync with TP.

2018-03-31  Tim Rühsen <tim.ruehsen@gmx.de>

	* .gitignore, GNUmakefile, build-aux/csharpcomp.sh.in,
	build-aux/csharpexec.sh.in, build-aux/gendocs.sh,
	build-aux/gnupload, build-aux/pmccabe2html,
	build-aux/snippet/arg-nonnull.h, build-aux/snippet/c++defs.h,
	build-aux/snippet/unused-parameter.h,
	build-aux/snippet/warn-on-use.h, build-aux/update-copyright,
	build-aux/useless-if-before-free, build-aux/vc-list-files,
	doc/fdl-1.3.texi, doc/gendocs_template, doc/gendocs_template_min,
	gl/Makefile.am, {build-aux/snippet => gl}/_Noreturn.h,
	gl/basename-lgpl.c, gl/dirname-lgpl.c, gl/dirname.h, {gltests =>
	gl}/dosname.h, gl/errno.in.h, gl/error.c, gl/error.h,
	gl/getdelim.c, gl/getline.c, gl/getopt-cdefs.in.h,
	gl/getopt-core.h, gl/getopt-ext.h, gl/getopt-pfx-core.h,
	gl/getopt-pfx-ext.h, gl/getopt.c, gl/getopt.in.h, gl/getopt1.c,
	gl/getopt_int.h, gl/getprogname.c, gl/getprogname.h, gl/gettext.h,
	gl/intprops.h, gl/limits.h, gl/limits.in.h, gl/m4/00gnulib.m4,
	gl/m4/absolute-header.m4, gl/m4/alloca.m4, gl/m4/arpa_inet_h.m4,
	gl/m4/asm-underscore.m4, gl/m4/autobuild.m4, gl/m4/close.m4,
	gl/m4/csharp.m4, gl/m4/csharpcomp.m4, gl/m4/csharpexec.m4,
	gl/m4/ctype.m4, gl/m4/dirname.m4, gl/m4/double-slash-root.m4,
	gl/m4/dup2.m4, gl/m4/eealloc.m4, gl/m4/environ.m4,
	gl/m4/errno_h.m4, gl/m4/error.m4, gl/m4/extensions.m4,
	gl/m4/extern-inline.m4, gl/m4/fcntl-o.m4, gl/m4/fcntl.m4,
	gl/m4/fcntl_h.m4, gl/m4/fdopen.m4, gl/m4/fstat.m4,
	gl/m4/ftruncate.m4, gl/m4/getcwd.m4, gl/m4/getdelim.m4,
	gl/m4/getdtablesize.m4, gl/m4/getline.m4, gl/m4/getopt.m4,
	gl/m4/getprogname.m4, gl/m4/gettimeofday.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4,
	gl/m4/host-cpu-c-abi.m4, gl/m4/include_next.m4, gl/m4/inet_pton.m4,
	gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4, gl/m4/ioctl.m4,
	gl/m4/isblank.m4, gl/m4/largefile.m4, gl/m4/lib-ld.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/m4/limits-h.m4,
	gl/m4/localtime-buffer.m4, gl/m4/lock.m4, gl/m4/longlong.m4,
	gl/m4/lstat.m4, gl/m4/malloc.m4, gl/m4/malloca.m4,
	gl/m4/manywarnings-c++.m4, gl/m4/manywarnings.m4, gl/m4/mode_t.m4,
	gl/m4/msvc-inval.m4, gl/m4/msvc-nothrow.m4, gl/m4/multiarch.m4,
	gl/m4/nanosleep.m4, gl/m4/netinet_in_h.m4, gl/m4/nocrash.m4,
	gl/m4/off_t.m4, gl/m4/open-cloexec.m4, gl/m4/open.m4,
	gl/m4/pathmax.m4, gl/m4/perror.m4, gl/m4/pipe.m4,
	gl/m4/pthread_rwlock_rdlock.m4, gl/m4/pthread_sigmask.m4,
	gl/m4/putenv.m4, gl/m4/raise.m4, gl/m4/realloc.m4, gl/m4/select.m4,
	gl/m4/setenv.m4, gl/m4/sigaction.m4, gl/m4/signal_h.m4,
	gl/m4/signalblocking.m4, gl/m4/sleep.m4, gl/m4/socketlib.m4,
	gl/m4/sockets.m4, gl/m4/socklen.m4, gl/m4/sockpfaf.m4,
	gl/m4/ssize_t.m4, gl/m4/stat-time.m4, gl/m4/stat.m4,
	gl/m4/stdalign.m4, gl/m4/stdarg.m4, gl/m4/stdbool.m4,
	gl/m4/stddef_h.m4, gl/m4/stdint.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/strerror.m4, gl/m4/strerror_r.m4,
	gl/m4/string_h.m4, gl/m4/symlink.m4, gl/m4/sys_ioctl_h.m4,
	gl/m4/sys_select_h.m4, gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/sys_time_h.m4, gl/m4/sys_types_h.m4, gl/m4/sys_uio_h.m4,
	gl/m4/thread.m4, gl/m4/threadlib.m4, gl/m4/time_h.m4,
	gl/m4/unistd_h.m4, gl/m4/usleep.m4, gl/m4/valgrind-tests.m4,
	gl/m4/version-etc.m4, gl/m4/warn-on-use.m4, gl/m4/warnings.m4,
	gl/m4/wchar_h.m4, gl/m4/wchar_t.m4, gl/m4/wint_t.m4,
	gl/m4/yield.m4, {gltests => gl}/malloc.c, gl/msvc-inval.c,
	gl/msvc-inval.h, gl/msvc-nothrow.c, gl/msvc-nothrow.h,
	gl/override/doc/gendocs_template.diff,
	gl/override/lib/gettext.h.diff, gl/override/lib/progname.h.diff,
	gl/progname.c, gl/progname.h, gl/realloc.c, gl/stdarg.in.h,
	{gltests => gl}/stdbool.in.h, gl/stddef.in.h, gl/stdint.in.h,
	gl/stdio.in.h, gl/stdlib.in.h, gl/strerror-override.c,
	gl/strerror-override.h, gl/strerror.c, gl/string.in.h,
	gl/stripslash.c, gl/sys_types.in.h, gl/unistd.in.h, gl/verify.h,
	gl/version-etc.c, gl/version-etc.h, gltests/Makefile.am,
	gltests/_Noreturn.h, gltests/accept.c, gltests/alloca.c,
	gltests/alloca.in.h, gltests/arpa_inet.in.h, gltests/binary-io.c,
	gltests/binary-io.h, gltests/bind.c, gltests/c-ctype.c,
	gltests/c-ctype.h, gltests/cloexec.c, gltests/cloexec.h,
	gltests/close.c, gltests/connect.c, gltests/ctype.in.h,
	gltests/dup2.c, gltests/fcntl.c, gltests/fcntl.in.h,
	gltests/fd-hook.c, gltests/fd-hook.h, gltests/fdopen.c,
	gltests/filename.h, gltests/fstat.c, gltests/ftruncate.c,
	gltests/getcwd-lgpl.c, gltests/getdtablesize.c,
	gltests/gettimeofday.c, gltests/ignore-value.h,
	gltests/inet_pton.c, gltests/init.sh, gltests/inttypes.in.h,
	gltests/ioctl.c, gltests/isblank.c, gltests/listen.c,
	gltests/localtime-buffer.c, gltests/localtime-buffer.h,
	gltests/lstat.c, gltests/macros.h, gltests/malloca.c,
	gltests/malloca.h, gltests/malloca.valgrind, gltests/nanosleep.c,
	gltests/nap.h, gltests/netinet_in.in.h, gltests/open.c,
	gltests/pathmax.h, gltests/perror.c, gltests/pipe.c,
	gltests/pthread_sigmask.c, gltests/putenv.c, gltests/raise.c,
	gltests/same-inode.h, gltests/select.c, gltests/setenv.c,
	gltests/setsockopt.c, gltests/sig-handler.c, gltests/sig-handler.h,
	gltests/sigaction.c, gltests/signal.in.h, gltests/signature.h,
	gltests/sigprocmask.c, gltests/sleep.c, gltests/socket.c,
	gltests/sockets.c, gltests/sockets.h, gltests/stat-time.c,
	gltests/stat-time.h, gltests/stat-w32.c, gltests/stat-w32.h,
	gltests/stat.c, gltests/stdalign.in.h, gltests/strerror_r.c,
	gltests/symlink.c, gltests/sys_ioctl.in.h, gltests/sys_select.in.h,
	gltests/sys_socket.c, gltests/sys_socket.in.h,
	gltests/sys_stat.in.h, gltests/sys_time.in.h, gltests/sys_uio.in.h,
	gltests/test-accept.c, gltests/test-alloca-opt.c,
	gltests/test-arpa_inet.c, gltests/test-binary-io.c,
	gltests/test-binary-io.sh, gltests/test-bind.c,
	gltests/test-c-ctype.c, gltests/test-cloexec.c,
	gltests/test-close.c, gltests/test-connect.c, gltests/test-ctype.c,
	gltests/test-dup2.c, gltests/test-environ.c, gltests/test-errno.c,
	gltests/test-fcntl.c, gltests/test-fdopen.c, gltests/test-fgetc.c,
	gltests/test-fputc.c, gltests/test-fread.c, gltests/test-fstat.c,
	gltests/test-ftruncate.c, gltests/test-ftruncate.sh,
	gltests/test-fwrite.c, gltests/test-getcwd-lgpl.c,
	gltests/test-getdelim.c, gltests/test-getdtablesize.c,
	gltests/test-getline.c, gltests/test-getopt-gnu.c,
	gltests/{test-getopt.c => test-getopt-main.h},
	gltests/test-getopt-posix.c, gltests/test-getopt.h,
	gltests/test-getopt_long.h, gltests/test-getprogname.c,
	gltests/test-gettimeofday.c, gltests/test-ignore-value.c,
	gltests/test-inet_pton.c, gltests/test-init.sh,
	gltests/test-intprops.c, gltests/test-inttypes.c,
	gltests/test-ioctl.c, gltests/test-isblank.c,
	gltests/test-limits-h.c, gltests/test-listen.c,
	gltests/test-lock.c, gltests/test-lstat.c, gltests/test-lstat.h,
	gltests/test-malloca.c, gltests/test-nanosleep.c,
	gltests/test-netinet_in.c, gltests/test-open.c,
	gltests/test-open.h, gltests/test-pathmax.c, gltests/test-perror.c,
	gltests/test-perror.sh, gltests/test-perror2.c,
	gltests/test-pipe.c, gltests/test-pthread_sigmask1.c,
	gltests/test-pthread_sigmask2.c, gltests/test-raise.c,
	gltests/test-rwlock1.c, gltests/test-select-fd.c,
	gltests/test-select-in.sh, gltests/test-select-out.sh,
	gltests/test-select-stdin.c, gltests/test-select.c,
	gltests/test-select.h, gltests/test-setenv.c,
	gltests/test-setsockopt.c, gltests/test-sigaction.c,
	gltests/test-signal-h.c, gltests/test-sigprocmask.c,
	gltests/test-sleep.c, gltests/test-sockets.c,
	gltests/test-stat-time.c, gltests/test-stat.c, gltests/test-stat.h,
	gltests/test-stdalign.c, gltests/test-stdbool.c,
	gltests/test-stddef.c, gltests/test-stdint.c, gltests/test-stdio.c,
	gltests/test-strerror.c, gltests/test-strerror_r.c,
	gltests/test-symlink.c, gltests/test-symlink.h,
	gltests/test-sys_ioctl.c, gltests/test-sys_select.c,
	gltests/test-sys_socket.c, gltests/test-sys_time.c,
	gltests/test-sys_types.c, gltests/test-sys_uio.c,
	gltests/test-thread_create.c, gltests/test-thread_self.c,
	gltests/test-unsetenv.c, gltests/test-usleep.c,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, gltests/test-verify-try.c,
	gltests/test-verify.c, gltests/test-verify.sh,
	gltests/test-version-etc.c, gltests/test-version-etc.sh,
	gltests/time.in.h, gltests/unsetenv.c, gltests/usleep.c,
	gltests/version-etc-fsf.c, gltests/w32sock.h, gltests/wchar.in.h,
	gltests/xalloc-oversized.h, lib/gl/Makefile.am, lib/gl/c-ctype.h,
	lib/gl/c-strcase.h, lib/gl/c-strcasecmp.c, lib/gl/c-strncasecmp.c,
	lib/gl/gettext.h, lib/gl/iconv.c, lib/gl/iconv.in.h,
	lib/gl/iconv_close.c, lib/gl/iconv_open.c, lib/gl/limits.h,
	lib/gl/limits.in.h, lib/gl/m4/00gnulib.m4,
	lib/gl/m4/absolute-header.m4, lib/gl/m4/alloca.m4,
	lib/gl/m4/asm-underscore.m4, lib/gl/m4/ctype.m4,
	lib/gl/m4/eealloc.m4, lib/gl/m4/environ.m4,
	lib/gl/m4/extensions.m4, lib/gl/m4/extern-inline.m4,
	lib/gl/m4/flexmember.m4, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/gnulib-tool.m4, lib/gl/m4/host-cpu-c-abi.m4,
	lib/gl/m4/iconv.m4, lib/gl/m4/iconv_h.m4, lib/gl/m4/iconv_open.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/inline.m4,
	lib/gl/m4/inttypes-pri.m4, lib/gl/m4/inttypes.m4,
	lib/gl/m4/isblank.m4, lib/gl/m4/langinfo_h.m4,
	lib/gl/m4/ld-output-def.m4, lib/gl/m4/ld-version-script.m4,
	lib/gl/m4/lib-ld.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/lib-prefix.m4, lib/gl/m4/libunistring-base.m4,
	lib/gl/m4/limits-h.m4, lib/gl/m4/locale-fr.m4,
	lib/gl/m4/locale-ja.m4, lib/gl/m4/locale-tr.m4,
	lib/gl/m4/locale-zh.m4, lib/gl/m4/locale_h.m4,
	lib/gl/m4/localename.m4, lib/gl/m4/lock.m4, lib/gl/m4/longlong.m4,
	lib/gl/m4/malloc.m4, lib/gl/m4/malloca.m4, lib/gl/m4/msvc-inval.m4,
	lib/gl/m4/multiarch.m4, lib/gl/m4/off_t.m4,
	lib/gl/m4/pthread_rwlock_rdlock.m4, lib/gl/m4/pthread_sigmask.m4,
	lib/gl/m4/putenv.m4, lib/gl/m4/raise.m4, lib/gl/m4/setenv.m4,
	lib/gl/m4/setlocale.m4, lib/gl/m4/signal_h.m4,
	lib/gl/m4/signalblocking.m4, lib/gl/m4/sleep.m4,
	lib/gl/m4/ssize_t.m4, lib/gl/m4/stdalign.m4, lib/gl/m4/stdbool.m4,
	lib/gl/m4/stddef_h.m4, lib/gl/m4/stdint.m4, lib/gl/m4/stdlib_h.m4,
	lib/gl/m4/string_h.m4, lib/gl/m4/strverscmp.m4,
	lib/gl/m4/sys_types_h.m4, lib/gl/m4/thread.m4,
	lib/gl/m4/threadlib.m4, lib/gl/m4/time_h.m4, lib/gl/m4/unistd_h.m4,
	lib/gl/m4/usleep.m4, lib/gl/m4/visibility.m4,
	lib/gl/m4/warn-on-use.m4, lib/gl/m4/wchar_h.m4,
	lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4, lib/gl/m4/yield.m4,
	lib/gl/override/lib/gettext.h.diff,
	lib/gl/override/lib/stdint.in.h.diff, lib/gl/stdbool.in.h,
	lib/gl/stddef.in.h, lib/gl/stdint.in.h, lib/gl/striconv.c,
	lib/gl/striconv.h, lib/gl/string.in.h, lib/gl/strverscmp.c,
	lib/gl/sys_types.in.h, lib/gl/unistr.in.h,
	lib/gl/unistr/u8-check.c, lib/gl/unistr/u8-mbtoucr.c,
	lib/gl/unistr/u8-uctomb-aux.c, lib/gl/unistr/u8-uctomb.c,
	lib/gl/unitypes.in.h, lib/gltests/Makefile.am,
	lib/gltests/_Noreturn.h, lib/gltests/alloca.in.h,
	lib/gltests/ctype.in.h, lib/gltests/flexmember.h,
	lib/gltests/glthread/lock.c, lib/gltests/glthread/lock.h,
	lib/gltests/glthread/thread.c, lib/gltests/glthread/thread.h,
	lib/gltests/glthread/threadlib.c, lib/gltests/glthread/yield.h,
	lib/gltests/init.sh, lib/gltests/intprops.h,
	lib/gltests/inttypes.in.h, lib/gltests/isblank.c,
	lib/gltests/langinfo.in.h, lib/gltests/locale.in.h,
	lib/gltests/localename.c, lib/gltests/localename.h,
	lib/gltests/macros.h, lib/gltests/malloc.c, lib/gltests/malloca.c,
	lib/gltests/malloca.h, lib/gltests/malloca.valgrind,
	lib/gltests/msvc-inval.c, lib/gltests/msvc-inval.h,
	lib/gltests/pthread_sigmask.c, lib/gltests/putenv.c,
	lib/gltests/raise.c, lib/gltests/setenv.c, lib/gltests/setlocale.c,
	lib/gltests/signal.in.h, lib/gltests/signature.h,
	lib/gltests/sigprocmask.c, lib/gltests/sleep.c,
	lib/gltests/stdalign.in.h, lib/gltests/stdlib.in.h,
	lib/gltests/test-alloca-opt.c, lib/gltests/test-c-ctype.c,
	lib/gltests/test-c-strcasecmp.c, lib/gltests/test-c-strncasecmp.c,
	lib/gltests/test-ctype.c, lib/gltests/test-environ.c,
	lib/gltests/test-iconv.c, lib/gltests/test-init.sh,
	lib/gltests/test-intprops.c, lib/gltests/test-inttypes.c,
	lib/gltests/test-isblank.c, lib/gltests/test-langinfo.c,
	lib/gltests/test-limits-h.c, lib/gltests/test-locale.c,
	lib/gltests/test-localename.c, lib/gltests/test-lock.c,
	lib/gltests/test-malloca.c, lib/gltests/test-pthread_sigmask1.c,
	lib/gltests/test-pthread_sigmask2.c, lib/gltests/test-raise.c,
	lib/gltests/test-rwlock1.c, lib/gltests/test-setenv.c,
	lib/gltests/test-setlocale1.c, lib/gltests/test-setlocale2.c,
	lib/gltests/test-setlocale2.sh, lib/gltests/test-signal-h.c,
	lib/gltests/test-sigprocmask.c, lib/gltests/test-sleep.c,
	lib/gltests/test-stdalign.c, lib/gltests/test-stdbool.c,
	lib/gltests/test-stddef.c, lib/gltests/test-stdint.c,
	lib/gltests/test-stdlib.c, lib/gltests/test-striconv.c,
	lib/gltests/test-strverscmp.c, lib/gltests/test-sys_types.c,
	lib/gltests/test-sys_wait.h, lib/gltests/test-thread_create.c,
	lib/gltests/test-thread_self.c, lib/gltests/test-time.c,
	lib/gltests/test-unistd.c, lib/gltests/test-unsetenv.c,
	lib/gltests/test-usleep.c, lib/gltests/test-verify-try.c,
	lib/gltests/test-verify.c, lib/gltests/test-verify.sh,
	lib/gltests/time.in.h, lib/gltests/unistd.in.h,
	lib/gltests/unistr/test-u8-check.c,
	lib/gltests/unistr/test-u8-mbtoucr.c,
	lib/gltests/unistr/test-u8-uctomb.c, lib/gltests/unsetenv.c,
	lib/gltests/usleep.c, lib/gltests/verify.h, lib/gltests/wchar.in.h,
	lib/gltests/xalloc-oversized.h, maint.mk: Update gnulib

2018-01-30  Tim Rühsen <tim.ruehsen@gmx.de>

	* configure.ac: Remove -Werror from CFLAGS Newer compilers have more warnings enabled by default which maybe
	break compilation with -Werror.  (But -Werror is good for
	developer-controlled testing.) E.g. build broke with clang and
	--disable-nls configure flag.  Reported-by: Rupert Gallagher

2018-01-09  Tim Rühsen <tim.ruehsen@gmx.de>

	* .gitignore, cfg.mk: Fix cfg.mk, update .gitignore

2018-01-09  Tim Rühsen <tim.ruehsen@gmx.de>

	* cfg.mk: Bootstrap: Properly generate gtk-doc.make

2018-01-09  Tim Rühsen <tim.ruehsen@gmx.de>

	* gtk-doc.make: Remove gtk-doc.make from repo

2018-01-09  Tim Rühsen <tim.ruehsen@gmx.de>

	* cfg.mk: Bootstrap: Create gtk-doc.make

2018-01-08  Tim Rühsen <tim.ruehsen@gmx.de>

	* m4/gtk-doc.m4: Remove m4/gtk-doc.m4 from repo

2018-01-05  Tim Rühsen <tim.ruehsen@gmx.de>

	* cfg.mk: Auto-generate build-aux/config.rpath

2018-01-05  Tim Rühsen <tim.ruehsen@gmx.de>

	* .gitignore: .gitignore: Add build-aux/config.rpath

2018-01-05  Tim Rühsen <tim.ruehsen@gmx.de>

	* cfg.mk: Fix bootstrap to work without build-aux/config.rpath

2018-01-05  Tim Rühsen <tim.ruehsen@gmx.de>

	* configure.ac: configure.ac: Only use AM_SILENT_RULES if available

2018-01-04  Tim Rühsen <tim.ruehsen@gmx.de>

	* configure.ac: Test for GTK_DOC_CHECK in configure.ac

2018-01-04  Tim Rühsen <tim.ruehsen@gmx.de>

	* gtk-doc.make, m4/gtk-doc.m4: Remove old and unneeded GTK-DOC files

2018-01-04  Tim Rühsen <tim.ruehsen@gmx.de>

	* build-aux/config.rpath: Remove auto-generated file
	build-aux/config.rpath

2017-11-03  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/nfkc.c: * lib/nfkc.c (combine_hangul): Fix integer overflow Found by OSS-Fuzz. Has no impact.

2017-10-04  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/punycode.c, tests/tst_idna.c: lib/punycode.c (decode_digit):
	Really fix integer overflow The fix in commit e9e81b8063b095b02cf104bb992fa9bf9515b9d8 was
	incomplete.  Reported-by: Christian Weisgerber

2017-10-04  Tim Rühsen <tim.ruehsen@gmx.de>

	* src/Makefile.am: * src/Makefile.am: Fix rule for parallel builds

2017-09-01  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/punycode.c: lib/punycode.c (decode_digit): Fix integer
	overflow This fix is a backport from libidn2 and addresses CVE-2017-14062.

2017-07-18  Tim Rühsen <tim.ruehsen@gmx.de>

	*
	fuzz/libidn_tounicode_fuzzer.in/02bc32bf3dd4754069858cdd9a5fcc798fe
	fe36b,
	fuzz/libidn_tounicode_fuzzer.in/03cd736fd4f598c12997cf85bebe710eb16
	49b24,
	fuzz/libidn_tounicode_fuzzer.in/06953003342fa73c025859c8139d65b4b02
	ba07b,
	fuzz/libidn_tounicode_fuzzer.in/0a9ab3ff8f188026a3a28d77842374fe90b
	95fdd,
	fuzz/libidn_tounicode_fuzzer.in/0ebf78e478647a583620e48748d0acff48a
	b5601,
	fuzz/libidn_tounicode_fuzzer.in/1121bd3b423ee33c22f825b79db618db9b2
	c176e,
	fuzz/libidn_tounicode_fuzzer.in/11632f15aaf63e338d198a3b7898db579ac
	32850,
	fuzz/libidn_tounicode_fuzzer.in/14b99bce491e97c22d16a278eb05e75ff60
	81cc6,
	fuzz/libidn_tounicode_fuzzer.in/156fc45339dab235295f464fc931f033915
	fbc7c,
	fuzz/libidn_tounicode_fuzzer.in/160447d87ec2a8f576fb45c89f5677582bc
	821a2,
	fuzz/libidn_tounicode_fuzzer.in/189d032bad0f39c78cf49da51c6d66cc6da
	f6dd1,
	fuzz/libidn_tounicode_fuzzer.in/1a67553cc583f9ca17fbc42642d7953843b
	c79f0,
	fuzz/libidn_tounicode_fuzzer.in/1bb047137657a27be33326e6d185d13c4b8
	57973,
	fuzz/libidn_tounicode_fuzzer.in/1d54a512b8454fed391f863db5d06205c0d
	d329f,
	fuzz/libidn_tounicode_fuzzer.in/1d9e01120ca67a95ed5b2e9f6f5b07fe745
	95d16,
	fuzz/libidn_tounicode_fuzzer.in/1fba6c2bca74620740da03c8de2cd59a83b
	02e64,
	fuzz/libidn_tounicode_fuzzer.in/2383d9e1e72ddc608f790584e58df09991d
	24ccf,
	fuzz/libidn_tounicode_fuzzer.in/258fd1903a9935cfc30676ed2c26f4fe6fd
	ee886,
	fuzz/libidn_tounicode_fuzzer.in/2963061a4aec010d3d6483b12d0ca010e53
	24505,
	fuzz/libidn_tounicode_fuzzer.in/2a3cc65ed7836903ab51544fea7fcbe7b56
	b48dd,
	fuzz/libidn_tounicode_fuzzer.in/2c0b39fa2e3b816a5ff6f087dc1e79cdc05
	337c1,
	fuzz/libidn_tounicode_fuzzer.in/2d107d290f5662764953b90cafbff5eaf6d
	90d6e,
	fuzz/libidn_tounicode_fuzzer.in/2daad284dec88c52861d3f1744e81e98fec
	2fcdd,
	fuzz/libidn_tounicode_fuzzer.in/2f4929c48e73e027615534e48ce8ce09c3a
	a9049,
	fuzz/libidn_tounicode_fuzzer.in/30eae303d711efba9f107181b963d02cc85
	4b23f,
	fuzz/libidn_tounicode_fuzzer.in/315abaa7981bc57275b025f8cfd5b026a17
	21200,
	fuzz/libidn_tounicode_fuzzer.in/33b7989f4b61f4598f28ecd0fc4b2f792c1
	a5925,
	fuzz/libidn_tounicode_fuzzer.in/3447d62012427a65934db7f3914e0b3adf1
	192c3,
	fuzz/libidn_tounicode_fuzzer.in/3975b565cc2175eb9e416f2a79ae28846ff
	74b7e,
	fuzz/libidn_tounicode_fuzzer.in/3c08ead5198484949275edd7a88da635c59
	7a841,
	fuzz/libidn_tounicode_fuzzer.in/3d937adc3e6442158a7b7c52b3e8e184466
	31353,
	fuzz/libidn_tounicode_fuzzer.in/3e0604c2a029492eed610ed1113e83345cb
	aed7b,
	fuzz/libidn_tounicode_fuzzer.in/3e612b0f4d376582245f13fd446b763538d
	d39b0,
	fuzz/libidn_tounicode_fuzzer.in/418ad46eac1ce0025c4204208b148a8bd01
	c3d0b,
	fuzz/libidn_tounicode_fuzzer.in/4e0341e3b256a4ab5898ac02354ddbd3eab
	b71e1,
	fuzz/libidn_tounicode_fuzzer.in/5144b2b1b0b063e4ff2ea3fd679ac800347
	0c88e,
	fuzz/libidn_tounicode_fuzzer.in/5417347370e0d8008af32f7a47d5909734f
	2a62e,
	fuzz/libidn_tounicode_fuzzer.in/5bdfe13171df7e321f92c5b64a96bdf2680
	0fc55,
	fuzz/libidn_tounicode_fuzzer.in/60a40bc3da921c7200b7a16d01f62346e69
	ada3e,
	fuzz/libidn_tounicode_fuzzer.in/61cb5b59c41436d32179348b76888090158
	d7a15,
	fuzz/libidn_tounicode_fuzzer.in/6247718331a92a720b3b7d4fd973196bbd4
	e75cb,
	fuzz/libidn_tounicode_fuzzer.in/63077f847cb0aa9f08ebfeae7ecc433d8dd
	d059e,
	fuzz/libidn_tounicode_fuzzer.in/633f33ffa9fec7134f1740eb1d41fc1d430
	bf38a,
	fuzz/libidn_tounicode_fuzzer.in/635c06b8aca566eea0ac85844f4042add36
	b8022,
	fuzz/libidn_tounicode_fuzzer.in/66427ca84668611c47dfcad297677897fcd
	106dc,
	fuzz/libidn_tounicode_fuzzer.in/68d09623343fdfee14d1b0db468dfe0ada8
	5c172,
	fuzz/libidn_tounicode_fuzzer.in/6be3b229946a627f316e39971bdec8e6f90
	c9fcb,
	fuzz/libidn_tounicode_fuzzer.in/6f5f5dd7a50bd9684cd0e605045bb71e0b6
	3f75e,
	fuzz/libidn_tounicode_fuzzer.in/71ac8dfc8f54e2b8d1e2e46304a7b548e62
	58e9c,
	fuzz/libidn_tounicode_fuzzer.in/7775791270d9b931765b7ef8fb3e044ee49
	ea2a6,
	fuzz/libidn_tounicode_fuzzer.in/78915c55b92cd7f2df82f30522440381341
	2f81c,
	fuzz/libidn_tounicode_fuzzer.in/7b91f8534109c93dc3be7296891f3a43051
	b8945,
	fuzz/libidn_tounicode_fuzzer.in/7fb7332a57e49943046229f97cf653916ea
	a1897,
	fuzz/libidn_tounicode_fuzzer.in/7ff68e652ce73e69cca4531cdeeb09101d4
	1eeac,
	fuzz/libidn_tounicode_fuzzer.in/8039c51b5f72d9bfcd0bd9127be3e993314
	549dc,
	fuzz/libidn_tounicode_fuzzer.in/826fb6459b17d9485950c2b481415e3373a
	9b166,
	fuzz/libidn_tounicode_fuzzer.in/867fdcff7f17d8edada4e89c819425a21ba
	1ea65,
	fuzz/libidn_tounicode_fuzzer.in/8718417ec50696275c375755d385593e927
	2ecfa,
	fuzz/libidn_tounicode_fuzzer.in/877d9769e787f354718fb9b9ad911278131
	600e3,
	fuzz/libidn_tounicode_fuzzer.in/8a3f2e55aaaf921fa77a9430a8136dc14e1
	0b8d0,
	fuzz/libidn_tounicode_fuzzer.in/8b230c50cfb1e18e7bf1724cea40f3a8f93
	6f36f,
	fuzz/libidn_tounicode_fuzzer.in/8bb8d9db81e210980935afab78903308173
	d67aa,
	fuzz/libidn_tounicode_fuzzer.in/8d574dc88dbc172decd15413746f6d04c39
	0c268,
	fuzz/libidn_tounicode_fuzzer.in/8df85ecf4e57283a87148b9081c5142de0d
	f3f8f,
	fuzz/libidn_tounicode_fuzzer.in/8fa570d7d07b14dc39a53b457941e4d608e
	29c38,
	fuzz/libidn_tounicode_fuzzer.in/9166310a560102361d29dcdd88069cf990c
	1b1c0,
	fuzz/libidn_tounicode_fuzzer.in/917252386431b0e7c95ae754eda9835e382
	60c5a,
	fuzz/libidn_tounicode_fuzzer.in/93f8ffb301d761dbb641bca81516cb16283
	1433d,
	fuzz/libidn_tounicode_fuzzer.in/960c6cd3b4f2a8ee12e0a511540dd07bc5b
	5da11,
	fuzz/libidn_tounicode_fuzzer.in/961f71ae83f4e979a149e0bcc241b73b9c3
	a6b35,
	fuzz/libidn_tounicode_fuzzer.in/972a9a37efe350a4a4a0832afc960b40c9c
	b3c27,
	fuzz/libidn_tounicode_fuzzer.in/98bc1262c700a3b370d6f6923466135a873
	6a883,
	fuzz/libidn_tounicode_fuzzer.in/9920544a2e35baefb0b64e501ebf6a7e516
	a8b00,
	fuzz/libidn_tounicode_fuzzer.in/99d6f80b852b34f1bd470d630a8d51029d1
	0109b,
	fuzz/libidn_tounicode_fuzzer.in/9b6a1291e0ad0d15b33bc2397e8e2ccb037
	acb51,
	fuzz/libidn_tounicode_fuzzer.in/9c95f31a7ed4e7f07147d8f5d5541d61cdb
	0e96e,
	fuzz/libidn_tounicode_fuzzer.in/9e9bb41690b5306a80e4a0ae61140c1eff0
	a3b74,
	fuzz/libidn_tounicode_fuzzer.in/9eb4f4187c350a414870dd12f41b639162e
	60d2a,
	fuzz/libidn_tounicode_fuzzer.in/a059629a3e130565966a76b167c4ba97133
	c44d9,
	fuzz/libidn_tounicode_fuzzer.in/a13e360757cc8299847987db068482d6c0e
	81f6f,
	fuzz/libidn_tounicode_fuzzer.in/a31208844e7267e6ba50253739ff957d63a
	64043,
	fuzz/libidn_tounicode_fuzzer.in/a8d208d66027824f32a6e2484db9bbede6c
	47c2b,
	fuzz/libidn_tounicode_fuzzer.in/a933cdef5fdd9f40ecc348f175ec574b7d7
	26198,
	fuzz/libidn_tounicode_fuzzer.in/ac2f81f155beca28456abebef9ec46c1b8d
	32953,
	fuzz/libidn_tounicode_fuzzer.in/af5cd05ab26da76d5f57ac506539aa7f64b
	00cd2,
	fuzz/libidn_tounicode_fuzzer.in/b24046d9953350824d38f357164c7342cff
	a8ce9,
	fuzz/libidn_tounicode_fuzzer.in/b297798d2d7a0c63649d4d9da6855075a95
	165bc,
	fuzz/libidn_tounicode_fuzzer.in/b2bf14377746987981ced8f61948335534e
	c5779,
	fuzz/libidn_tounicode_fuzzer.in/b2dc8674685551c475d7a6c4d9d4247637a
	2292b,
	fuzz/libidn_tounicode_fuzzer.in/b4562908968ec0fb83592cdadacaece87d6
	fa73a,
	fuzz/libidn_tounicode_fuzzer.in/b4b894ad823e9908bd0f56b3ff8845ebfc7
	e5d8b,
	fuzz/libidn_tounicode_fuzzer.in/b85b3cab1305270ee028bc6e75a7bcfc70f
	e7f2b,
	fuzz/libidn_tounicode_fuzzer.in/b9562451910ba37e48b44106832867307bb
	e918e,
	fuzz/libidn_tounicode_fuzzer.in/bd5bdc9b43c8d310675ecf22851c038090e
	d4521,
	fuzz/libidn_tounicode_fuzzer.in/c140e25b5579e6e8fd54c0c4fa8763a80bd
	9a0c6,
	fuzz/libidn_tounicode_fuzzer.in/c1ff72138260d14a084a5a180f52374c08a
	7ed8e,
	fuzz/libidn_tounicode_fuzzer.in/c2aa10aeab15402dc47f4bb7aaf9fa6541e
	ce202,
	fuzz/libidn_tounicode_fuzzer.in/c3374a1c155f557329a2f20e2ff30424069
	68074,
	fuzz/libidn_tounicode_fuzzer.in/c44f05c1ecbc82418f6ffa92997b8e45afc
	ed3b4,
	fuzz/libidn_tounicode_fuzzer.in/c6725e1f459900d7aec1c4b6f76dbe659a5
	6e5db,
	fuzz/libidn_tounicode_fuzzer.in/ccad8ceb1c8b0bccdebbc9249109c78422b
	edd92,
	fuzz/libidn_tounicode_fuzzer.in/cf11c7effad7c329d16d4b0cb2e25d836c7
	1a587,
	fuzz/libidn_tounicode_fuzzer.in/cf878472675c4d84ef66fc52ad4ee085541
	37c0c,
	fuzz/libidn_tounicode_fuzzer.in/d15bff655dd408097fcccdeb6fdd989db25
	2345e,
	fuzz/libidn_tounicode_fuzzer.in/d304438a26e942dbca36bb97705247ef959
	96edd,
	fuzz/libidn_tounicode_fuzzer.in/d97ff7fd6164247fa3218e71770d90a9069
	c5c35,
	fuzz/libidn_tounicode_fuzzer.in/db1286c04d958631f19390c4d43969c4ff0
	736a9,
	fuzz/libidn_tounicode_fuzzer.in/dbcaf2119e48f20def964dea5489b533564
	e6e0f,
	fuzz/libidn_tounicode_fuzzer.in/dc14cd5a94b4b9ffa8e3eca21735a9da28e
	2cb7f,
	fuzz/libidn_tounicode_fuzzer.in/df01739ccccfb572b06f5a88b0b84057ecc
	69e99,
	fuzz/libidn_tounicode_fuzzer.in/e030f0fde511539b9cb314de6b39a14c0ab
	e9b75,
	fuzz/libidn_tounicode_fuzzer.in/e0a6cecd9082af41ff654026b6df0b767db
	0ced1,
	fuzz/libidn_tounicode_fuzzer.in/e0bb27f83847ecd72f590482745bcebd640
	43d8b,
	fuzz/libidn_tounicode_fuzzer.in/e5e0d9b5b0b065d64cc774962af34e1a27f
	f52dd,
	fuzz/libidn_tounicode_fuzzer.in/ec79b41e4c85ccdcc74f716587c7c5765cb
	00ac2,
	fuzz/libidn_tounicode_fuzzer.in/ed38b7f12c59abc5f8e6547fc431cf2e393
	90a2f,
	fuzz/libidn_tounicode_fuzzer.in/eec736e9f82f3c81418ae2f8dd48dac2328
	f05e1,
	fuzz/libidn_tounicode_fuzzer.in/f1301d0eb70e59869a5c0c9d19dd2b61110
	fa815,
	fuzz/libidn_tounicode_fuzzer.in/f1f2da52ee8e86b87e09527138229b679c5
	4b970,
	fuzz/libidn_tounicode_fuzzer.in/f60d91dca8803087d200674115b9adbe041
	7b6c6,
	fuzz/libidn_tounicode_fuzzer.in/f66accaed1b2c8dcc702b91b19ed8c9d4d4
	5fcb2,
	fuzz/libidn_tounicode_fuzzer.in/f730348f927d75306d1eceb800fcb76cbcb
	5277c,
	fuzz/libidn_tounicode_fuzzer.in/f90a42830897dd4cae436e69d33d7b4a266
	57a33,
	fuzz/libidn_tounicode_fuzzer.in/f9183b2c1d1d0dbb654e6f798f841af43bc
	141e2,
	fuzz/libidn_tounicode_fuzzer.in/fa577895df3cc2b17ef46e61f0aae339b41
	3d96d,
	fuzz/libidn_tounicode_fuzzer.in/ffe8f2416a6a3606f5051b8f03079ea832d
	6a692: Update fuzzer test corpora

2017-07-16  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/idna.c: Fix slowness issue in
	idna.c/idna_to_unicode_internal() This has been found by oss-fuzz.  A 316 byte input needed >25s to be
	run by libidn_tounicode_fuzzer().  Normal should be 1000+ runs per
	second.

2017-07-14  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/Makefile.am: Fix distcheck

2017-07-14  Tim Rühsen <tim.ruehsen@gmx.de>

	* .gitignore: Update .gitignore

2017-07-14  Tim Rühsen <tim.ruehsen@gmx.de>

	*
	fuzz/libidn_stringprep_fuzzer.in/0141bd7eba8e1a049257333b3393af013d
	a5bb82,
	fuzz/libidn_stringprep_fuzzer.in/06d44cd5a8354caafbb7b8f864c22c475e
	a42bfa,
	fuzz/libidn_stringprep_fuzzer.in/075f5669349824607c15586ca5d3b7f53b
	1724d0,
	fuzz/libidn_stringprep_fuzzer.in/0ff2ba56fb4c1bfdb78197438835462c17
	b2a817,
	fuzz/libidn_stringprep_fuzzer.in/11ff7f72f237771a5f2084100de8b7a2ff
	1f1361,
	fuzz/libidn_stringprep_fuzzer.in/20490eb1bd38ce4f7184585ef4a82fbc9b
	2fb0b2,
	fuzz/libidn_stringprep_fuzzer.in/228498d5daadf76435316ea64e18aae52f
	0f423a,
	fuzz/libidn_stringprep_fuzzer.in/22d475fe1770319dc77cbc748ce18ba3d7
	e3f44b,
	fuzz/libidn_stringprep_fuzzer.in/23a2b0e9f35ed98cd81169c71476085f99
	278377,
	fuzz/libidn_stringprep_fuzzer.in/24627090a6435ceeb69469fd06061354bf
	596db4,
	fuzz/libidn_stringprep_fuzzer.in/24eecb196375ff3e71083c4dbe775a797c
	021fd9,
	fuzz/libidn_stringprep_fuzzer.in/2ed390ea6b478e72a849f360403293bb2b
	c72f0d,
	fuzz/libidn_stringprep_fuzzer.in/2fb3ec9e7f85bd944e816f74b7783b9017
	dfefa8,
	fuzz/libidn_stringprep_fuzzer.in/413b3a6690c595a3d81ad73ff7a3242c93
	2388ce,
	fuzz/libidn_stringprep_fuzzer.in/459bdec7a7b173569e96b7630de6acbd16
	6d83e9,
	fuzz/libidn_stringprep_fuzzer.in/4f57a7c73a075420015997449451fec98b
	bd04db,
	fuzz/libidn_stringprep_fuzzer.in/509712269ffe0c339e0e5c9391416938e7
	9adbe9,
	fuzz/libidn_stringprep_fuzzer.in/61fbc7b6d20add94782d3d9825908f3266
	2c394d,
	fuzz/libidn_stringprep_fuzzer.in/62d89125fa5226d4040f6204a07013968b
	475e09,
	fuzz/libidn_stringprep_fuzzer.in/655100335309fc048ce35e318067ea9876
	ecab7b,
	fuzz/libidn_stringprep_fuzzer.in/672e3745b005b1e5077056da447a4c9435
	01d9f8,
	fuzz/libidn_stringprep_fuzzer.in/6d3c00b3dcc64c9363d7d88c95b4080dee
	0f8d83,
	fuzz/libidn_stringprep_fuzzer.in/6e4217091f31b1d6693493eb3f4d6714b0
	87f7c5,
	fuzz/libidn_stringprep_fuzzer.in/701b77cb35d4ade2da07175aa3fcec8b81
	755590,
	fuzz/libidn_stringprep_fuzzer.in/77d5335cb4323b54360dfacfa907c3dd6b
	a71079,
	fuzz/libidn_stringprep_fuzzer.in/799e78e6dcba5282a4881b1dfb71587efc
	8658ea,
	fuzz/libidn_stringprep_fuzzer.in/7d49c24732bc240543e87d25daa13f2e68
	eaead9,
	fuzz/libidn_stringprep_fuzzer.in/7d9b53624e9b4cfd1a697025df61a9ca05
	60f48b,
	fuzz/libidn_stringprep_fuzzer.in/8001f684885fe7170a8080a360d6f4bf20
	669aa2,
	fuzz/libidn_stringprep_fuzzer.in/81bce9e02921a2f52ea156845e9e81463e
	a16380,
	fuzz/libidn_stringprep_fuzzer.in/884f701f533b0f558eea0e6303f125af2b
	962cdf,
	fuzz/libidn_stringprep_fuzzer.in/895d3cf61a626a90b89f5e5b0683e89f83
	a72193,
	fuzz/libidn_stringprep_fuzzer.in/8da6211e3bd1c442dc34722fed2586582c
	fe8ffb,
	fuzz/libidn_stringprep_fuzzer.in/8ec692038bfdf3f4ab8bdb79f069a6bb2e
	8e4ab3,
	fuzz/libidn_stringprep_fuzzer.in/952b0138dc17bd9278030a31e66ed5755c
	4ed152,
	fuzz/libidn_stringprep_fuzzer.in/993faa3d6b71d37cb741d170a40c16f526
	b407a6,
	fuzz/libidn_stringprep_fuzzer.in/9f98082669df0a990001a4e23298c79f4e
	842c05,
	fuzz/libidn_stringprep_fuzzer.in/a37abb79a5f2db54e19f6838143c557013
	f450e9,
	fuzz/libidn_stringprep_fuzzer.in/a7398d1a5eb7b47c48e85f6440306ab6b9
	6ddf4c,
	fuzz/libidn_stringprep_fuzzer.in/a91a95cd0b7f41da663ed86b6a98e6a9b7
	fca7da,
	fuzz/libidn_stringprep_fuzzer.in/b695e55c6c49acd6accd4eb3e076c12f70
	e7cdeb,
	fuzz/libidn_stringprep_fuzzer.in/bb3cc0121c670ebd8a4a4acd06346c79bd
	4b6f8d,
	fuzz/libidn_stringprep_fuzzer.in/bdefaf74c508804ceb8dd31104410e4e3c
	567dea,
	fuzz/libidn_stringprep_fuzzer.in/c065cf7e63a3173ed903dfdb55ea98e248
	543185,
	fuzz/libidn_stringprep_fuzzer.in/c571e3aee5df2b0fb25cc2774f9ca16612
	a2c259,
	fuzz/libidn_stringprep_fuzzer.in/c5eb2cd7c32bc657e4274583ef33ddd15f
	e064b9,
	fuzz/libidn_stringprep_fuzzer.in/c72ed2750fa303ea0c56962200aead79cf
	0dd6af,
	fuzz/libidn_stringprep_fuzzer.in/cb6eb2d2911ee902ffb91c30995e664335
	b816e8,
	fuzz/libidn_stringprep_fuzzer.in/cdbb6bac4f8ae5f767254fdbf821c2eda1
	c35950,
	fuzz/libidn_stringprep_fuzzer.in/cebe86075e4d6cfedc15ffa0cf18f920d8
	15d316,
	fuzz/libidn_stringprep_fuzzer.in/cf0e6cecaaab6575fe25e410d852470509
	8a451a,
	fuzz/libidn_stringprep_fuzzer.in/d26a17d1429620256ff3dde0e92e347f56
	d8d337,
	fuzz/libidn_stringprep_fuzzer.in/d4c901f334b85e9035263a294961fc33a3
	84bc95,
	fuzz/libidn_stringprep_fuzzer.in/daf2963346ea35d29dfb8447562d4bdafe
	d835eb,
	fuzz/libidn_stringprep_fuzzer.in/e5cf4a65aeec0c6a3ce3174ba13b564c77
	9741dc,
	fuzz/libidn_stringprep_fuzzer.in/e6d0d32014fe0b45f5292b6f68271a6e73
	2b51fb,
	fuzz/libidn_stringprep_fuzzer.in/e813f3f3616615a58bbf8a37e00a5eee4f
	513b07,
	fuzz/libidn_stringprep_fuzzer.in/f32347090981bf9ddc3de70a79dce16227
	48ddff,
	fuzz/libidn_stringprep_fuzzer.in/f378a4e4ff480e4d134497f1c80f8901d3
	e0502c,
	fuzz/libidn_stringprep_fuzzer.in/f55059115d11432dc446a2de83f6751788
	7d2efb,
	fuzz/libidn_stringprep_fuzzer.in/fa27231fbc8ff4857f025c1f058fa767bc
	ddb797,
	fuzz/libidn_stringprep_fuzzer.in/fa7d4ad5204a8d053d24df2cc60e8cea2d
	78899b,
	fuzz/libidn_toascii_fuzzer.in/051e6cf7ca64125140c306dd0992aa488c170
	854,
	fuzz/libidn_toascii_fuzzer.in/08b97ade858fc1962c832ca85536f54b9b493
	1a9,
	fuzz/libidn_toascii_fuzzer.in/0aac03cd6cb214cfbadf79ff02f5d5643efa2
	c8d,
	fuzz/libidn_toascii_fuzzer.in/0ecd911057b45ea2dd759c8a8dff5b6a7e024
	75f,
	fuzz/libidn_toascii_fuzzer.in/14af77b093b117a0ae423e84a342f425a65bc
	177,
	fuzz/libidn_toascii_fuzzer.in/1616d8be1e6dbfc4ec1c515f56d37b54078c3
	58e,
	fuzz/libidn_toascii_fuzzer.in/2dc7f08a61bc7c176f1fcf4ec3304d75e87ff
	309,
	fuzz/libidn_toascii_fuzzer.in/2f9a458ad3c3b943faa596c9ea7571edd5878
	59d,
	fuzz/libidn_toascii_fuzzer.in/42bb4c7e2c93aab85bb64e722877aac7356b0
	4b8,
	fuzz/libidn_toascii_fuzzer.in/53902f404fe11861dd71be0dd10aae94d2fcb
	eda,
	fuzz/libidn_toascii_fuzzer.in/57abbacc5673391a39609c26172c0ce6ff116
	c88,
	fuzz/libidn_toascii_fuzzer.in/583d82a04c7826b5dada8ceef15b2c42e55d7
	570,
	fuzz/libidn_toascii_fuzzer.in/657da8194675a130e42e548d340deade7c554
	803,
	fuzz/libidn_toascii_fuzzer.in/9a771fd29ae7c62ec0d34413162a306ba82ce
	f93,
	fuzz/libidn_toascii_fuzzer.in/a34567700e7d1593019d6485575b9f5108dda
	c6b,
	fuzz/libidn_toascii_fuzzer.in/a4f1e6fa585ac26b84905c748c433f8bc809a
	2bf,
	fuzz/libidn_toascii_fuzzer.in/ab4f944b278819184a94bb6a873741ef16993
	d6c,
	fuzz/libidn_toascii_fuzzer.in/bdd5743394cf038bce16d96b05d28b4e12d72
	f71,
	fuzz/libidn_toascii_fuzzer.in/cf73377e412662c827fc544caddaca22811dd
	741,
	fuzz/libidn_toascii_fuzzer.in/d1f3cd975559dfada2a1bc3b50fa2c4e1a62a
	28d,
	fuzz/libidn_toascii_fuzzer.in/dbd43b5d64869a0681e9d58d0fd034a14e1c8
	64a,
	fuzz/libidn_toascii_fuzzer.in/e4da2d5b840e3f2ccc9c01c472a1dfa34ee99
	4a5,
	fuzz/libidn_toascii_fuzzer.in/e82bea5bcf6786e1affdee2422f63ff54dd2f
	ce1,
	fuzz/libidn_toascii_fuzzer.in/e8f33485da1a39582cc88380509ab1014a4a6
	c98,
	fuzz/libidn_tounicode_fuzzer.in/00f2c840e36ff25174b70bd8e22b62c772e
	6811d,
	fuzz/libidn_tounicode_fuzzer.in/010cd8b696cd9b0d7942941611fe4784d3e
	fa183,
	fuzz/libidn_tounicode_fuzzer.in/02bc32bf3dd4754069858cdd9a5fcc798fe
	fe36b,
	fuzz/libidn_tounicode_fuzzer.in/02c3b77c5ff93244b0abbdc52e4d05c9f82
	5877f,
	fuzz/libidn_tounicode_fuzzer.in/03cd736fd4f598c12997cf85bebe710eb16
	49b24,
	fuzz/libidn_tounicode_fuzzer.in/04ba145660449213143edc8a0e5c1c8115c
	407ab,
	fuzz/libidn_tounicode_fuzzer.in/089f92c66953ccd3a5181122da72dc26cc4
	97a5a,
	fuzz/libidn_tounicode_fuzzer.in/09d28d035b36476ce936f93db25c43002b9
	754d8,
	fuzz/libidn_tounicode_fuzzer.in/09f986ad37d1616fdceadbc6403ec5b480c
	7176c,
	fuzz/libidn_tounicode_fuzzer.in/0bdccdcb2d4c0f6b0c7210a1aedacafbc2e
	5d8e4,
	fuzz/libidn_tounicode_fuzzer.in/0fc44ed24fa140e8433e1895afe54f96838
	6979e,
	fuzz/libidn_tounicode_fuzzer.in/120b1f64a6d354049b4c8d46fbbf3a10749
	c0e7f,
	fuzz/libidn_tounicode_fuzzer.in/12afd0bea9ab15c361faf9cb3224818964e
	ae372,
	fuzz/libidn_tounicode_fuzzer.in/143aebb43b61807354f8c44af8549c6526a
	baba9,
	fuzz/libidn_tounicode_fuzzer.in/1554238a1379e6f11db8dcb3413338c19da
	37436,
	fuzz/libidn_tounicode_fuzzer.in/241f2b82308e0864138033c232c56833f0d
	a29a0,
	fuzz/libidn_tounicode_fuzzer.in/2468ed16a864bbe1596d44bd7f3a4bd898c
	6fb42,
	fuzz/libidn_tounicode_fuzzer.in/2549580ab39987ecd9e05712cc14636ef3b
	80be2,
	fuzz/libidn_tounicode_fuzzer.in/286db527c6d22c4b7634649a7b79a3bad8c
	0859c,
	fuzz/libidn_tounicode_fuzzer.in/2a3cc65ed7836903ab51544fea7fcbe7b56
	b48dd,
	fuzz/libidn_tounicode_fuzzer.in/2a60e29f064f8f48accec25769b6690e678
	d430e,
	fuzz/libidn_tounicode_fuzzer.in/2aed527ca0d919dfcbaf07228e0ebce4baa
	b1803,
	fuzz/libidn_tounicode_fuzzer.in/2f426b6bd3610e6d076b4cea422d1ebdb6b
	aeb09,
	fuzz/libidn_tounicode_fuzzer.in/2fafa16e4b517ba95a93b337ba59fbcb8d2
	e9530,
	fuzz/libidn_tounicode_fuzzer.in/355bb2992279f483c30e2dd2398339f47c4
	0d5d6,
	fuzz/libidn_tounicode_fuzzer.in/358a0f0297766be466f5bb183ab4edc79f2
	0ecb5,
	fuzz/libidn_tounicode_fuzzer.in/35b286bebd33e03bc7e24b41df174bb4abf
	a5b7c,
	fuzz/libidn_tounicode_fuzzer.in/3a4274eb41a40892b735c58936a9818eda6
	e9f41,
	fuzz/libidn_tounicode_fuzzer.in/3d1246f7a81ea04d65bc6024d2ed13a0351
	2ffa9,
	fuzz/libidn_tounicode_fuzzer.in/3da2cf3baa6308e91abf9192cde4e74d2b6
	af06d,
	fuzz/libidn_tounicode_fuzzer.in/3e612b0f4d376582245f13fd446b763538d
	d39b0,
	fuzz/libidn_tounicode_fuzzer.in/4020420d7f0f1ee05d2fbf6c63eac85019d
	eddad,
	fuzz/libidn_tounicode_fuzzer.in/41fb43ecdaa87d9ae2972da47fc21fe87aa
	35fae,
	fuzz/libidn_tounicode_fuzzer.in/43edbb1f7b6aa81ba247adf17b4fd71e343
	d55ee,
	fuzz/libidn_tounicode_fuzzer.in/45a6e1b920f8cff779694c9b0bbe5fcbb67
	cd29d,
	fuzz/libidn_tounicode_fuzzer.in/492617ba6097851da583ef4644f7831a2f4
	d7c77,
	fuzz/libidn_tounicode_fuzzer.in/498a98fed20cd60ea66ef8e69abf1d5078d
	da1be,
	fuzz/libidn_tounicode_fuzzer.in/4f7bda31210c1994501c6feee98963f2c83
	0d8a0,
	fuzz/libidn_tounicode_fuzzer.in/510660ed5b91605e19f9e8f4b1fc47bd9ba
	cfbb8,
	fuzz/libidn_tounicode_fuzzer.in/51229077c486e4e5218e701ce69ac106446
	a314f,
	fuzz/libidn_tounicode_fuzzer.in/51b14b4a29a9274423e969fb1f238080a8b
	8cab3,
	fuzz/libidn_tounicode_fuzzer.in/563e09a14ba5a7bb6e99fd38c6d808b0ed1
	ea273,
	fuzz/libidn_tounicode_fuzzer.in/56f23993dfbdf49552ad20c4246c7f0cf39
	933a5,
	fuzz/libidn_tounicode_fuzzer.in/5b96696c3da3efbaf8b846243d494bf9532
	30481,
	fuzz/libidn_tounicode_fuzzer.in/5c033fb814b75a1d374a1915ad75f235e94
	1454b,
	fuzz/libidn_tounicode_fuzzer.in/5d4dba31a1c0ea188ed08799fd4dd370c49
	36ea8,
	fuzz/libidn_tounicode_fuzzer.in/5f2a31bb7a3c384e3ce5087fcb53cf0abe0
	28d39,
	fuzz/libidn_tounicode_fuzzer.in/5f72daeb3d70356137fa7171e424258c835
	309b0,
	fuzz/libidn_tounicode_fuzzer.in/60714d36dfbc0bf00c83cea0ffccbd06680
	6fd2b,
	fuzz/libidn_tounicode_fuzzer.in/60b2c1824cddd0ef27d5fde546ca22aa2ea
	fb8b1,
	fuzz/libidn_tounicode_fuzzer.in/618786068d945aab842e8cd868a4418962f
	63915,
	fuzz/libidn_tounicode_fuzzer.in/6247718331a92a720b3b7d4fd973196bbd4
	e75cb,
	fuzz/libidn_tounicode_fuzzer.in/62bdebe96eb74d4501db1a23d13244ba5bf
	843d1,
	fuzz/libidn_tounicode_fuzzer.in/64e57243a9533a8bc520a0a969b5f626d3e
	c6e14,
	fuzz/libidn_tounicode_fuzzer.in/66427ca84668611c47dfcad297677897fcd
	106dc,
	fuzz/libidn_tounicode_fuzzer.in/66fb8de2ab6f11f3d5ca98a0e36b98c79db
	57fb8,
	fuzz/libidn_tounicode_fuzzer.in/684bcd828b355c647ed33ba51ac77c0c2c1
	8b647,
	fuzz/libidn_tounicode_fuzzer.in/697ebf1d257a31ba1b37ff1d8b2515c35fe
	31ebb,
	fuzz/libidn_tounicode_fuzzer.in/69854ac47f17321225ca53cec6a163265d6
	15226,
	fuzz/libidn_tounicode_fuzzer.in/6dfa779f4f80eae7ef591431c0914ee3ab2
	d4443,
	fuzz/libidn_tounicode_fuzzer.in/71ac8dfc8f54e2b8d1e2e46304a7b548e62
	58e9c,
	fuzz/libidn_tounicode_fuzzer.in/72138756289e9def90f21c5c54fa928573a
	d0d01,
	fuzz/libidn_tounicode_fuzzer.in/72e309a2961275c15fe5b5a8c97c1191b11
	9791a,
	fuzz/libidn_tounicode_fuzzer.in/76e8df40ef63579bf1d2ce3339cd3c0916f
	8e6e7,
	fuzz/libidn_tounicode_fuzzer.in/776ce8ddfc48d1ab6691ecf36d64c0aa6b7
	b48e6,
	fuzz/libidn_tounicode_fuzzer.in/7814f51868c780af86669a3b564fcbbcc57
	e9d56,
	fuzz/libidn_tounicode_fuzzer.in/79838b9c676183707031761f59c3d63f13a
	7ec46,
	fuzz/libidn_tounicode_fuzzer.in/7bb84571e26e4c106aecb607c626558de6c
	be53a,
	fuzz/libidn_tounicode_fuzzer.in/7d364a4a39face9fbf0e0e1e629070486b0
	ce2e2,
	fuzz/libidn_tounicode_fuzzer.in/7fa304c357e0711b34bd04263ae2136de29
	018bb,
	fuzz/libidn_tounicode_fuzzer.in/80423a6ee15510a264de371fc8472833ecd
	e6da4,
	fuzz/libidn_tounicode_fuzzer.in/82b2cbc546ca48fc87b3ead6321e40e2397
	9e5ed,
	fuzz/libidn_tounicode_fuzzer.in/8379568db03d56a729f554a45397ed0bd1e
	0e0bc,
	fuzz/libidn_tounicode_fuzzer.in/8518208669bf75f30298b48b77dd33bc92b
	ca73d,
	fuzz/libidn_tounicode_fuzzer.in/8604a545da758e2138a9c209545a06c644c
	19d4a,
	fuzz/libidn_tounicode_fuzzer.in/8673672b15859ba57d89e29ab3ff2457cee
	46f0e,
	fuzz/libidn_tounicode_fuzzer.in/867fdcff7f17d8edada4e89c819425a21ba
	1ea65,
	fuzz/libidn_tounicode_fuzzer.in/88aab670f550dfbcfeaab230ec33343b4e9
	9c9bc,
	fuzz/libidn_tounicode_fuzzer.in/8992b2ee8d38c0cacd40b12bc5648ba7386
	9f818,
	fuzz/libidn_tounicode_fuzzer.in/89d401723861dc68765fc03c7cd9ac521ae
	82c82,
	fuzz/libidn_tounicode_fuzzer.in/8a3f2e55aaaf921fa77a9430a8136dc14e1
	0b8d0,
	fuzz/libidn_tounicode_fuzzer.in/8fa570d7d07b14dc39a53b457941e4d608e
	29c38,
	fuzz/libidn_tounicode_fuzzer.in/90f87938b414b533d09b90f3fd94846e627
	6606c,
	fuzz/libidn_tounicode_fuzzer.in/917252386431b0e7c95ae754eda9835e382
	60c5a,
	fuzz/libidn_tounicode_fuzzer.in/94b2f40c74c31815363f72367762ef98289
	bab16,
	fuzz/libidn_tounicode_fuzzer.in/97140203053231c6afa57a7d3e42793e786
	b3c0d,
	fuzz/libidn_tounicode_fuzzer.in/977206303aaf5963597fff30c97d6c38abf
	74a1c,
	fuzz/libidn_tounicode_fuzzer.in/99904c3ca7c50905adbe8d835c538205167
	8cdb9,
	fuzz/libidn_tounicode_fuzzer.in/99d6f80b852b34f1bd470d630a8d51029d1
	0109b,
	fuzz/libidn_tounicode_fuzzer.in/9a3e700267f9b95e6747df1bfa5df71c097
	ad5af,
	fuzz/libidn_tounicode_fuzzer.in/9a6f45ac3e8483fe1e0f0cb839618753d26
	ea48a,
	fuzz/libidn_tounicode_fuzzer.in/9b6a1291e0ad0d15b33bc2397e8e2ccb037
	acb51,
	fuzz/libidn_tounicode_fuzzer.in/9cd42bc813e74b3a1dfdbef24c6a697ee63
	d384d,
	fuzz/libidn_tounicode_fuzzer.in/9ee5c85e8b46e77c365d41ebb7e091a55b3
	ad8f8,
	fuzz/libidn_tounicode_fuzzer.in/9fc5e5e8a536c7d110c37b8e05c6fbd8900
	d35ad,
	fuzz/libidn_tounicode_fuzzer.in/a14d91ad0c0503c94d06a650dd8e0626c9e
	6ae3d,
	fuzz/libidn_tounicode_fuzzer.in/a31208844e7267e6ba50253739ff957d63a
	64043,
	fuzz/libidn_tounicode_fuzzer.in/a5eabc3b578673b71262a7e82762c5cd558
	607d8,
	fuzz/libidn_tounicode_fuzzer.in/a684833855566bf8c7c0400144759da7276
	c4b2b,
	fuzz/libidn_tounicode_fuzzer.in/a7c01f91f00b25523ba7714a3cfa2141d98
	66c64,
	fuzz/libidn_tounicode_fuzzer.in/a7dfb6998bb2e76cbfd9d47c7357bda1c3a
	f7f4a,
	fuzz/libidn_tounicode_fuzzer.in/a8045693dffa6e787075ddc248885c9719f
	143f9,
	fuzz/libidn_tounicode_fuzzer.in/a978f8a1028a504ada62584681558af4222
	57388,
	fuzz/libidn_tounicode_fuzzer.in/aa79d199807abe600dc01977daba9d6490c
	abcdb,
	fuzz/libidn_tounicode_fuzzer.in/ab90d23f7402359d51e25399fe46dac3401
	a3352,
	fuzz/libidn_tounicode_fuzzer.in/ad7bbf3de6690c23732485fc1b91cf48681
	cafc5,
	fuzz/libidn_tounicode_fuzzer.in/b085a748b9bade05a0f28adc45945dc2000
	7bfbc,
	fuzz/libidn_tounicode_fuzzer.in/b08825f6d4ca90d150570395e2c650125f8
	a609c,
	fuzz/libidn_tounicode_fuzzer.in/b2dc8674685551c475d7a6c4d9d4247637a
	2292b,
	fuzz/libidn_tounicode_fuzzer.in/b49939053abe01a51818de3e0345ac9599c
	de5d7,
	fuzz/libidn_tounicode_fuzzer.in/b79eba63946df91f805f15b983bd6de7898
	908b5,
	fuzz/libidn_tounicode_fuzzer.in/b9471ce1b573ccb6221a4ba1302b1f2fa50
	9f417,
	fuzz/libidn_tounicode_fuzzer.in/bae9339ce4a14409f50ac3d66c3be506a13
	a8d6e,
	fuzz/libidn_tounicode_fuzzer.in/bb8bbafe51169735c17d7e587e834de2e48
	24a4a,
	fuzz/libidn_tounicode_fuzzer.in/c05c4bc29ac6308d79d9463635797a85c74
	9d17b,
	fuzz/libidn_tounicode_fuzzer.in/c28d1c58337866bd5fe23d726210a8489cc
	10a29,
	fuzz/libidn_tounicode_fuzzer.in/c2b74657cfdc68838962fe123a634f1510a
	69913,
	fuzz/libidn_tounicode_fuzzer.in/c3258984c287b95f8f0454c9cc3ec2aa2e7
	92025,
	fuzz/libidn_tounicode_fuzzer.in/c515cb8ca5d2234c6c0534387c80cfe6a38
	d56ce,
	fuzz/libidn_tounicode_fuzzer.in/c5652275db6447e2cef50c154eaffecb066
	17f10,
	fuzz/libidn_tounicode_fuzzer.in/c5930c3517b15bfe1001da28f041f64acb8
	9d639,
	fuzz/libidn_tounicode_fuzzer.in/c63d58e3ad0ab80b4c4b7f3bf18e22d2e76
	f7620,
	fuzz/libidn_tounicode_fuzzer.in/ca8218b6cd1c67196ba19a33efe5f62ea3a
	2e4e8,
	fuzz/libidn_tounicode_fuzzer.in/cc2d301603e7dc90461bd99f4817c448433
	85afb,
	fuzz/libidn_tounicode_fuzzer.in/d15bff655dd408097fcccdeb6fdd989db25
	2345e,
	fuzz/libidn_tounicode_fuzzer.in/d313742d07934debd038a99ce205c2a68dd
	870c9,
	fuzz/libidn_tounicode_fuzzer.in/d42383dfd5dcbc78948aa595c5b951b371d
	f49e3,
	fuzz/libidn_tounicode_fuzzer.in/da31f19425607ac0b83da3d4a83511b9da1
	88884,
	fuzz/libidn_tounicode_fuzzer.in/db1286c04d958631f19390c4d43969c4ff0
	736a9,
	fuzz/libidn_tounicode_fuzzer.in/db8d5ae00e9f9969519722f7b0cef65af34
	db081,
	fuzz/libidn_tounicode_fuzzer.in/db9fc3b637ae684364f8cce274bb605655c
	24dcf,
	fuzz/libidn_tounicode_fuzzer.in/dbcca563e2fb873c24930296ae36c3c7c0d
	ec15d,
	fuzz/libidn_tounicode_fuzzer.in/dbde783030cd26b97e2623d908547d452c4
	3c144,
	fuzz/libidn_tounicode_fuzzer.in/dbfb7d27d3721534eae496bcdc7df29760d
	b7357,
	fuzz/libidn_tounicode_fuzzer.in/dd2ebcd49bdab57a36fb7cecfe71b558de1
	9b34d,
	fuzz/libidn_tounicode_fuzzer.in/e0051bfdcea25917652bf2de0b351b787dc
	9df16,
	fuzz/libidn_tounicode_fuzzer.in/e2748a7e04a824aefaad02b4d6518cf5f1d
	6d769,
	fuzz/libidn_tounicode_fuzzer.in/e2ca0f0866d34cda187011b17699ec7fbd1
	19151,
	fuzz/libidn_tounicode_fuzzer.in/e3f843127d16fa3ac8300e531b5bc7151eb
	03f88,
	fuzz/libidn_tounicode_fuzzer.in/e465fde8a81dafc2e41dc4dfdfce831d3d9
	ab336,
	fuzz/libidn_tounicode_fuzzer.in/e9f9d0ae7d9f94af73acf09c40e6008cec1
	73a5f,
	fuzz/libidn_tounicode_fuzzer.in/eb75f535609995bdb7c6acd2e4e62f27a33
	520b5,
	fuzz/libidn_tounicode_fuzzer.in/eba4a7b3cdcec3848426db0bb84d4ed8562
	88fe7,
	fuzz/libidn_tounicode_fuzzer.in/ec03f3269c6b0876bdb975428ed3e07fe63
	43489,
	fuzz/libidn_tounicode_fuzzer.in/ec79b41e4c85ccdcc74f716587c7c5765cb
	00ac2,
	fuzz/libidn_tounicode_fuzzer.in/ed38b7f12c59abc5f8e6547fc431cf2e393
	90a2f,
	fuzz/libidn_tounicode_fuzzer.in/f0ecf03449e3a46167502db747c7df93752
	b3805,
	fuzz/libidn_tounicode_fuzzer.in/f0fcb9e361ed7197b926aaae9fe30f09330
	53c92,
	fuzz/libidn_tounicode_fuzzer.in/f2576deda1deb1b1b72407e3d0c5197471d
	2d9b0,
	fuzz/libidn_tounicode_fuzzer.in/f60d91dca8803087d200674115b9adbe041
	7b6c6,
	fuzz/libidn_tounicode_fuzzer.in/f66accaed1b2c8dcc702b91b19ed8c9d4d4
	5fcb2,
	fuzz/libidn_tounicode_fuzzer.in/f6d22146a69502fbab08f3f1c571446492f
	331dc,
	fuzz/libidn_tounicode_fuzzer.in/f7373d3f4707876c1d79cba91b7570b03f0
	1adb5,
	fuzz/libidn_tounicode_fuzzer.in/f9183b2c1d1d0dbb654e6f798f841af43bc
	141e2,
	fuzz/libidn_tounicode_fuzzer.in/f93f6b04f98cd3955b394e8bd80219bd9cf
	a33dc,
	fuzz/libidn_tounicode_fuzzer.in/fad6303ca89c8ef9947e9c33a508fb36f88
	83388,
	fuzz/libidn_tounicode_fuzzer.in/fad7477c58bb2a1b3be4e62a958065527e2
	2cec7,
	fuzz/libidn_tounicode_fuzzer.in/fb546ba2399b09bd24f2d347d7963d2c6a5
	113ff,
	fuzz/libidn_tounicode_fuzzer.in/fcac9eef353e4c79e3c15909039dc36dd1e
	cef84,
	fuzz/libidn_tounicode_fuzzer.in/fd334a77dcac42636ba01076705d5093fbf
	fb87a,
	fuzz/libidn_tounicode_fuzzer.in/fdbfdf151e9f221262b61192e7573a60f29
	fec4a: Update fuzzer corpora

2017-07-14  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/run-clang.sh: Add CTRL-C handling for run-clang.sh

2017-07-14  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/libidn_stringprep_fuzzer.c, fuzz/libidn_toascii_fuzzer.c,
	fuzz/libidn_tounicode_fuzzer.c: Limit fuzzers to 1024 bytes input

2017-07-12  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/stringprep.c: Fix slowness issue in stringprep_profile()

2017-07-12  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/libidn_error_fuzzer.c, fuzz/libidn_error_fuzzer.in/empty,
	fuzz/libidn_error_fuzzer.in/onebyte: Remove libidn_error_fuzzer
	(really)

2017-07-12  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/Makefile.am: Remove libidn_error_fuzzer, not worth fuzzing

2017-07-12  Tim Rühsen <tim.ruehsen@gmx.de>

	*
	fuzz/libidn_stringprep_fuzzer.in/0141bd7eba8e1a049257333b3393af013d
	a5bb82,
	fuzz/libidn_stringprep_fuzzer.in/039268bb24de0810e66ea5c18d0575d29b
	afd2df,
	fuzz/libidn_stringprep_fuzzer.in/0ca3c79bc86e163830d058c499a3aa7a63
	7b9c64,
	fuzz/libidn_stringprep_fuzzer.in/0e75fa568c23a665259111261e2dcc71d8
	b1aeb6,
	fuzz/libidn_stringprep_fuzzer.in/23a2b0e9f35ed98cd81169c71476085f99
	278377,
	fuzz/libidn_stringprep_fuzzer.in/24627090a6435ceeb69469fd06061354bf
	596db4,
	fuzz/libidn_stringprep_fuzzer.in/265730e3fcf98e396d5f628ab70aecbcce
	cc70f5,
	fuzz/libidn_stringprep_fuzzer.in/26f930af087870cdda8e897f4f7d0734c4
	dbfa08,
	fuzz/libidn_stringprep_fuzzer.in/2744c5182113c6e9640270a9d9bac93125
	a10e47,
	fuzz/libidn_stringprep_fuzzer.in/2d0628baee40164cc37a25b821ddf6e69d
	2b8e4c,
	fuzz/libidn_stringprep_fuzzer.in/2fb3ec9e7f85bd944e816f74b7783b9017
	dfefa8,
	fuzz/libidn_stringprep_fuzzer.in/3ec6608ada8445389745d7329b1f9f09b5
	6fd4fa,
	fuzz/libidn_stringprep_fuzzer.in/413b3a6690c595a3d81ad73ff7a3242c93
	2388ce,
	fuzz/libidn_stringprep_fuzzer.in/459bdec7a7b173569e96b7630de6acbd16
	6d83e9,
	fuzz/libidn_stringprep_fuzzer.in/4d7fadb509c5dabddcabfb7f1c2d54dc2e
	46b1fb,
	fuzz/libidn_stringprep_fuzzer.in/509712269ffe0c339e0e5c9391416938e7
	9adbe9,
	fuzz/libidn_stringprep_fuzzer.in/5652c8d98dbaa48c4510c4049bb7791253
	07d182,
	fuzz/libidn_stringprep_fuzzer.in/57ea7305ed3d43a71c1999611b533498c3
	ebd22c,
	fuzz/libidn_stringprep_fuzzer.in/597fa86126d3ab0ceb6f75186d332edb46
	10f428,
	fuzz/libidn_stringprep_fuzzer.in/6033329fd75cd00a27fa4ea4bd3c405f04
	17a267,
	fuzz/libidn_stringprep_fuzzer.in/61fbc7b6d20add94782d3d9825908f3266
	2c394d,
	fuzz/libidn_stringprep_fuzzer.in/672e3745b005b1e5077056da447a4c9435
	01d9f8,
	fuzz/libidn_stringprep_fuzzer.in/69bd0537b7043ff9bc43f79eef8e36f665
	d91ab9,
	fuzz/libidn_stringprep_fuzzer.in/6e4217091f31b1d6693493eb3f4d6714b0
	87f7c5,
	fuzz/libidn_stringprep_fuzzer.in/799e78e6dcba5282a4881b1dfb71587efc
	8658ea,
	fuzz/libidn_stringprep_fuzzer.in/79b5de51450ce0ca0da2cdefed1654900c
	ba80e0,
	fuzz/libidn_stringprep_fuzzer.in/7d9b53624e9b4cfd1a697025df61a9ca05
	60f48b,
	fuzz/libidn_stringprep_fuzzer.in/8699ce905ef97994208f82e5b6c51f7631
	0f3280,
	fuzz/libidn_stringprep_fuzzer.in/884f701f533b0f558eea0e6303f125af2b
	962cdf,
	fuzz/libidn_stringprep_fuzzer.in/8919cff41a56c791fc0be5ee6b4330a0ca
	83d9ce,
	fuzz/libidn_stringprep_fuzzer.in/895d3cf61a626a90b89f5e5b0683e89f83
	a72193,
	fuzz/libidn_stringprep_fuzzer.in/8ec692038bfdf3f4ab8bdb79f069a6bb2e
	8e4ab3,
	fuzz/libidn_stringprep_fuzzer.in/9712d1769cc50e64d11badc93cf52711fc
	0bd88b,
	fuzz/libidn_stringprep_fuzzer.in/97438ec53150a029e149db1c5973e30167
	3a272e,
	fuzz/libidn_stringprep_fuzzer.in/9aecb461487d7af91a9a611e837fcc3126
	ec89a8,
	fuzz/libidn_stringprep_fuzzer.in/9e059e75fc305bde06bce46af21d9c86e9
	d38ec3,
	fuzz/libidn_stringprep_fuzzer.in/9f98082669df0a990001a4e23298c79f4e
	842c05,
	fuzz/libidn_stringprep_fuzzer.in/a7398d1a5eb7b47c48e85f6440306ab6b9
	6ddf4c,
	fuzz/libidn_stringprep_fuzzer.in/a91a95cd0b7f41da663ed86b6a98e6a9b7
	fca7da,
	fuzz/libidn_stringprep_fuzzer.in/ac29fdfd5ade0980f61021728368c79e12
	9ee9f1,
	fuzz/libidn_stringprep_fuzzer.in/ae1358fe9888c9fe65a079823197654765
	6d0621,
	fuzz/libidn_stringprep_fuzzer.in/ae2308e16488375d922e7e19f82afe0fe0
	c8f715,
	fuzz/libidn_stringprep_fuzzer.in/b4eed18788d70f05b9581d1571fc8eac7a
	a3ccac,
	fuzz/libidn_stringprep_fuzzer.in/baf2ecdb86a645eab0ef7e10e48d1674fe
	69ae40,
	fuzz/libidn_stringprep_fuzzer.in/bb3cc0121c670ebd8a4a4acd06346c79bd
	4b6f8d,
	fuzz/libidn_stringprep_fuzzer.in/c065cf7e63a3173ed903dfdb55ea98e248
	543185,
	fuzz/libidn_stringprep_fuzzer.in/c1601abdf6cad97b6d4710e636cfce1d52
	d512b9,
	fuzz/libidn_stringprep_fuzzer.in/c571e3aee5df2b0fb25cc2774f9ca16612
	a2c259,
	fuzz/libidn_stringprep_fuzzer.in/c5eb2cd7c32bc657e4274583ef33ddd15f
	e064b9,
	fuzz/libidn_stringprep_fuzzer.in/d4c901f334b85e9035263a294961fc33a3
	84bc95,
	fuzz/libidn_stringprep_fuzzer.in/da39a3ee5e6b4b0d3255bfef95601890af
	d80709,
	fuzz/libidn_stringprep_fuzzer.in/e40eaa013dc79d3d1f8d9860ac3d9bc4d1
	667449,
	fuzz/libidn_stringprep_fuzzer.in/e5cf4a65aeec0c6a3ce3174ba13b564c77
	9741dc,
	fuzz/libidn_stringprep_fuzzer.in/e678f8d4168a7012e67315f5ff96efa409
	3a96b3,
	fuzz/libidn_stringprep_fuzzer.in/ed693ef4ffbee41b881a0eb5d530c46f1e
	727900,
	fuzz/libidn_stringprep_fuzzer.in/f32347090981bf9ddc3de70a79dce16227
	48ddff,
	fuzz/libidn_stringprep_fuzzer.in/faaa4c5584692f347de4b4ac0d51e3481b
	bbb4ed,
	fuzz/libidn_stringprep_fuzzer.in/fd28a3756cf017f8c041d061303c8f25be
	62f0f6: Update stringprep fuzz corpora

2017-07-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/Makefile.am, fuzz/libidn_error_fuzzer.c,
	fuzz/libidn_stringprep_fuzzer.c,
	fuzz/libidn_stringprep_fuzzer.in/e2ce648546f21d17c1ed96f18be52bbf88
	4eadf0: Fix C++ building for fuzz targets

2017-07-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/Makefile.am: Revert "Switch to C build for oss-fuzz target" This reverts commit eff373983d8b02271960c1f26913a5f01baa2c86.

2017-07-11  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/Makefile.am: Switch to C build for oss-fuzz target

2017-07-10  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/run-clang.sh: Fix run-clang.sh

2017-07-10  Tim Rühsen <tim.ruehsen@gmx.de>

	* Makefile.am: Remove gnulib code from fuzz-coverage report

2017-07-10  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/Makefile.am, fuzz/libidn_error_fuzzer.c,
	fuzz/libidn_error_fuzzer.in/empty,
	fuzz/libidn_error_fuzzer.in/onebyte,
	fuzz/libidn_stringprep_fuzzer.c, fuzz/libidn_toascii_fuzzer.c: Add
	libidn_error_fuzzer

2017-07-08  Tim Rühsen <tim.ruehsen@gmx.de>

	*
	fuzz/libidn_stringprep_fuzzer.in/1beeed3687e5dcb5d6e9395e5563fcf1bd
	8950a5,
	fuzz/libidn_stringprep_fuzzer.in/1f22e24a3fb9cf6acd7142fb6fe32fbb23
	c98679,
	fuzz/libidn_stringprep_fuzzer.in/20d789681fcbabd9b21e9f777161d02334
	ef0002,
	fuzz/libidn_stringprep_fuzzer.in/34bea025616ebd84d6d6a157ddf0ff0892
	18f4f7,
	fuzz/libidn_stringprep_fuzzer.in/35131f5615d9dec7cf26d06fdc4af67655
	2bbd73,
	fuzz/libidn_stringprep_fuzzer.in/4006b451be363655d0c460405b4e6e0794
	abb030,
	fuzz/libidn_stringprep_fuzzer.in/401d1fa63c991cc8593d3f724d27fda8c0
	5b1a91,
	fuzz/libidn_stringprep_fuzzer.in/52cebff4650acf3753a285629d70b4d32b
	1ba87f,
	fuzz/libidn_stringprep_fuzzer.in/5469488baf70cd3ddd687a1ce7f7580644
	d1b2de,
	fuzz/libidn_stringprep_fuzzer.in/{ee215a255006fcbde2d24ea79e0ae8458
	a84f5b6 => 5a6400e04383cc3019bb72d7462009462b3567e6},
	fuzz/libidn_stringprep_fuzzer.in/619697f9c6d19d95771d61f4630543930a
	a34f49,
	fuzz/libidn_stringprep_fuzzer.in/{f5ebe7637f36562f25345893e48fdf102
	831149e => 67c2f63d2a5c0d30323715ca72dd7e13ed51526c},
	fuzz/libidn_stringprep_fuzzer.in/6825c2711565c43bd9bc9fa06196914502
	a56b0e,
	fuzz/libidn_stringprep_fuzzer.in/6c844e2950c38bb5367f9b8d6f83eea8f3
	82894a,
	fuzz/libidn_stringprep_fuzzer.in/7ff2a0fda0afa6f88a8e7322804b2ec5a7
	fd4fd0,
	fuzz/libidn_stringprep_fuzzer.in/89c717839414c71645bfe0a3e8d17a348c
	3da6ed,
	fuzz/libidn_stringprep_fuzzer.in/a91dd98b6a8ef730711720722dbb3109d8
	5fdfe7,
	fuzz/libidn_stringprep_fuzzer.in/af8b74bb0d50a3a53a3df368ae6f9142f6
	4905a9,
	fuzz/libidn_stringprep_fuzzer.in/b1044e2e945a9c4c4ad2503b75a589e34e
	86a076,
	fuzz/libidn_stringprep_fuzzer.in/b7a1291fdf1cd96390bfcd77684702a1f6
	f5d474,
	fuzz/libidn_stringprep_fuzzer.in/d64e396bec57334f44a193b1ee40b26add
	86f05f,
	fuzz/libidn_stringprep_fuzzer.in/e584612546d79f13e59a6b1145ef70fd4e
	ca89c7,
	fuzz/libidn_stringprep_fuzzer.in/f8178b30ac5e09db98c6fd89856161040a
	0b2489,
	fuzz/libidn_stringprep_fuzzer.in/f9588bc48d8af673775c1c4383b038b0b2
	5821cb,
	fuzz/libidn_stringprep_fuzzer.in/fa7d4ad5204a8d053d24df2cc60e8cea2d
	78899b,
	fuzz/libidn_stringprep_fuzzer.in/fe33e11cf3e03441d940cbbd9ee8d1e987
	1ab075,
	fuzz/libidn_stringprep_fuzzer.in/ff24f59807e1ace97b81dc026feef22d37
	c67da9,
	fuzz/libidn_tounicode_fuzzer.in/09d28d035b36476ce936f93db25c43002b9
	754d8,
	fuzz/libidn_tounicode_fuzzer.in/1afec8ff5b130eca7661ec2be045be1ff06
	4e186,
	fuzz/libidn_tounicode_fuzzer.in/6be3b229946a627f316e39971bdec8e6f90
	c9fcb,
	fuzz/libidn_tounicode_fuzzer.in/72e309a2961275c15fe5b5a8c97c1191b11
	9791a,
	fuzz/libidn_tounicode_fuzzer.in/960c6cd3b4f2a8ee12e0a511540dd07bc5b
	5da11,
	fuzz/libidn_tounicode_fuzzer.repro/clusterfuzz-testcase-61059178650
	66496: Update fuzz corpora

2017-07-08  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/README.md: Remove CXXFLAGS from fuzz/README.md

2017-06-30  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/get_ossfuzz_corpora,
	fuzz/libidn_toascii_fuzzer.in/0205369b33e6399691145d52129a808ec4ac7
	dbb,
	fuzz/libidn_toascii_fuzzer.in/039e835bbf9c209a99e8c6f3b6fd49a5a8763
	91f,
	fuzz/libidn_toascii_fuzzer.in/0aac03cd6cb214cfbadf79ff02f5d5643efa2
	c8d,
	fuzz/libidn_toascii_fuzzer.in/0d2217f22acb949abcc5e2628b77fe105ca32
	d27,
	fuzz/libidn_toascii_fuzzer.in/0e34de35e30600fe50ef5653fc5e8be42de12
	dc7,
	fuzz/libidn_toascii_fuzzer.in/1d3a9dfc83f32d6daeff2d3977e915d6f17b1
	eb7,
	fuzz/libidn_toascii_fuzzer.in/254b8cdf5e5db5f56346dc66c3e0c94739f6a
	080,
	fuzz/libidn_toascii_fuzzer.in/2932491a9a37c3b2f74ba653156672c5a19ce
	f0a,
	fuzz/libidn_toascii_fuzzer.in/32bfb37237770cda4644750600b0c580838c7
	e4d,
	fuzz/libidn_toascii_fuzzer.in/3b65eeb418bc7105b6b2ad5057ec5710136d7
	ad7,
	fuzz/libidn_toascii_fuzzer.in/3de8622de9d4316b1baedfb1665a08d00cc06
	9c1,
	fuzz/libidn_toascii_fuzzer.in/47323067eb3e44d643908f9e62b23d65ed945
	499,
	fuzz/libidn_toascii_fuzzer.in/4e1385dc10f167439d7adc7642152e8faeb84
	da9,
	fuzz/libidn_toascii_fuzzer.in/51bf08f34a2835901b85e1fe7eccd6684cc29
	d49,
	fuzz/libidn_toascii_fuzzer.in/5da4ea939372518c7f715efe7a2924b648ca0
	73f,
	fuzz/libidn_toascii_fuzzer.in/5ff7a41d71e24a22251252a94b7e4fbed06cc
	b9e,
	fuzz/libidn_toascii_fuzzer.in/7d1ae7b93d5b2111f9c797e3ef228458bcaf2
	ef7,
	fuzz/libidn_toascii_fuzzer.in/7e9e68c4d925db85f9314e91c29f00cd3b40e
	ed1,
	fuzz/libidn_toascii_fuzzer.in/833be1093fcac04df4a13d5722271f728b036
	d8b,
	fuzz/libidn_toascii_fuzzer.in/8432e28c4d33ddd6286a8bc601d1c844fcfeb
	889,
	fuzz/libidn_toascii_fuzzer.in/87e9087acdd02d44c823c664432f667d53c1a
	94f,
	fuzz/libidn_toascii_fuzzer.in/8aae795137b457870d195f358040f2ec06597
	f8e,
	fuzz/libidn_toascii_fuzzer.in/948127106915549070fc500d6303c0eaa120a
	c75,
	fuzz/libidn_toascii_fuzzer.in/a4f1e6fa585ac26b84905c748c433f8bc809a
	2bf,
	fuzz/libidn_toascii_fuzzer.in/a6d3a67da2ca3d4a1f42ae8e63b0258c25d01
	dd2,
	fuzz/libidn_toascii_fuzzer.in/ab4f944b278819184a94bb6a873741ef16993
	d6c,
	fuzz/libidn_toascii_fuzzer.in/abaa1df4e842df481009e48fb9a70c3a5bdef
	fd5,
	fuzz/libidn_toascii_fuzzer.in/ad3e6984f6b0c68dac52804920f78e726fff4
	0a2,
	fuzz/libidn_toascii_fuzzer.in/c0393ef8b9a817ff2f7a659b2074d1d64d528
	7e2,
	fuzz/libidn_toascii_fuzzer.in/c0762c82bf3fa07c688dd1e53e05a04a99812
	aaa,
	fuzz/libidn_toascii_fuzzer.in/d1f3cd975559dfada2a1bc3b50fa2c4e1a62a
	28d,
	fuzz/libidn_toascii_fuzzer.in/d5320b30a2da68ad671918edcccdf432ca890
	117,
	fuzz/libidn_toascii_fuzzer.in/d831f6b026561067f0fe0c945b8cef128f0e6
	762,
	fuzz/libidn_toascii_fuzzer.in/dddf7ea98e63a4e82c80a85d7627adc1de283
	cbe,
	fuzz/libidn_toascii_fuzzer.in/e3e0a6b6785a5c36345bf33b39bf98b359279
	1bf,
	fuzz/libidn_toascii_fuzzer.in/e8f33485da1a39582cc88380509ab1014a4a6
	c98,
	fuzz/libidn_toascii_fuzzer.in/f39b15c3c44bf36fb7b07668e461e03c4563e
	2ce,
	fuzz/libidn_tounicode_fuzzer.in/010cd8b696cd9b0d7942941611fe4784d3e
	fa183,
	fuzz/libidn_tounicode_fuzzer.in/033e5ca6ee970070db623f7cba76fe02fb7
	2946e,
	fuzz/libidn_tounicode_fuzzer.in/0382258e2376296fc0ed1868bed85c98863
	5d229,
	fuzz/libidn_tounicode_fuzzer.in/047ad0cd5839c41dfcacb295bd7073c0e06
	8a7ad,
	fuzz/libidn_tounicode_fuzzer.in/06953003342fa73c025859c8139d65b4b02
	ba07b,
	fuzz/libidn_tounicode_fuzzer.in/08659d1d9ca279fd8aaccd8193b07b4979e
	2acb6,
	fuzz/libidn_tounicode_fuzzer.in/09f986ad37d1616fdceadbc6403ec5b480c
	7176c,
	fuzz/libidn_tounicode_fuzzer.in/0e9c4ebede2524ab244c2ecd63489a49d6e
	1769d,
	fuzz/libidn_tounicode_fuzzer.in/10001c7b0879b4af0fcae0bca6bafde4d46
	e64a1,
	fuzz/libidn_tounicode_fuzzer.in/1150df14849dfed92e120d5222b1e278e9b
	a5277,
	fuzz/libidn_tounicode_fuzzer.in/11acf5208e67765b81358b8664eac45df85
	8a30c,
	fuzz/libidn_tounicode_fuzzer.in/130aad6d3fd071162b6e2616a574949ef2b
	a9bf6,
	fuzz/libidn_tounicode_fuzzer.in/156fc45339dab235295f464fc931f033915
	fbc7c,
	fuzz/libidn_tounicode_fuzzer.in/176fdc86740ecb755c1e3d6ae66c9350012
	09621,
	fuzz/libidn_tounicode_fuzzer.in/17b09c856853b56bd0fa89219649d0c8c90
	85fb4,
	fuzz/libidn_tounicode_fuzzer.in/1882449cf94263bf065e6954cb4e07f787b
	9330f,
	fuzz/libidn_tounicode_fuzzer.in/190efcef340b6e645b3da9e8036b4b8304a
	98afe,
	fuzz/libidn_tounicode_fuzzer.in/197d01d53619db46c7bfb904358b9e130ad
	5bbee,
	fuzz/libidn_tounicode_fuzzer.in/1a1c5cbe0def8ba3010df283582df00cc0b
	c9ef1,
	fuzz/libidn_tounicode_fuzzer.in/1e85b8f55d1b3f5099156351867aa5dfb50
	4bd1c,
	fuzz/libidn_tounicode_fuzzer.in/1f6cf906fd3f0acdd0b33cd4685350afcb5
	e55ff,
	fuzz/libidn_tounicode_fuzzer.in/20d859af269bcf8de6ebc81f5273b68282b
	09f08,
	fuzz/libidn_tounicode_fuzzer.in/21cd60f0fa8da6ce880bdbce3b0babc1250
	73237,
	fuzz/libidn_tounicode_fuzzer.in/226c570c145314e54d622a0bb7dcdfbe0dc
	869ab,
	fuzz/libidn_tounicode_fuzzer.in/2520fdf7a55e3f48d4f81f1995ba2d8ca8c
	464ed,
	fuzz/libidn_tounicode_fuzzer.in/2549580ab39987ecd9e05712cc14636ef3b
	80be2,
	fuzz/libidn_tounicode_fuzzer.in/25a0ce1659ec35a5491216c73c06821d041
	cc039,
	fuzz/libidn_tounicode_fuzzer.in/25fe735608896472862e13b5b91f7f5af49
	f5475,
	fuzz/libidn_tounicode_fuzzer.in/27dbec1631a94ed53e79ebe2da2934a2195
	09475,
	fuzz/libidn_tounicode_fuzzer.in/28a8e962e07b08be1c1e604678c4d8972b5
	7964e,
	fuzz/libidn_tounicode_fuzzer.in/28e0e66260cb612477f02067bcd583b766a
	63e21,
	fuzz/libidn_tounicode_fuzzer.in/2919f941dd3aff7b0b150719053edb0dcb1
	bde4f,
	fuzz/libidn_tounicode_fuzzer.in/2b263b6cf8a95685fcffcb49ee330a9b58f
	35b44,
	fuzz/libidn_tounicode_fuzzer.in/2dc5ffe8d8d45b04fcb66af8b0b3008cd0c
	f5de1,
	fuzz/libidn_tounicode_fuzzer.in/2f426b6bd3610e6d076b4cea422d1ebdb6b
	aeb09,
	fuzz/libidn_tounicode_fuzzer.in/2fafa16e4b517ba95a93b337ba59fbcb8d2
	e9530,
	fuzz/libidn_tounicode_fuzzer.in/357ee2fe20f11720dffa67418099fd37425
	d8dd3,
	fuzz/libidn_tounicode_fuzzer.in/35b286bebd33e03bc7e24b41df174bb4abf
	a5b7c,
	fuzz/libidn_tounicode_fuzzer.in/3629f1f4635be5afd6050afb4a0db3c6c85
	f72a8,
	fuzz/libidn_tounicode_fuzzer.in/36689fed181c288d83fd4ecbb644b5659d0
	f07e1,
	fuzz/libidn_tounicode_fuzzer.in/3740875db4ffe9163ed563ad6013eaac0e5
	eb89a,
	fuzz/libidn_tounicode_fuzzer.in/375b52bf1e866a3c4a8f9e78d45efe70337
	c46f7,
	fuzz/libidn_tounicode_fuzzer.in/38a68eb252c2775e1e4247cf3cf76ce82f3
	03095,
	fuzz/libidn_tounicode_fuzzer.in/3ac13e45b553addc5ff7679ce0a0bed8f2d
	fc453,
	fuzz/libidn_tounicode_fuzzer.in/3b17d1483bec58e26befdd804d7bf22ed99
	52752,
	fuzz/libidn_tounicode_fuzzer.in/3ba0adf83de21b5dd2f7da700799ca58ab0
	792b2,
	fuzz/libidn_tounicode_fuzzer.in/3bde336e066a141c41da89fa792ba8129dc
	516b9,
	fuzz/libidn_tounicode_fuzzer.in/3bf21da54c9cdf21338319f11e1c7320aa0
	b566a,
	fuzz/libidn_tounicode_fuzzer.in/3c2538a5f996a54c7e6499eb7facd4ae496
	4c0eb,
	fuzz/libidn_tounicode_fuzzer.in/3c909a9b86c99036ebcb536f3497fbf1248
	22c9a,
	fuzz/libidn_tounicode_fuzzer.in/3e033b180205efe8e6452eb6778df2c41ee
	bbf6c,
	fuzz/libidn_tounicode_fuzzer.in/3f24bdd2d3580bc57d4e9792c05c9d9e632
	8128e,
	fuzz/libidn_tounicode_fuzzer.in/3f3f44131d84a7b97ac194bc365f00526f9
	a213c,
	fuzz/libidn_tounicode_fuzzer.in/4020420d7f0f1ee05d2fbf6c63eac85019d
	eddad,
	fuzz/libidn_tounicode_fuzzer.in/405a3e8a330620fb5147f65a2cc9d9762ec
	69f41,
	fuzz/libidn_tounicode_fuzzer.in/40df18945758f810f5cd597548d89aa637b
	78de1,
	fuzz/libidn_tounicode_fuzzer.in/41f38a474f9877efdb0be2dbd94a041615d
	2b30e,
	fuzz/libidn_tounicode_fuzzer.in/422560b5404f41e58c2327b28c94e1b6aec
	5d559,
	fuzz/libidn_tounicode_fuzzer.in/431d59a44cadcd8d8c50417027614a6f428
	e7338,
	fuzz/libidn_tounicode_fuzzer.in/440f0ba82f321630f39c00576147e5a60ff
	493eb,
	fuzz/libidn_tounicode_fuzzer.in/45a6e1b920f8cff779694c9b0bbe5fcbb67
	cd29d,
	fuzz/libidn_tounicode_fuzzer.in/46382008ad06e7ec5430e3eb9e2ce92299e
	1a904,
	fuzz/libidn_tounicode_fuzzer.in/4773714fd50978df4db1eccf903184974b1
	114ba,
	fuzz/libidn_tounicode_fuzzer.in/47ab852b222ac8944cd80bf18a42be4ed07
	fef6f,
	fuzz/libidn_tounicode_fuzzer.in/486979bdaadbc74e6635cd7d18b0fef28b9
	ae500,
	fuzz/libidn_tounicode_fuzzer.in/492617ba6097851da583ef4644f7831a2f4
	d7c77,
	fuzz/libidn_tounicode_fuzzer.in/49294450dbc9a1430f051adc35f362d8a51
	d5f50,
	fuzz/libidn_tounicode_fuzzer.in/4afaa4b5f5be2e89637278caff11145e4c2
	1a40e,
	fuzz/libidn_tounicode_fuzzer.in/4d399b2e14695c3ac8132156bf6b4f75e49
	b82ff,
	fuzz/libidn_tounicode_fuzzer.in/4e0d45017ffb87c17f92024ff0c2f3ba609
	ddd85,
	fuzz/libidn_tounicode_fuzzer.in/4ee255e64268bd470e9f687a3edfb90a8cc
	08c22,
	fuzz/libidn_tounicode_fuzzer.in/4f7bda31210c1994501c6feee98963f2c83
	0d8a0,
	fuzz/libidn_tounicode_fuzzer.in/4fbafb4bc92e443d2164dd39a5a8d3e84a9
	28ddf,
	fuzz/libidn_tounicode_fuzzer.in/51229077c486e4e5218e701ce69ac106446
	a314f,
	fuzz/libidn_tounicode_fuzzer.in/51b14b4a29a9274423e969fb1f238080a8b
	8cab3,
	fuzz/libidn_tounicode_fuzzer.in/53728802ebe06c07a866a2ca41ab2860b6c
	c42b4,
	fuzz/libidn_tounicode_fuzzer.in/556b7fa196644c0c791f360a58facea5001
	ae80b,
	fuzz/libidn_tounicode_fuzzer.in/5592421285cb023dfd45f803d2ed43cf3d5
	0935f,
	fuzz/libidn_tounicode_fuzzer.in/562781d295d1049aacb31b5fed871d5af73
	6098d,
	fuzz/libidn_tounicode_fuzzer.in/56a25418268a6fce447ab091a2571a4ef60
	84477,
	fuzz/libidn_tounicode_fuzzer.in/56f23993dfbdf49552ad20c4246c7f0cf39
	933a5,
	fuzz/libidn_tounicode_fuzzer.in/57317c54c06e08e6f9c0216c6919b503745
	6bab9,
	fuzz/libidn_tounicode_fuzzer.in/57c3817c456fb0945a2952cbf1e04eb3c07
	49fda,
	fuzz/libidn_tounicode_fuzzer.in/57d61f8ceeef7064fcf28e25938fae6eda0
	9ee83,
	fuzz/libidn_tounicode_fuzzer.in/5ad12624c304384ab38f406b35bbd915046
	7df63,
	fuzz/libidn_tounicode_fuzzer.in/5bdfe13171df7e321f92c5b64a96bdf2680
	0fc55,
	fuzz/libidn_tounicode_fuzzer.in/5cc1d04183cdcf687a5ba7a06c45a64f19c
	f91d5,
	fuzz/libidn_tounicode_fuzzer.in/5d5ad5e2fa9ae2a0f9fea669e91d24f3f8d
	12bbc,
	fuzz/libidn_tounicode_fuzzer.in/5f3427eddb4e4a9a51bf81f6c778ec17b8b
	6c18a,
	fuzz/libidn_tounicode_fuzzer.in/5f72daeb3d70356137fa7171e424258c835
	309b0,
	fuzz/libidn_tounicode_fuzzer.in/5fd646c34f4207350712e2e79bb3fe0a8e2
	241a7,
	fuzz/libidn_tounicode_fuzzer.in/60af9d4d839db9aee75efca48c081b324af
	caf53,
	fuzz/libidn_tounicode_fuzzer.in/61bb43cd243111f98928fea76fe1e848067
	66f19,
	fuzz/libidn_tounicode_fuzzer.in/6234cc363e90db604d49ee0a66fb0401676
	5066c,
	fuzz/libidn_tounicode_fuzzer.in/62c5181d2c5c4ba7f6e5022509949919649
	3d439,
	fuzz/libidn_tounicode_fuzzer.in/6397414602614ad96a96368ced159c3f49f
	10495,
	fuzz/libidn_tounicode_fuzzer.in/642b8744b52d56f48ee8fa2fc9551499303
	00eb5,
	fuzz/libidn_tounicode_fuzzer.in/65951e9c12e0557c43600546e6416c8975f
	13bc5,
	fuzz/libidn_tounicode_fuzzer.in/65a75faf089d0f596c90a0065af7e1324b7
	7c746,
	fuzz/libidn_tounicode_fuzzer.in/65f7cb3d1fea818ff6a6b62a2083d6c790c
	c1864,
	fuzz/libidn_tounicode_fuzzer.in/66d58b0b71e42c10159532415bb7e43d5f8
	5d45b,
	fuzz/libidn_tounicode_fuzzer.in/66fb8de2ab6f11f3d5ca98a0e36b98c79db
	57fb8,
	fuzz/libidn_tounicode_fuzzer.in/6742c37f77887cb426b2fcf149b7e607266
	a3431,
	fuzz/libidn_tounicode_fuzzer.in/6b0f69e5b7ec35db1bf1131469d199770f3
	210a3,
	fuzz/libidn_tounicode_fuzzer.in/6dfa779f4f80eae7ef591431c0914ee3ab2
	d4443,
	fuzz/libidn_tounicode_fuzzer.in/6f3f725876fcde50a3c3dec5b48fc9ae5d4
	a7d7c,
	fuzz/libidn_tounicode_fuzzer.in/7037875088c49f3c162e16817a0d95455fd
	1526f,
	fuzz/libidn_tounicode_fuzzer.in/706867057987534c8e90e6346891704f41a
	71d0d,
	fuzz/libidn_tounicode_fuzzer.in/7079e52f60299ab2c415a8cc2eb0235037b
	908be,
	fuzz/libidn_tounicode_fuzzer.in/728732c7b172d21a0c3af22c6891117c294
	dfa5d,
	fuzz/libidn_tounicode_fuzzer.in/73c60bb28d715e3d07b71641933e446b108
	5659a,
	fuzz/libidn_tounicode_fuzzer.in/76da307b226ccb161fc7db1890c0df4a136
	8b154,
	fuzz/libidn_tounicode_fuzzer.in/773572e9d615c7b769b106f97eb85384d32
	ecd9c,
	fuzz/libidn_tounicode_fuzzer.in/77819edfe60a753a54f5de4c7a2271f058b
	577d4,
	fuzz/libidn_tounicode_fuzzer.in/7814f51868c780af86669a3b564fcbbcc57
	e9d56,
	fuzz/libidn_tounicode_fuzzer.in/78686aa772a8aad3d2439bb351def5c18c3
	ec133,
	fuzz/libidn_tounicode_fuzzer.in/79d76bd96e673668a9f2a3ef71499a55bef
	70814,
	fuzz/libidn_tounicode_fuzzer.in/7bb84571e26e4c106aecb607c626558de6c
	be53a,
	fuzz/libidn_tounicode_fuzzer.in/7bc90561311075dcbcd8d270c65548faa3d
	1500c,
	fuzz/libidn_tounicode_fuzzer.in/7d16c6272dbf16a899953013858392ac4f0
	2f582,
	fuzz/libidn_tounicode_fuzzer.in/7d364a4a39face9fbf0e0e1e629070486b0
	ce2e2,
	fuzz/libidn_tounicode_fuzzer.in/7e94f679615fa503091aa55bee3b9819634
	2b422,
	fuzz/libidn_tounicode_fuzzer.in/7ec151607539b9e7c6b1b927c671a615720
	0de6e,
	fuzz/libidn_tounicode_fuzzer.in/821727d62c652ed091f1cf5e8aed96ccc1f
	6a360,
	fuzz/libidn_tounicode_fuzzer.in/828373cecbe706b69eb20a23ed0955f8129
	0cb64,
	fuzz/libidn_tounicode_fuzzer.in/82b2cbc546ca48fc87b3ead6321e40e2397
	9e5ed,
	fuzz/libidn_tounicode_fuzzer.in/82c33abdfef18d913c952493288ed5d2422
	5e3ba,
	fuzz/libidn_tounicode_fuzzer.in/8414cf8e9cecba5a9afb5bfc4177f8dc36b
	7c52a,
	fuzz/libidn_tounicode_fuzzer.in/858bb79739e5e28e17edf9369b6e5b7bcca
	621ef,
	fuzz/libidn_tounicode_fuzzer.in/8604a545da758e2138a9c209545a06c644c
	19d4a,
	fuzz/libidn_tounicode_fuzzer.in/88aab670f550dfbcfeaab230ec33343b4e9
	9c9bc,
	fuzz/libidn_tounicode_fuzzer.in/89d401723861dc68765fc03c7cd9ac521ae
	82c82,
	fuzz/libidn_tounicode_fuzzer.in/8ac9a969b1a25fdd9bfd1951ee9b593cd9c
	017d9,
	fuzz/libidn_tounicode_fuzzer.in/8b230c50cfb1e18e7bf1724cea40f3a8f93
	6f36f,
	fuzz/libidn_tounicode_fuzzer.in/8bdae23bad878332054190bc37845c93819
	4cd1b,
	fuzz/libidn_tounicode_fuzzer.in/8d07e712a25c44b8abef3a26a05e3e0d07f
	9d557,
	fuzz/libidn_tounicode_fuzzer.in/8fc7f445df5c1120b30f6e57a032b24bb41
	bc80a,
	fuzz/libidn_tounicode_fuzzer.in/906b46f0a517707d161159c4279fa5a810c
	43ae8,
	fuzz/libidn_tounicode_fuzzer.in/90f87938b414b533d09b90f3fd94846e627
	6606c,
	fuzz/libidn_tounicode_fuzzer.in/914ae1743fd5e79c937620d6aecfb63dde7
	3efba,
	fuzz/libidn_tounicode_fuzzer.in/91eb9c9fdd4ff0b0fbf47d98c9e69629f26
	4c2a1,
	fuzz/libidn_tounicode_fuzzer.in/93af18b78016b88528ac849250e5994b55c
	f0a3e,
	fuzz/libidn_tounicode_fuzzer.in/96437398144feb806c6ba6de863753479ad
	1db59,
	fuzz/libidn_tounicode_fuzzer.in/9706bc17dff4f629b0cf984c28ce19b932e
	86982,
	fuzz/libidn_tounicode_fuzzer.in/974dd42ee6b64a477c11f4a17654d31e0fc
	07cbe,
	fuzz/libidn_tounicode_fuzzer.in/9790255c335ced193da5cb504852a960895
	01704,
	fuzz/libidn_tounicode_fuzzer.in/9920544a2e35baefb0b64e501ebf6a7e516
	a8b00,
	fuzz/libidn_tounicode_fuzzer.in/999738ee8a7db4cd0298e101a487eff6230
	009dd,
	fuzz/libidn_tounicode_fuzzer.in/9a48daae15132013d1883cde3cfe56db155
	e2a2a,
	fuzz/libidn_tounicode_fuzzer.in/9a83637c83dfe2aa71dcb913587d071a5e9
	ef645,
	fuzz/libidn_tounicode_fuzzer.in/9bbfd2426ae676f67b755d6bdd1b7deb725
	875e7,
	fuzz/libidn_tounicode_fuzzer.in/9e177082ec2a75c27b567cbaaead45a3281
	a3e07,
	fuzz/libidn_tounicode_fuzzer.in/9e538264f3f8b72d2af5b02f56936c1b0fe
	f2083,
	fuzz/libidn_tounicode_fuzzer.in/9ef8c15d126eefbbf8bae6de52fa435b968
	93a11,
	fuzz/libidn_tounicode_fuzzer.in/9fc5e5e8a536c7d110c37b8e05c6fbd8900
	d35ad,
	fuzz/libidn_tounicode_fuzzer.in/a00a5989e49fe7a94f78976f10c2afa4ea7
	afa31,
	fuzz/libidn_tounicode_fuzzer.in/a059629a3e130565966a76b167c4ba97133
	c44d9,
	fuzz/libidn_tounicode_fuzzer.in/a07ee5f340fc9a26212baa772e2f0e98c35
	757e6,
	fuzz/libidn_tounicode_fuzzer.in/a1543921a6a1d43a671aaad3fcc2c97f516
	b1515,
	fuzz/libidn_tounicode_fuzzer.in/a448107e2890db2dd66229a1e892b4f9d5c
	caf9f,
	fuzz/libidn_tounicode_fuzzer.in/a494a79127244698aedd7f59d50f2e95533
	5c204,
	fuzz/libidn_tounicode_fuzzer.in/a56baf2e37d92aaac745912b5ace6e3c666
	0c9f2,
	fuzz/libidn_tounicode_fuzzer.in/a5eabc3b578673b71262a7e82762c5cd558
	607d8,
	fuzz/libidn_tounicode_fuzzer.in/a7a5ac785f5966cfa7e1f00ee778cd67a60
	bbf4a,
	fuzz/libidn_tounicode_fuzzer.in/a7f710635fd63215426905b8e014e549876
	7c336,
	fuzz/libidn_tounicode_fuzzer.in/aa81e8809a53eb5f9db976d32aeeb78142d
	e0a66,
	fuzz/libidn_tounicode_fuzzer.in/ac6441218b1bcae461cd7208f932a7e6c3d
	b45da,
	fuzz/libidn_tounicode_fuzzer.in/ad68d8ac1053d15c15dacac00a481b8d3e5
	3343b,
	fuzz/libidn_tounicode_fuzzer.in/adb7a1e10d90bfba25a9b96fe3c798ad2b1
	6b23c,
	fuzz/libidn_tounicode_fuzzer.in/aed9e5d477ef41a5ce13f7c37adebbe17ca
	d1d78,
	fuzz/libidn_tounicode_fuzzer.in/af7aced6e210b2af9b5a9ae744bdce5f765
	ca2f8,
	fuzz/libidn_tounicode_fuzzer.in/afa546732350aa65771bae873aa220a594f
	9106b,
	fuzz/libidn_tounicode_fuzzer.in/afb5833e0bc282e5c21eb7ac82a7bcaf47d
	598d7,
	fuzz/libidn_tounicode_fuzzer.in/b06b237f1e8501a758541e8e2c3cb0cbee1
	d92fa,
	fuzz/libidn_tounicode_fuzzer.in/b0812d20d087ed139068f538227c87c737c
	04015,
	fuzz/libidn_tounicode_fuzzer.in/b08825f6d4ca90d150570395e2c650125f8
	a609c,
	fuzz/libidn_tounicode_fuzzer.in/b09d0ba62170f72a5d454c5f1eb09808857
	d077a,
	fuzz/libidn_tounicode_fuzzer.in/b3124680789b41ba37b1a7fc53289716a7e
	9ba84,
	fuzz/libidn_tounicode_fuzzer.in/b3edd4c6bd63b6813a7d35389c5aa9c96ff
	f96d4,
	fuzz/libidn_tounicode_fuzzer.in/b45f7545b1c96a4a7a7b8289e38e606002a
	0f0a5,
	fuzz/libidn_tounicode_fuzzer.in/b49939053abe01a51818de3e0345ac9599c
	de5d7,
	fuzz/libidn_tounicode_fuzzer.in/b53c382bf0d0bafdc5f6d82bb77ce1c77b8
	f7072,
	fuzz/libidn_tounicode_fuzzer.in/b545464b567c4ee066a15a5b46fc849ef1f
	d86ca,
	fuzz/libidn_tounicode_fuzzer.in/b6711a0629b8945ebd4d7d4008e84e43526
	1b9f0,
	fuzz/libidn_tounicode_fuzzer.in/b91f62c0ef39f340003c1bba7137f13e6e0
	3f86e,
	fuzz/libidn_tounicode_fuzzer.in/b94604e5aaf6782797f3338eefd6cfb8a3a
	8a3d8,
	fuzz/libidn_tounicode_fuzzer.in/b9471ce1b573ccb6221a4ba1302b1f2fa50
	9f417,
	fuzz/libidn_tounicode_fuzzer.in/ba3d2773228c55ed9a52538254e417bb54e
	00106,
	fuzz/libidn_tounicode_fuzzer.in/ba7d816e78c28dea6bbe03dbf7452b5e655
	08ce3,
	fuzz/libidn_tounicode_fuzzer.in/bae9339ce4a14409f50ac3d66c3be506a13
	a8d6e,
	fuzz/libidn_tounicode_fuzzer.in/bb4b37ecf7bc0c141e04e744ccd0b4f30b7
	80f10,
	fuzz/libidn_tounicode_fuzzer.in/bd3b13a371713e108205920ad35ed754fa8
	26144,
	fuzz/libidn_tounicode_fuzzer.in/c05c4bc29ac6308d79d9463635797a85c74
	9d17b,
	fuzz/libidn_tounicode_fuzzer.in/c0ede6564af7609ce7788f38f606048afaa
	41d2c,
	fuzz/libidn_tounicode_fuzzer.in/c1583f8994741e42e97f0e0727d1a4d5d93
	f02f7,
	fuzz/libidn_tounicode_fuzzer.in/c1601abdf6cad97b6d4710e636cfce1d52d
	512b9,
	fuzz/libidn_tounicode_fuzzer.in/c2abbd04cb83a4566f40b7160f89477363b
	95c32,
	fuzz/libidn_tounicode_fuzzer.in/c2ceb509b9f955bd8f8cd271d706f7da9c6
	05dab,
	fuzz/libidn_tounicode_fuzzer.in/c3cb1219c48daed2c0225e1114bdf0c8a39
	c291c,
	fuzz/libidn_tounicode_fuzzer.in/c44f05c1ecbc82418f6ffa92997b8e45afc
	ed3b4,
	fuzz/libidn_tounicode_fuzzer.in/c515cb8ca5d2234c6c0534387c80cfe6a38
	d56ce,
	fuzz/libidn_tounicode_fuzzer.in/c5930c3517b15bfe1001da28f041f64acb8
	9d639,
	fuzz/libidn_tounicode_fuzzer.in/c63d58e3ad0ab80b4c4b7f3bf18e22d2e76
	f7620,
	fuzz/libidn_tounicode_fuzzer.in/c7046c87d3799d07b04bfab90a519b76715
	91bed,
	fuzz/libidn_tounicode_fuzzer.in/cc2d301603e7dc90461bd99f4817c448433
	85afb,
	fuzz/libidn_tounicode_fuzzer.in/cccbb0b6a7501569b51e436a2799bb65f05
	4119b,
	fuzz/libidn_tounicode_fuzzer.in/cd67f5d9d25c2fbf8e4b5f5bb02a7edd0d8
	a1ac3,
	fuzz/libidn_tounicode_fuzzer.in/ce3b273147f17a2cd818818f2d30601c577
	30f8e,
	fuzz/libidn_tounicode_fuzzer.in/ceb5f2e09825444496e269744cad2000412
	cf635,
	fuzz/libidn_tounicode_fuzzer.in/cf6376bf409406d250cec024dbc353d6c03
	ce41f,
	fuzz/libidn_tounicode_fuzzer.in/d0b59a097d3e635551efb0ca06975a2035b
	a2ade,
	fuzz/libidn_tounicode_fuzzer.in/d17d00cb6b1cf49c738107ca246fd2ec43e
	5f24d,
	fuzz/libidn_tounicode_fuzzer.in/d186350aebfe9134a6840027fc3094d6d51
	90856,
	fuzz/libidn_tounicode_fuzzer.in/d448c6a87ea9bba864c7feffce9f1aaf14a
	2c56c,
	fuzz/libidn_tounicode_fuzzer.in/d4f7c46688816204c4baaf23e0d28b91ce9
	bf4f2,
	fuzz/libidn_tounicode_fuzzer.in/d7773c410fd6b04b1f7ce33a0ace71ba03b
	016ba,
	fuzz/libidn_tounicode_fuzzer.in/d77a0a2bdbbe05d5a652a7db2dafe3f7376
	e4126,
	fuzz/libidn_tounicode_fuzzer.in/d7f14bf1024ecddeeb41a33dafd58673b87
	0019e,
	fuzz/libidn_tounicode_fuzzer.in/da31f19425607ac0b83da3d4a83511b9da1
	88884,
	fuzz/libidn_tounicode_fuzzer.in/db8d5ae00e9f9969519722f7b0cef65af34
	db081,
	fuzz/libidn_tounicode_fuzzer.in/dbb521bfc9475f42393217ccc10e2f5b557
	b4932,
	fuzz/libidn_tounicode_fuzzer.in/dbe648373e49094c4059681667ccc9b185a
	f9669,
	fuzz/libidn_tounicode_fuzzer.in/dd0fc5175d5a51b61df22cf3a31f31a02af
	e8702,
	fuzz/libidn_tounicode_fuzzer.in/ddb3ae1dc7ab90e5736ff364b223e27f6a9
	43025,
	fuzz/libidn_tounicode_fuzzer.in/df89ff98852405042ec15a6cebecff88958
	a3058,
	fuzz/libidn_tounicode_fuzzer.in/e0a6cecd9082af41ff654026b6df0b767db
	0ced1,
	fuzz/libidn_tounicode_fuzzer.in/e0c28cf203d78f47a1fb7374a5160079ce8
	cef22,
	fuzz/libidn_tounicode_fuzzer.in/e1db1274ebcccfde3c439ae974f6304fe58
	a1c65,
	fuzz/libidn_tounicode_fuzzer.in/e23c8e920836288ddf30bc5e17fb3f1d12f
	ddaff,
	fuzz/libidn_tounicode_fuzzer.in/e2748a7e04a824aefaad02b4d6518cf5f1d
	6d769,
	fuzz/libidn_tounicode_fuzzer.in/e2ca0f0866d34cda187011b17699ec7fbd1
	19151,
	fuzz/libidn_tounicode_fuzzer.in/e2ff04eb750632f8ed3cd9c693aca5ed9a3
	8c631,
	fuzz/libidn_tounicode_fuzzer.in/e33d08da524c61227781a774f56f690b6bf
	7be39,
	fuzz/libidn_tounicode_fuzzer.in/e57f4590135b08030c6b9fa9e3768c91820
	14356,
	fuzz/libidn_tounicode_fuzzer.in/e5ddee8fcbee2b063696628898d1227821c
	098d9,
	fuzz/libidn_tounicode_fuzzer.in/e7878b48f6d8be6210a9ae08ebf6feeaead
	3261b,
	fuzz/libidn_tounicode_fuzzer.in/e8e1756d00315bbb39254f23a7ccaceba68
	e8e2c,
	fuzz/libidn_tounicode_fuzzer.in/e9f9d0ae7d9f94af73acf09c40e6008cec1
	73a5f,
	fuzz/libidn_tounicode_fuzzer.in/eab6a25b4abce8d00c916fe73d469fcd1d1
	6841a,
	fuzz/libidn_tounicode_fuzzer.in/eb9c129ce73066ee69df33383bdc118b0d2
	d1429,
	fuzz/libidn_tounicode_fuzzer.in/ebebeafad50be7339eef3e4db551eb4b0a6
	97978,
	fuzz/libidn_tounicode_fuzzer.in/ec1da91aaa9e881b3b394cfd2b18876a42c
	4feeb,
	fuzz/libidn_tounicode_fuzzer.in/ed54b8590916897db155dff6f724a76253b
	b7d8f,
	fuzz/libidn_tounicode_fuzzer.in/eec736e9f82f3c81418ae2f8dd48dac2328
	f05e1,
	fuzz/libidn_tounicode_fuzzer.in/f1e25337cd898fde848229130e372615c54
	49c84,
	fuzz/libidn_tounicode_fuzzer.in/f3291f36549535621bf31cf474824b03101
	a12ac,
	fuzz/libidn_tounicode_fuzzer.in/f349c971dfc7fd75c4a4746183d0a098ad0
	23183,
	fuzz/libidn_tounicode_fuzzer.in/f4dad4b81c47334a52cb4381723fa551dc5
	0e0e1,
	fuzz/libidn_tounicode_fuzzer.in/f8657b1020838314cc354393a08aa8c9eee
	45103,
	fuzz/libidn_tounicode_fuzzer.in/fb546ba2399b09bd24f2d347d7963d2c6a5
	113ff,
	fuzz/libidn_tounicode_fuzzer.in/fb67ac6e2f84b6e033ab50661bb193b6b9f
	726aa,
	fuzz/libidn_tounicode_fuzzer.in/fdc7d70b8c47578faaa1e255ce717e00a4e
	1171e,
	fuzz/libidn_tounicode_fuzzer.in/fe665541f57e4c6e038485fb47f851eba56
	52990, fuzz/run-clang.sh: Update fuzzer corpora and support scripts

2017-06-30  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/Makefile.am, fuzz/libidn_tounicode_fuzzer.c, fuzz/main.c: Fix
	compilation with -Werror and --enable-gcc-warnings

2017-06-30  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/libidn_stringprep_fuzzer.c,
	fuzz/libidn_stringprep_fuzzer.in/006226821621dbaaa8378fdd3d3fe64f14
	0ec4a7,
	fuzz/libidn_stringprep_fuzzer.in/0e75fa568c23a665259111261e2dcc71d8
	b1aeb6,
	fuzz/libidn_stringprep_fuzzer.in/127035d2beff41ed19f7def5fb115f28c9
	efc042,
	fuzz/libidn_stringprep_fuzzer.in/2c3711c9c982097b108d407cbde8cac687
	37eb3c,
	fuzz/libidn_stringprep_fuzzer.in/38f87fcd771a3337e07081f831a589d880
	41dfb6,
	fuzz/libidn_stringprep_fuzzer.in/3a6cecb462ea91ec26c05c8dca6dec5c7c
	577601,
	fuzz/libidn_stringprep_fuzzer.in/4969745a3b9f4245af35793b6b6488a351
	e5e47d,
	fuzz/libidn_stringprep_fuzzer.in/4c7c1d3d12473ab39d1ba6ae846a1c7504
	6190ee,
	fuzz/libidn_stringprep_fuzzer.in/60d48780019613c8ec73b543baa549adb6
	d5742d,
	fuzz/libidn_stringprep_fuzzer.in/696f4072685a460e31314be2843271f1ae
	3ef147,
	fuzz/libidn_stringprep_fuzzer.in/6caaa9be026f414f17ed4a21269b1202df
	5c49c6,
	fuzz/libidn_stringprep_fuzzer.in/7a90f9228e9a30b5723c51378061daba10
	03c49a,
	fuzz/libidn_stringprep_fuzzer.in/7f3ea9da136240a1bb3be3c3fb397831a6
	ef4ad1,
	fuzz/libidn_stringprep_fuzzer.in/9066c2abc9216d2e27198cfe71b3767475
	f86a7b,
	fuzz/libidn_stringprep_fuzzer.in/ac29fdfd5ade0980f61021728368c79e12
	9ee9f1,
	fuzz/libidn_stringprep_fuzzer.in/ad654c0c2dfb6b7a488d6cd48cada5335f
	765524,
	fuzz/libidn_stringprep_fuzzer.in/b4eed18788d70f05b9581d1571fc8eac7a
	a3ccac,
	fuzz/libidn_stringprep_fuzzer.in/b6cba46bad529f6157e8e8a67a47816f9e
	605259,
	fuzz/libidn_stringprep_fuzzer.in/ba623b49ed8d54a57b7df05ceb2975f046
	3df1ab,
	fuzz/libidn_stringprep_fuzzer.in/bea6a97fd17080f958ba67175a61dbfc32
	45bbd0,
	fuzz/libidn_stringprep_fuzzer.in/c0c7030b1d5db6a54c2e1debf0ef051bc6
	c06093,
	fuzz/libidn_stringprep_fuzzer.in/c473641f01850a4ce3141a33604970e48b
	58af93,
	fuzz/libidn_stringprep_fuzzer.in/ce0b13a8baa37fa663f8f73c6e8d672424
	7f5981,
	fuzz/libidn_stringprep_fuzzer.in/d14b5168c1b81725b1cc1fecbeabc98aa9
	ab0486,
	fuzz/libidn_stringprep_fuzzer.in/dcfe91436cc9d05d33f9d8ff52ce980079
	b983c0,
	fuzz/libidn_stringprep_fuzzer.in/dfcdbf7cfceb9a6b3db1e6ab4eee6dc45d
	5f55f1,
	fuzz/libidn_stringprep_fuzzer.in/f79fb69a4ff41d16a1dd70bdfdb1abb2f1
	f74045,
	fuzz/libidn_stringprep_fuzzer.in/f84f8da1bf8ae24f1cbd424d742b9832ab
	af7ac1,
	fuzz/libidn_stringprep_fuzzer.in/fd0171ee7e98953632e08ae8be416d30d4
	ce209b: Extend stringprep fuzzer + corpora

2017-06-30  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/stringprep.c: Speed up stringprep Fuzzing gave me a corpus which was extremly slow to process with
	stringprep_profile(). 3926 bytes took ~1.4 billion CPU cycles, most
	time spent in stringprep_apply_table_to_string().  The problem was that already processed bytes were processed again.
	After fixing the same test corpus now takes ~19.5 million CPU
	cycles.  That is a speedup by ~70x.  Still much time is spent in _g_utf8_normalize_wc(), mabe worth a
	look as well.

2017-06-30  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/nfkc.c: Fix NULL ptr access in nfkc.c/g_utf8_normalize()

2017-06-30  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/nfkc.c: Remove unused code from nfkc.c/g_utf8_strlen()

2017-06-30  Tim Rühsen <tim.ruehsen@gmx.de>

	* .gitignore, fuzz/libidn_stringprep_fuzzer.c,
	fuzz/libidn_stringprep_fuzzer.in/006226821621dbaaa8378fdd3d3fe64f14
	0ec4a7,
	fuzz/libidn_stringprep_fuzzer.in/039268bb24de0810e66ea5c18d0575d29b
	afd2df,
	fuzz/libidn_stringprep_fuzzer.in/039e2fb9da888c46e80da5eb43d7ca0f13
	2d1fdf,
	fuzz/libidn_stringprep_fuzzer.in/06d44cd5a8354caafbb7b8f864c22c475e
	a42bfa,
	fuzz/libidn_stringprep_fuzzer.in/127035d2beff41ed19f7def5fb115f28c9
	efc042,
	fuzz/libidn_stringprep_fuzzer.in/1372fd9eb7d770afe57a3aa376e70b93ed
	725720,
	fuzz/libidn_stringprep_fuzzer.in/1387091502c242eff977c6d7dd6548a1c9
	7af622,
	fuzz/libidn_stringprep_fuzzer.in/15e1115a0f1dbe2e026440b53423e0b5f8
	c38537,
	fuzz/libidn_stringprep_fuzzer.in/175608e455c46d7fdeedcc725dd1f18a72
	959b33,
	fuzz/libidn_stringprep_fuzzer.in/1a06b69bb3d727d8a0bcd5ea154a610a52
	ea3aa8,
	fuzz/libidn_stringprep_fuzzer.in/1d5f2ebc1e70d060ba424160627fcfd2f6
	6a5f0c,
	fuzz/libidn_stringprep_fuzzer.in/20490eb1bd38ce4f7184585ef4a82fbc9b
	2fb0b2,
	fuzz/libidn_stringprep_fuzzer.in/228498d5daadf76435316ea64e18aae52f
	0f423a,
	fuzz/libidn_stringprep_fuzzer.in/23b057ff7184d511fde064f5906b52e8e2
	6498a6,
	fuzz/libidn_stringprep_fuzzer.in/265730e3fcf98e396d5f628ab70aecbcce
	cc70f5,
	fuzz/libidn_stringprep_fuzzer.in/29e9cf1f1bfb9d3186722b2bf62c4ac3fa
	6f7f19,
	fuzz/libidn_stringprep_fuzzer.in/2c3711c9c982097b108d407cbde8cac687
	37eb3c,
	fuzz/libidn_stringprep_fuzzer.in/2ccdf10c63cfee96cbd97ab3dc4bfffad4
	34b2cd,
	fuzz/libidn_stringprep_fuzzer.in/2d0628baee40164cc37a25b821ddf6e69d
	2b8e4c,
	fuzz/libidn_stringprep_fuzzer.in/2ed52cb98a7fcfefc6564c894bbaafc636
	3679a3,
	fuzz/libidn_stringprep_fuzzer.in/35131f5615d9dec7cf26d06fdc4af67655
	2bbd73,
	fuzz/libidn_stringprep_fuzzer.in/3a6cecb462ea91ec26c05c8dca6dec5c7c
	577601,
	fuzz/libidn_stringprep_fuzzer.in/3db4ac7318192f9aeb278f3932080bfa20
	90314d,
	fuzz/libidn_stringprep_fuzzer.in/3eac33708029a880b6452bb06322e205c1
	c1d1a9,
	fuzz/libidn_stringprep_fuzzer.in/3fa29ad72ea691414014816ac581119c62
	fa6050,
	fuzz/libidn_stringprep_fuzzer.in/3fd464236e7af1b192159313540c25423a
	413156,
	fuzz/libidn_stringprep_fuzzer.in/401d1fa63c991cc8593d3f724d27fda8c0
	5b1a91,
	fuzz/libidn_stringprep_fuzzer.in/43bf0de00e2bb985cb24aa0974e74b1cd3
	7cd0c4,
	fuzz/libidn_stringprep_fuzzer.in/4c7c1d3d12473ab39d1ba6ae846a1c7504
	6190ee,
	fuzz/libidn_stringprep_fuzzer.in/4d83d5d653ed664334be577c1b32619645
	a46a97,
	fuzz/libidn_stringprep_fuzzer.in/4e3fe7219f086c1bd227ff9c5637225d5d
	f35f24,
	fuzz/libidn_stringprep_fuzzer.in/4f57a7c73a075420015997449451fec98b
	bd04db,
	fuzz/libidn_stringprep_fuzzer.in/534c16cbf8bdf6b7722f12f93aacf943b1
	e769b6,
	fuzz/libidn_stringprep_fuzzer.in/5c22fc7cef193e9c11a9fc8a9f70dc5331
	11c872,
	fuzz/libidn_stringprep_fuzzer.in/5f35dd9a47f28914232e1972fe7f7c62af
	24b800,
	fuzz/libidn_stringprep_fuzzer.in/6033329fd75cd00a27fa4ea4bd3c405f04
	17a267,
	fuzz/libidn_stringprep_fuzzer.in/608abb7f0318b3e3ca8c39ea7b4ec65a5a
	efdbff,
	fuzz/libidn_stringprep_fuzzer.in/60e4cd2219994a086467ac1e279c701a88
	c64954,
	fuzz/libidn_stringprep_fuzzer.in/629badf7066ff7e8d2fa4ec7f401d5dc90
	c3bd73,
	fuzz/libidn_stringprep_fuzzer.in/62d89125fa5226d4040f6204a07013968b
	475e09,
	fuzz/libidn_stringprep_fuzzer.in/6352946aab80652e393359b0924ddce318
	d3346b,
	fuzz/libidn_stringprep_fuzzer.in/635646f60085df25c4f98d8a77d4618809
	757b78,
	fuzz/libidn_stringprep_fuzzer.in/696f4072685a460e31314be2843271f1ae
	3ef147,
	fuzz/libidn_stringprep_fuzzer.in/6a4af4a549f3f92291ffe4c5ce0441ce40
	1117f7,
	fuzz/libidn_stringprep_fuzzer.in/6bb897ace1014d380d7887a0a8ded7a569
	95b3ef,
	fuzz/libidn_stringprep_fuzzer.in/6caaa9be026f414f17ed4a21269b1202df
	5c49c6,
	fuzz/libidn_stringprep_fuzzer.in/6d3c00b3dcc64c9363d7d88c95b4080dee
	0f8d83,
	fuzz/libidn_stringprep_fuzzer.in/72e9a6f7b9789270b85060b9e5fc5128b3
	76ea99,
	fuzz/libidn_stringprep_fuzzer.in/76742d0957941ca9c08c0036d3ae1a78d3
	105a32,
	fuzz/libidn_stringprep_fuzzer.in/77d5335cb4323b54360dfacfa907c3dd6b
	a71079,
	fuzz/libidn_stringprep_fuzzer.in/79b5de51450ce0ca0da2cdefed1654900c
	ba80e0,
	fuzz/libidn_stringprep_fuzzer.in/7a90f9228e9a30b5723c51378061daba10
	03c49a,
	fuzz/libidn_stringprep_fuzzer.in/7bf107905066fe5f3ba233d35cf643a091
	57d740,
	fuzz/libidn_stringprep_fuzzer.in/7c7ed903893791cee5f0b75b15c5ef7788
	ead2a7,
	fuzz/libidn_stringprep_fuzzer.in/7f1bcb989fc480f846575bced8b1b1bf7e
	31a41c,
	fuzz/libidn_stringprep_fuzzer.in/7f1d2e3b5d313d203b43db5f107b3ccc73
	c9ff4f,
	fuzz/libidn_stringprep_fuzzer.in/7f3ea9da136240a1bb3be3c3fb397831a6
	ef4ad1,
	fuzz/libidn_stringprep_fuzzer.in/81aa564ec0196746f18f0702188adfe4dc
	30b469,
	fuzz/libidn_stringprep_fuzzer.in/82e76e69ae29a0b33a36928c081621163f
	a89e02,
	fuzz/libidn_stringprep_fuzzer.in/8cdde7c7d6118a96863f222c8579f4935c
	8d2f74,
	fuzz/libidn_stringprep_fuzzer.in/8f190aa0ebbbccfd99b4bb956cd9c30d57
	bb68c7,
	fuzz/libidn_stringprep_fuzzer.in/8f3373341efbd6c7d453b1c525ad96e903
	c4b41f,
	fuzz/libidn_stringprep_fuzzer.in/8faa9d3ac3433ae28813c9a812f43cca09
	ec743d,
	fuzz/libidn_stringprep_fuzzer.in/8fd7766002acfc8d0bbbb31983d18b3ee0
	4ff351,
	fuzz/libidn_stringprep_fuzzer.in/903373773260b11edec7ef0cf50315354b
	904f8a,
	fuzz/libidn_stringprep_fuzzer.in/9066c2abc9216d2e27198cfe71b3767475
	f86a7b,
	fuzz/libidn_stringprep_fuzzer.in/9227e9055c3cd4b451a712eaa60d77be18
	a2795b,
	fuzz/libidn_stringprep_fuzzer.in/9712d1769cc50e64d11badc93cf52711fc
	0bd88b,
	fuzz/libidn_stringprep_fuzzer.in/976e4239424d4cee1d0e989c41a63395fc
	8dae54,
	fuzz/libidn_stringprep_fuzzer.in/993faa3d6b71d37cb741d170a40c16f526
	b407a6,
	fuzz/libidn_stringprep_fuzzer.in/ad654c0c2dfb6b7a488d6cd48cada5335f
	765524,
	fuzz/libidn_stringprep_fuzzer.in/ae1358fe9888c9fe65a079823197654765
	6d0621,
	fuzz/libidn_stringprep_fuzzer.in/b71d344cee573643dcf18735c35df82e53
	7bbdb0,
	fuzz/libidn_stringprep_fuzzer.in/baf2ecdb86a645eab0ef7e10e48d1674fe
	69ae40,
	fuzz/libidn_stringprep_fuzzer.in/bb72228318596ffe6ae07d0f4cf3563817
	9b9ea2,
	fuzz/libidn_stringprep_fuzzer.in/bcad397f49967ced5ecaa5d80c4810f2fb
	093155,
	fuzz/libidn_stringprep_fuzzer.in/bdefaf74c508804ceb8dd31104410e4e3c
	567dea,
	fuzz/libidn_stringprep_fuzzer.in/bf89500e95542f43fc2194c1912b7badab
	582e6f,
	fuzz/libidn_stringprep_fuzzer.in/c0c7030b1d5db6a54c2e1debf0ef051bc6
	c06093,
	fuzz/libidn_stringprep_fuzzer.in/c1502df1c202ff41341e0fd0752e289bce
	8e6749,
	fuzz/libidn_stringprep_fuzzer.in/cd35929b9faee746f6e73092f55625bb46
	21ed20,
	fuzz/libidn_stringprep_fuzzer.in/cdbb6bac4f8ae5f767254fdbf821c2eda1
	c35950,
	fuzz/libidn_stringprep_fuzzer.in/ce0b13a8baa37fa663f8f73c6e8d672424
	7f5981,
	fuzz/libidn_stringprep_fuzzer.in/cebe86075e4d6cfedc15ffa0cf18f920d8
	15d316,
	fuzz/libidn_stringprep_fuzzer.in/d26a17d1429620256ff3dde0e92e347f56
	d8d337,
	fuzz/libidn_stringprep_fuzzer.in/d64ea9750afa21da79e873a5c1ddfe9454
	dfe8e1,
	fuzz/libidn_stringprep_fuzzer.in/d84509a0a6c33510355aea908130a3b631
	f8155e,
	fuzz/libidn_stringprep_fuzzer.in/df73a28edfa566b5025cb11bd18ef7258c
	375493,
	fuzz/libidn_stringprep_fuzzer.in/dfcdbf7cfceb9a6b3db1e6ab4eee6dc45d
	5f55f1,
	fuzz/libidn_stringprep_fuzzer.in/e088f609a4b40533953776c82132055959
	16ebd2,
	fuzz/libidn_stringprep_fuzzer.in/e2ce648546f21d17c1ed96f18be52bbf88
	4eadf0,
	fuzz/libidn_stringprep_fuzzer.in/e5dd5d7807727bb8aba10832fac9662cc9
	03f9d5,
	fuzz/libidn_stringprep_fuzzer.in/e678f8d4168a7012e67315f5ff96efa409
	3a96b3,
	fuzz/libidn_stringprep_fuzzer.in/eda534bfbf6fb1168711192cbef9e29c25
	7c8c94,
	fuzz/libidn_stringprep_fuzzer.in/edab81a293ab6ad360eee747516a930d9f
	d8a33f,
	fuzz/libidn_stringprep_fuzzer.in/ee7a262fbf3786dd722bc8f996756ad72b
	f70481,
	fuzz/libidn_stringprep_fuzzer.in/efc861129f0f7310ab72fc4c1a9ca959f3
	ea36be,
	fuzz/libidn_stringprep_fuzzer.in/f5b7c79a6318ea538d4e3e1f6fd2fc9604
	d5271f,
	fuzz/libidn_stringprep_fuzzer.in/f7ee29253d83300df4fd88801af20bcb53
	f2c0d6,
	fuzz/libidn_stringprep_fuzzer.in/f84f8da1bf8ae24f1cbd424d742b9832ab
	af7ac1,
	fuzz/libidn_stringprep_fuzzer.in/f9583eb831f52cfe1fd177744a6b511382
	ab8df6,
	fuzz/libidn_stringprep_fuzzer.in/fa27231fbc8ff4857f025c1f058fa767bc
	ddb797,
	fuzz/libidn_stringprep_fuzzer.in/fa690d0979470a252e5ff035fee72e77a2
	f8e759,
	fuzz/libidn_stringprep_fuzzer.in/fd0171ee7e98953632e08ae8be416d30d4
	ce209b,
	fuzz/libidn_stringprep_fuzzer.in/fe33e11cf3e03441d940cbbd9ee8d1e987
	1ab075,
	fuzz/libidn_stringprep_fuzzer.in/fe81a91b0852cfc9641e4b8d7e34984e30
	87bf39, fuzz/libidn_toascii_fuzzer.c,
	fuzz/libidn_toascii_fuzzer.in/3db0dd229f0538f6f0fda11190e611c66169e
	cad, fuzz/libidn_tounicode_fuzzer.dict,
	fuzz/libidn_tounicode_fuzzer.in/00bd6a50ffa62cf644da7291f0724b09e4e
	8b39c,
	fuzz/libidn_tounicode_fuzzer.in/0382258e2376296fc0ed1868bed85c98863
	5d229,
	fuzz/libidn_tounicode_fuzzer.in/03dfe428b3c0e6ae3c4680d49a6f33b965f
	f5d6d,
	fuzz/libidn_tounicode_fuzzer.in/04ba145660449213143edc8a0e5c1c8115c
	407ab,
	fuzz/libidn_tounicode_fuzzer.in/0605a6604a0144f810eb87b0fc7a243fd40
	31c35,
	fuzz/libidn_tounicode_fuzzer.in/089f92c66953ccd3a5181122da72dc26cc4
	97a5a,
	fuzz/libidn_tounicode_fuzzer.in/0b02d9bb6c958a30b326eefc396e56202a6
	b9d61,
	fuzz/libidn_tounicode_fuzzer.in/0d8921f01e389df8a4c787b64c75075c347
	5ebb2,
	fuzz/libidn_tounicode_fuzzer.in/0e9c4ebede2524ab244c2ecd63489a49d6e
	1769d,
	fuzz/libidn_tounicode_fuzzer.in/0ef56a9eadeeafb4a5ac7d9b6598e51e049
	7004d,
	fuzz/libidn_tounicode_fuzzer.in/10589a4b3018e283354de73adbc3b827709
	42db3,
	fuzz/libidn_tounicode_fuzzer.in/11acf5208e67765b81358b8664eac45df85
	8a30c,
	fuzz/libidn_tounicode_fuzzer.in/11f4a538adae10ea10b3f6244c1f52c3906
	5ff73,
	fuzz/libidn_tounicode_fuzzer.in/121de6636ac2338630c1406540936f8ac2a
	5fc16,
	fuzz/libidn_tounicode_fuzzer.in/12afd0bea9ab15c361faf9cb3224818964e
	ae372,
	fuzz/libidn_tounicode_fuzzer.in/12d8f30780b3b26ef9c5b23528300a5ee5b
	221d1,
	fuzz/libidn_tounicode_fuzzer.in/143aebb43b61807354f8c44af8549c6526a
	baba9,
	fuzz/libidn_tounicode_fuzzer.in/159e348042d3494b99ddd58372bcf0d441a
	8bd86,
	fuzz/libidn_tounicode_fuzzer.in/167022ee2f31badfec8df0c364393c1ae2a
	d5be9,
	fuzz/libidn_tounicode_fuzzer.in/176ad7177686b1462c56cfa15d91608ea18
	9ab16,
	fuzz/libidn_tounicode_fuzzer.in/176fdc86740ecb755c1e3d6ae66c9350012
	09621,
	fuzz/libidn_tounicode_fuzzer.in/1898920707cc2e3d8dd9e4908cc1d4ede79
	751de,
	fuzz/libidn_tounicode_fuzzer.in/18a0afa8fd473ea2b418628b595d5ac859d
	13e1d,
	fuzz/libidn_tounicode_fuzzer.in/203be59e27f04fa2ab7bb9df99ab21d7ab4
	9b521,
	fuzz/libidn_tounicode_fuzzer.in/20712280f24576097ab99b9aa01453a0c6c
	f0374,
	fuzz/libidn_tounicode_fuzzer.in/21ef6ade05bf7286fd36d9b171f509d0ef5
	7a350,
	fuzz/libidn_tounicode_fuzzer.in/21f87bc731c2733ae575bb913b69afcf3f1
	b04c1,
	fuzz/libidn_tounicode_fuzzer.in/226c570c145314e54d622a0bb7dcdfbe0dc
	869ab,
	fuzz/libidn_tounicode_fuzzer.in/2277c47e21bdfc040c24ee15a79f2e2ff6e
	9a609,
	fuzz/libidn_tounicode_fuzzer.in/23f930ac2b85931ff2eaad9a9f872be2795
	cc5e2,
	fuzz/libidn_tounicode_fuzzer.in/2406cd74a98bd6dab44e275d6dff9ea5ed6
	b187a,
	fuzz/libidn_tounicode_fuzzer.in/241f2b82308e0864138033c232c56833f0d
	a29a0,
	fuzz/libidn_tounicode_fuzzer.in/25fe735608896472862e13b5b91f7f5af49
	f5475,
	fuzz/libidn_tounicode_fuzzer.in/28c994a8edaec8b19ad1b7f1be94ffa6d17
	4e82f,
	fuzz/libidn_tounicode_fuzzer.in/2aed527ca0d919dfcbaf07228e0ebce4baa
	b1803,
	fuzz/libidn_tounicode_fuzzer.in/2b3aeb19931a105411224d7f64114c033a0
	61046,
	fuzz/libidn_tounicode_fuzzer.in/2c44b9a3bb389515d3b5980717c3c8ef0ce
	a7200,
	fuzz/libidn_tounicode_fuzzer.in/2c922cc2bac31d73b647280efbe5c433519
	87da4,
	fuzz/libidn_tounicode_fuzzer.in/315abaa7981bc57275b025f8cfd5b026a17
	21200,
	fuzz/libidn_tounicode_fuzzer.in/317f9f3ee6eef7869d883494e244eea302a
	41c51,
	fuzz/libidn_tounicode_fuzzer.in/31d7bd97d5b47cd51bacd17223786bcc8e5
	6100b,
	fuzz/libidn_tounicode_fuzzer.in/34edf0c14fd6f8b02e1b4c5fef6b3e03ab8
	cc9c6,
	fuzz/libidn_tounicode_fuzzer.in/357ee2fe20f11720dffa67418099fd37425
	d8dd3,
	fuzz/libidn_tounicode_fuzzer.in/375b52bf1e866a3c4a8f9e78d45efe70337
	c46f7,
	fuzz/libidn_tounicode_fuzzer.in/388571f1707dbfe30af76913de13a4d6e5f
	dffbf,
	fuzz/libidn_tounicode_fuzzer.in/38e3351a7271a27e1b1addd477f8ca5ac7f
	d06cf,
	fuzz/libidn_tounicode_fuzzer.in/38f86a22e8327533a13ccb167cd6e7fc58e
	3207b,
	fuzz/libidn_tounicode_fuzzer.in/3bde336e066a141c41da89fa792ba8129dc
	516b9,
	fuzz/libidn_tounicode_fuzzer.in/3bf21da54c9cdf21338319f11e1c7320aa0
	b566a,
	fuzz/libidn_tounicode_fuzzer.in/3d1246f7a81ea04d65bc6024d2ed13a0351
	2ffa9,
	fuzz/libidn_tounicode_fuzzer.in/3d187ef30785c374e67e6672b9afce67276
	a130f,
	fuzz/libidn_tounicode_fuzzer.in/3da2cf3baa6308e91abf9192cde4e74d2b6
	af06d,
	fuzz/libidn_tounicode_fuzzer.in/418ad46eac1ce0025c4204208b148a8bd01
	c3d0b,
	fuzz/libidn_tounicode_fuzzer.in/43edbb1f7b6aa81ba247adf17b4fd71e343
	d55ee,
	fuzz/libidn_tounicode_fuzzer.in/47ab852b222ac8944cd80bf18a42be4ed07
	fef6f,
	fuzz/libidn_tounicode_fuzzer.in/49294450dbc9a1430f051adc35f362d8a51
	d5f50,
	fuzz/libidn_tounicode_fuzzer.in/4a90e2112a9675ca21128748f50e4cd5c31
	626ba,
	fuzz/libidn_tounicode_fuzzer.in/4af486bb2c2cb8b6042f00f1918784659a9
	a6e43,
	fuzz/libidn_tounicode_fuzzer.in/4af84f21532f6d6ab31fb392f6bae590d8a
	ce444,
	fuzz/libidn_tounicode_fuzzer.in/4e97f646576439c8e5196dc8b88bedd70ac
	78474,
	fuzz/libidn_tounicode_fuzzer.in/501bee8c307e8a212918e4f56c9cebb9fc2
	96cdd,
	fuzz/libidn_tounicode_fuzzer.in/510660ed5b91605e19f9e8f4b1fc47bd9ba
	cfbb8,
	fuzz/libidn_tounicode_fuzzer.in/53728802ebe06c07a866a2ca41ab2860b6c
	c42b4,
	fuzz/libidn_tounicode_fuzzer.in/5592421285cb023dfd45f803d2ed43cf3d5
	0935f,
	fuzz/libidn_tounicode_fuzzer.in/563e09a14ba5a7bb6e99fd38c6d808b0ed1
	ea273,
	fuzz/libidn_tounicode_fuzzer.in/57fb5f8b67073394870cb999c256fd1de2b
	bafa8,
	fuzz/libidn_tounicode_fuzzer.in/5a17c0cbc9e5f82a06bb6e1059ce28cb8dd
	77cea,
	fuzz/libidn_tounicode_fuzzer.in/5b96696c3da3efbaf8b846243d494bf9532
	30481,
	fuzz/libidn_tounicode_fuzzer.in/5c32ae248da66878413e0d505dca81232f0
	e8bc8,
	fuzz/libidn_tounicode_fuzzer.in/5c3b8e39d342bdb3db2a61e672ad9133823
	2eb12,
	fuzz/libidn_tounicode_fuzzer.in/5f2a31bb7a3c384e3ce5087fcb53cf0abe0
	28d39,
	fuzz/libidn_tounicode_fuzzer.in/5f5c91952640cff45002bcefc5aa10e96d6
	0c2f1,
	fuzz/libidn_tounicode_fuzzer.in/5fd646c34f4207350712e2e79bb3fe0a8e2
	241a7,
	fuzz/libidn_tounicode_fuzzer.in/6165f8eab6c16c7c2c4ff53f37bc16d25a8
	1610b,
	fuzz/libidn_tounicode_fuzzer.in/6182c60cb9dad5e3b35a833eebc8ffb56ff
	54bb6,
	fuzz/libidn_tounicode_fuzzer.in/621ca8b4d5aff205589e2c0e814bb3a489e
	75b88,
	fuzz/libidn_tounicode_fuzzer.in/6234cc363e90db604d49ee0a66fb0401676
	5066c,
	fuzz/libidn_tounicode_fuzzer.in/62bdebe96eb74d4501db1a23d13244ba5bf
	843d1,
	fuzz/libidn_tounicode_fuzzer.in/633f33ffa9fec7134f1740eb1d41fc1d430
	bf38a,
	fuzz/libidn_tounicode_fuzzer.in/65e7baaef394036e288744db1a58dca4856
	45922,
	fuzz/libidn_tounicode_fuzzer.in/660840eaf994eae69ce52e8db73968d790e
	3b4c1,
	fuzz/libidn_tounicode_fuzzer.in/684bcd828b355c647ed33ba51ac77c0c2c1
	8b647,
	fuzz/libidn_tounicode_fuzzer.in/694b8443f9bd557e4ee4d13154566371690
	dd740,
	fuzz/libidn_tounicode_fuzzer.in/6b4086f1610bca75ff6778588425a3763e2
	74c21,
	fuzz/libidn_tounicode_fuzzer.in/6b87663010fd6442a4f04904dd7bdcca1e7
	8535b,
	fuzz/libidn_tounicode_fuzzer.in/7037875088c49f3c162e16817a0d95455fd
	1526f,
	fuzz/libidn_tounicode_fuzzer.in/70d9edd03ed612ca8d7561e63a9d9a5b8dd
	ae55f,
	fuzz/libidn_tounicode_fuzzer.in/76da307b226ccb161fc7db1890c0df4a136
	8b154,
	fuzz/libidn_tounicode_fuzzer.in/76e8df40ef63579bf1d2ce3339cd3c0916f
	8e6e7,
	fuzz/libidn_tounicode_fuzzer.in/773572e9d615c7b769b106f97eb85384d32
	ecd9c,
	fuzz/libidn_tounicode_fuzzer.in/776ce8ddfc48d1ab6691ecf36d64c0aa6b7
	b48e6,
	fuzz/libidn_tounicode_fuzzer.in/7aa3ce1d17bf119c314f58ba528c935f795
	8d68f,
	fuzz/libidn_tounicode_fuzzer.in/7b2f69b317e57617ba98adf68451e28d64b
	21bdc,
	fuzz/libidn_tounicode_fuzzer.in/803d895c0baad13faaeb1b3cff612d53056
	ce49b,
	fuzz/libidn_tounicode_fuzzer.in/828373cecbe706b69eb20a23ed0955f8129
	0cb64,
	fuzz/libidn_tounicode_fuzzer.in/863d4c8ac43556d4ad6cd961ee8342bcfd5
	8cc35,
	fuzz/libidn_tounicode_fuzzer.in/8835e800662a878dde5249a8f3fce08600a
	fe94c,
	fuzz/libidn_tounicode_fuzzer.in/8bdae23bad878332054190bc37845c93819
	4cd1b,
	fuzz/libidn_tounicode_fuzzer.in/8f5406ba0d0af76ba8ce224d6263c3f6ee1
	6f7e3,
	fuzz/libidn_tounicode_fuzzer.in/90c22a7de968b3ee048112bfc597d0dd855
	ce611,
	fuzz/libidn_tounicode_fuzzer.in/956bd5288f64fb1d88e0f5c7e728c8f1709
	59d07,
	fuzz/libidn_tounicode_fuzzer.in/9635857d73339cf84f4cca576b09ee3fa8f
	0b0eb,
	fuzz/libidn_tounicode_fuzzer.in/988610a10351e276ca2b3e4d1164badf2af
	fc608,
	fuzz/libidn_tounicode_fuzzer.in/98ad001a205a1bc3eeb779ea9d66ad3313d
	3d0e6,
	fuzz/libidn_tounicode_fuzzer.in/9aa5e3822b4e05e28d5eee6a844f52e6816
	429a5,
	fuzz/libidn_tounicode_fuzzer.in/9abeb4fd42af955c4ca2c50be820f88f5ec
	29b9d,
	fuzz/libidn_tounicode_fuzzer.in/9d7b8fab0f9b45cd533e64157a251152ed2
	c84f5,
	fuzz/libidn_tounicode_fuzzer.in/9fd9b8ced5755d7d5708f29560a92b88d88
	a3c0b,
	fuzz/libidn_tounicode_fuzzer.in/a9910e0c4d2f8537f390dbad00266051374
	2d188,
	fuzz/libidn_tounicode_fuzzer.in/a9d1505ca0d766d032b4674c64e87490000
	1b3ce,
	fuzz/libidn_tounicode_fuzzer.in/aa79d199807abe600dc01977daba9d6490c
	abcdb,
	fuzz/libidn_tounicode_fuzzer.in/ab2e3df16619ca52b4ebd371e88949e569e
	7a633,
	fuzz/libidn_tounicode_fuzzer.in/ac746bd0324b36e34308d3f6fc8fc62074a
	d1608,
	fuzz/libidn_tounicode_fuzzer.in/afb5833e0bc282e5c21eb7ac82a7bcaf47d
	598d7,
	fuzz/libidn_tounicode_fuzzer.in/b03689a27fa5ace10096012b8b16b669555
	69e0f,
	fuzz/libidn_tounicode_fuzzer.in/b085a748b9bade05a0f28adc45945dc2000
	7bfbc,
	fuzz/libidn_tounicode_fuzzer.in/b545464b567c4ee066a15a5b46fc849ef1f
	d86ca,
	fuzz/libidn_tounicode_fuzzer.in/b8efd308970dcdc7e572f7356b1e69c504c
	cdd0c,
	fuzz/libidn_tounicode_fuzzer.in/b9576299ff7c14e43d470672d0e2203486d
	4cd54,
	fuzz/libidn_tounicode_fuzzer.in/b9a73cc5cebbd0e42a673d2c0e46393075e
	45442,
	fuzz/libidn_tounicode_fuzzer.in/bcc692e6ab76f276e353575adea31057c2d
	9d629,
	fuzz/libidn_tounicode_fuzzer.in/bd579713ac8ebb0d6f40698ca92b389179e
	e0613,
	fuzz/libidn_tounicode_fuzzer.in/bd9c34ad15f071c7c5a08f8a0c41f379b86
	fa877,
	fuzz/libidn_tounicode_fuzzer.in/c1583f8994741e42e97f0e0727d1a4d5d93
	f02f7,
	fuzz/libidn_tounicode_fuzzer.in/c16da2b5b38ef90407d5438c4d6130f35de
	8bb06,
	fuzz/libidn_tounicode_fuzzer.in/c258527e3512b8213b8e292129b1359ecbc
	c65d5,
	fuzz/libidn_tounicode_fuzzer.in/c2d3a486ee57368f0755d68655a3070b02f
	33d58,
	fuzz/libidn_tounicode_fuzzer.in/c685465e59b66e9d3c93a8832f3fdfad3e0
	c5994,
	fuzz/libidn_tounicode_fuzzer.in/c8d4c476b2bbd4496493cb3c704b8faa27d
	4b06d,
	fuzz/libidn_tounicode_fuzzer.in/ce0ec85cf92a5c9bb94a9a2d0f756151eee
	fb597,
	fuzz/libidn_tounicode_fuzzer.in/ce3b273147f17a2cd818818f2d30601c577
	30f8e,
	fuzz/libidn_tounicode_fuzzer.in/d06a7716df36b8576b7e936e380c5c0f4f6
	0a1e6,
	fuzz/libidn_tounicode_fuzzer.in/d11f06199c2f6b48e229a1fbfc7fbecbe9c
	b481b,
	fuzz/libidn_tounicode_fuzzer.in/d304438a26e942dbca36bb97705247ef959
	96edd,
	fuzz/libidn_tounicode_fuzzer.in/d313742d07934debd038a99ce205c2a68dd
	870c9,
	fuzz/libidn_tounicode_fuzzer.in/d6b0eec7a6706551cbd556e120a2369f18f
	0f707,
	fuzz/libidn_tounicode_fuzzer.in/dabcda26182b5ad8115c0620237bfcfdb5e
	d17eb,
	fuzz/libidn_tounicode_fuzzer.in/dbb521bfc9475f42393217ccc10e2f5b557
	b4932,
	fuzz/libidn_tounicode_fuzzer.in/dbfb7d27d3721534eae496bcdc7df29760d
	b7357,
	fuzz/libidn_tounicode_fuzzer.in/dcc151096d72b56a8b88144b7cd9e3bfedb
	b9d08,
	fuzz/libidn_tounicode_fuzzer.in/dd0fc5175d5a51b61df22cf3a31f31a02af
	e8702,
	fuzz/libidn_tounicode_fuzzer.in/de19607a74ccf8fc7dc93dceb65ac3d9feb
	4a037,
	fuzz/libidn_tounicode_fuzzer.in/e25549a50260004bb5382bb15156e1397b2
	a39e5,
	fuzz/libidn_tounicode_fuzzer.in/e57f4590135b08030c6b9fa9e3768c91820
	14356,
	fuzz/libidn_tounicode_fuzzer.in/e6df1d3fe22bd1bff2e19ff03fc4150e127
	80b26,
	fuzz/libidn_tounicode_fuzzer.in/e77134b5e6e342408defa06c096eec04dda
	d76da,
	fuzz/libidn_tounicode_fuzzer.in/e8e1756d00315bbb39254f23a7ccaceba68
	e8e2c,
	fuzz/libidn_tounicode_fuzzer.in/eaaf28de5962c8699683f745017184b8f39
	672d7,
	fuzz/libidn_tounicode_fuzzer.in/eb7526b4faa3890848be1780b2a6cb9b090
	eec20,
	fuzz/libidn_tounicode_fuzzer.in/eb75f535609995bdb7c6acd2e4e62f27a33
	520b5,
	fuzz/libidn_tounicode_fuzzer.in/eba4a7b3cdcec3848426db0bb84d4ed8562
	88fe7,
	fuzz/libidn_tounicode_fuzzer.in/ec4f79878dbab019cd94fbe8f776abcd4bd
	a8603,
	fuzz/libidn_tounicode_fuzzer.in/f03fe69796e2224c8a5aa23919b1d3d9892
	29ef8,
	fuzz/libidn_tounicode_fuzzer.in/f1e25337cd898fde848229130e372615c54
	49c84,
	fuzz/libidn_tounicode_fuzzer.in/f63deef075e4771856f180e6f7bddeaaec0
	67780,
	fuzz/libidn_tounicode_fuzzer.in/f99b15fab3a5b82f1459134acfb9f129001
	37d54,
	fuzz/libidn_tounicode_fuzzer.in/faf830512a5b8e847a3765265b2b1598560
	ef740,
	fuzz/libidn_tounicode_fuzzer.in/fca840033568514df0d8bf562a1927b796b
	20d81,
	fuzz/libidn_tounicode_fuzzer.in/fcac9eef353e4c79e3c15909039dc36dd1e
	cef84,
	fuzz/libidn_tounicode_fuzzer.in/fd334a77dcac42636ba01076705d5093fbf
	fb87a,
	fuzz/libidn_tounicode_fuzzer.in/fd9b7bc56a0c7cb7a8a9ba0753e09543031
	6d8bd,
	fuzz/libidn_tounicode_fuzzer.in/fe00a070fdeb01237fff71c5a2a798d0ffe
	7482a,
	fuzz/libidn_tounicode_fuzzer.in/ff025b681477955dcc4a2afe9733c32bd9c
	5880f,
	fuzz/libidn_tounicode_fuzzer.in/ffef2e0b0d43b6d1a82c74af7ca7fc548d1
	2c36f: Increase code coverage of fuzzer targets

2017-06-30  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/nfkc.c: Fix NULL ptr access in
	stringprep_ucs4_nfkc_normalize(), foudn by fuzzing

2017-06-29  Tim Rühsen <tim.ruehsen@gmx.de>

	* lib/Makefile.am, lib/gen-stringprep-tables.pl, lib/profiles.c,
	lib/stringprep.c, lib/stringprep.h: Increase speed of stringprep by
	~20x

2017-06-28  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/Makefile.am, fuzz/libidn_stringprep_fuzzer.c,
	fuzz/libidn_stringprep_fuzzer.in/039e2fb9da888c46e80da5eb43d7ca0f13
	2d1fdf,
	fuzz/libidn_stringprep_fuzzer.in/08c826cb9d8ec3f21623f9d7c9577c2050
	3f6dd9,
	fuzz/libidn_stringprep_fuzzer.in/0d3a7667f4fb11261f108858ac83214d1f
	9cf090,
	fuzz/libidn_stringprep_fuzzer.in/0ff2ba56fb4c1bfdb78197438835462c17
	b2a817,
	fuzz/libidn_stringprep_fuzzer.in/1372fd9eb7d770afe57a3aa376e70b93ed
	725720,
	fuzz/libidn_stringprep_fuzzer.in/1387091502c242eff977c6d7dd6548a1c9
	7af622,
	fuzz/libidn_stringprep_fuzzer.in/16cc7bf42ef262b6bc444c22d3df2cdb13
	596c54,
	fuzz/libidn_stringprep_fuzzer.in/175608e455c46d7fdeedcc725dd1f18a72
	959b33,
	fuzz/libidn_stringprep_fuzzer.in/20b2337c81171d7b6ca301b6eec0b39783
	517089,
	fuzz/libidn_stringprep_fuzzer.in/23b057ff7184d511fde064f5906b52e8e2
	6498a6,
	fuzz/libidn_stringprep_fuzzer.in/26a636249d522e4a4104ce5c2a88ee2292
	5b15bd,
	fuzz/libidn_stringprep_fuzzer.in/2ed390ea6b478e72a849f360403293bb2b
	c72f0d,
	fuzz/libidn_stringprep_fuzzer.in/32b879449dcce6a03a0389e511e88f40a5
	6f49d1,
	fuzz/libidn_stringprep_fuzzer.in/38f87fcd771a3337e07081f831a589d880
	41dfb6,
	fuzz/libidn_stringprep_fuzzer.in/3fa29ad72ea691414014816ac581119c62
	fa6050,
	fuzz/libidn_stringprep_fuzzer.in/43bea727043fdc77691ea7da8759d7a1ed
	425205,
	fuzz/libidn_stringprep_fuzzer.in/43bf0de00e2bb985cb24aa0974e74b1cd3
	7cd0c4,
	fuzz/libidn_stringprep_fuzzer.in/45407ddfdfe1c4e5cbf2ba2b3a822d4e64
	d25955,
	fuzz/libidn_stringprep_fuzzer.in/4969745a3b9f4245af35793b6b6488a351
	e5e47d,
	fuzz/libidn_stringprep_fuzzer.in/49e6c74d7a99e1801639d24a343eda9b03
	03d501,
	fuzz/libidn_stringprep_fuzzer.in/4d7fadb509c5dabddcabfb7f1c2d54dc2e
	46b1fb,
	fuzz/libidn_stringprep_fuzzer.in/50d69c7d36cec2cd21c182e0420bbc2b3c
	3d0cbe,
	fuzz/libidn_stringprep_fuzzer.in/52cebff4650acf3753a285629d70b4d32b
	1ba87f,
	fuzz/libidn_stringprep_fuzzer.in/530cdd56d6c359826444b849d63c1bb728
	958600,
	fuzz/libidn_stringprep_fuzzer.in/534c16cbf8bdf6b7722f12f93aacf943b1
	e769b6,
	fuzz/libidn_stringprep_fuzzer.in/59ee75b4bcd2c5073eb7283534ad4cf7cd
	cea6cc,
	fuzz/libidn_stringprep_fuzzer.in/5beea5562bd406fbf2d549573f64843e03
	fbfdc0,
	fuzz/libidn_stringprep_fuzzer.in/5c22fc7cef193e9c11a9fc8a9f70dc5331
	11c872,
	fuzz/libidn_stringprep_fuzzer.in/5fb9a0ba37519b7fd51909c778ee3b4850
	2de7c1,
	fuzz/libidn_stringprep_fuzzer.in/60d48780019613c8ec73b543baa549adb6
	d5742d,
	fuzz/libidn_stringprep_fuzzer.in/60e4cd2219994a086467ac1e279c701a88
	c64954,
	fuzz/libidn_stringprep_fuzzer.in/635646f60085df25c4f98d8a77d4618809
	757b78,
	fuzz/libidn_stringprep_fuzzer.in/655100335309fc048ce35e318067ea9876
	ecab7b,
	fuzz/libidn_stringprep_fuzzer.in/67bf08dd91ff8c14cdd79f63bc756b64fc
	e068d8,
	fuzz/libidn_stringprep_fuzzer.in/6931e757f50084d7f7e1142dae37b88f38
	4b7c28,
	fuzz/libidn_stringprep_fuzzer.in/69bd0537b7043ff9bc43f79eef8e36f665
	d91ab9,
	fuzz/libidn_stringprep_fuzzer.in/6a4af4a549f3f92291ffe4c5ce0441ce40
	1117f7,
	fuzz/libidn_stringprep_fuzzer.in/6b43e52b189099708a18879fc4445e01bd
	92330d,
	fuzz/libidn_stringprep_fuzzer.in/6bb897ace1014d380d7887a0a8ded7a569
	95b3ef,
	fuzz/libidn_stringprep_fuzzer.in/6d66df8af7d342f456f6cd4ed95ae2b178
	e9f32c,
	fuzz/libidn_stringprep_fuzzer.in/732a231098e432372dda563577f5584012
	9115de,
	fuzz/libidn_stringprep_fuzzer.in/7370e52667fc7fe39d5650e028c30fa212
	2038cd,
	fuzz/libidn_stringprep_fuzzer.in/76742d0957941ca9c08c0036d3ae1a78d3
	105a32,
	fuzz/libidn_stringprep_fuzzer.in/7a4a015fce4242e832d65ddf1220ac2650
	1f2c78,
	fuzz/libidn_stringprep_fuzzer.in/7bf107905066fe5f3ba233d35cf643a091
	57d740,
	fuzz/libidn_stringprep_fuzzer.in/7c455c61f7dce03f27b950e80442adcab3
	ecae9d,
	fuzz/libidn_stringprep_fuzzer.in/7d49c24732bc240543e87d25daa13f2e68
	eaead9,
	fuzz/libidn_stringprep_fuzzer.in/7f1bcb989fc480f846575bced8b1b1bf7e
	31a41c,
	fuzz/libidn_stringprep_fuzzer.in/82bd27e96086305bb28a827e267e19ce89
	dbaac1,
	fuzz/libidn_stringprep_fuzzer.in/87db7105ef699c6cb597e5e8c527668f8f
	bc7eb0,
	fuzz/libidn_stringprep_fuzzer.in/89c717839414c71645bfe0a3e8d17a348c
	3da6ed,
	fuzz/libidn_stringprep_fuzzer.in/8cdde7c7d6118a96863f222c8579f4935c
	8d2f74,
	fuzz/libidn_stringprep_fuzzer.in/8ef09359f7522597cc587c5581473ce1e9
	5e01e1,
	fuzz/libidn_stringprep_fuzzer.in/8f190aa0ebbbccfd99b4bb956cd9c30d57
	bb68c7,
	fuzz/libidn_stringprep_fuzzer.in/8fd7766002acfc8d0bbbb31983d18b3ee0
	4ff351,
	fuzz/libidn_stringprep_fuzzer.in/909f99a779adb66a76fc53ab56c7dd1caf
	35d0fd,
	fuzz/libidn_stringprep_fuzzer.in/952b0138dc17bd9278030a31e66ed5755c
	4ed152,
	fuzz/libidn_stringprep_fuzzer.in/965f164b4e1f8247d52259ecd0c209b578
	72ec42,
	fuzz/libidn_stringprep_fuzzer.in/976e4239424d4cee1d0e989c41a63395fc
	8dae54,
	fuzz/libidn_stringprep_fuzzer.in/a28ab591eb23795eec99218a2cb872feaa
	16ce86,
	fuzz/libidn_stringprep_fuzzer.in/a44419f48b39eb1f315dc3d718c2da7b51
	13ad58,
	fuzz/libidn_stringprep_fuzzer.in/a4788c34bcf213a96462e4b88865c6da25
	7f6122,
	fuzz/libidn_stringprep_fuzzer.in/a91dd98b6a8ef730711720722dbb3109d8
	5fdfe7,
	fuzz/libidn_stringprep_fuzzer.in/abd4ac51e72681f09ef82a59b49288f013
	08c74f,
	fuzz/libidn_stringprep_fuzzer.in/adc83b19e793491b1c6ea0fd8b46cd9f32
	e592fc,
	fuzz/libidn_stringprep_fuzzer.in/af8b74bb0d50a3a53a3df368ae6f9142f6
	4905a9,
	fuzz/libidn_stringprep_fuzzer.in/b1044e2e945a9c4c4ad2503b75a589e34e
	86a076,
	fuzz/libidn_stringprep_fuzzer.in/b7a1291fdf1cd96390bfcd77684702a1f6
	f5d474,
	fuzz/libidn_stringprep_fuzzer.in/bcad397f49967ced5ecaa5d80c4810f2fb
	093155,
	fuzz/libidn_stringprep_fuzzer.in/bf89500e95542f43fc2194c1912b7badab
	582e6f,
	fuzz/libidn_stringprep_fuzzer.in/c1502df1c202ff41341e0fd0752e289bce
	8e6749,
	fuzz/libidn_stringprep_fuzzer.in/c473641f01850a4ce3141a33604970e48b
	58af93,
	fuzz/libidn_stringprep_fuzzer.in/c94ee2685d90739c802761d22383cb38b9
	155ad9,
	fuzz/libidn_stringprep_fuzzer.in/cd4bd8942be38d941ab79d313450b70e66
	0edb46,
	fuzz/libidn_stringprep_fuzzer.in/cf23bdae0ce2f5de63382aa91e1ca5bbdd
	4ef4a8,
	fuzz/libidn_stringprep_fuzzer.in/d308e0b2d36c5d2420869c6bf112e31e8d
	5b0d52,
	fuzz/libidn_stringprep_fuzzer.in/d87ceda97018adebf9ca3910826520bde2
	249421,
	fuzz/libidn_stringprep_fuzzer.in/dad5cbda768f508a64f63484b103a61b7b
	8921be,
	fuzz/libidn_stringprep_fuzzer.in/dcfe91436cc9d05d33f9d8ff52ce980079
	b983c0,
	fuzz/libidn_stringprep_fuzzer.in/e758a4f74bf926c1ebe7d93deefa8ee664
	6fe412,
	fuzz/libidn_stringprep_fuzzer.in/e79b1eda0b188ee8d980001939d51573c2
	e5c120,
	fuzz/libidn_stringprep_fuzzer.in/e813f3f3616615a58bbf8a37e00a5eee4f
	513b07,
	fuzz/libidn_stringprep_fuzzer.in/ed693ef4ffbee41b881a0eb5d530c46f1e
	727900,
	fuzz/libidn_stringprep_fuzzer.in/edab81a293ab6ad360eee747516a930d9f
	d8a33f,
	fuzz/libidn_stringprep_fuzzer.in/ee215a255006fcbde2d24ea79e0ae8458a
	84f5b6,
	fuzz/libidn_stringprep_fuzzer.in/f5b7c79a6318ea538d4e3e1f6fd2fc9604
	d5271f,
	fuzz/libidn_stringprep_fuzzer.in/f5ebe7637f36562f25345893e48fdf1028
	31149e,
	fuzz/libidn_stringprep_fuzzer.in/f752c90aca9958237eedef1178515cebd5
	9024e3,
	fuzz/libidn_stringprep_fuzzer.in/f79fb69a4ff41d16a1dd70bdfdb1abb2f1
	f74045,
	fuzz/libidn_stringprep_fuzzer.in/f7ee29253d83300df4fd88801af20bcb53
	f2c0d6,
	fuzz/libidn_stringprep_fuzzer.in/f944934108412b39b16bef89daa874a028
	9f4a75,
	fuzz/libidn_stringprep_fuzzer.in/fa690d0979470a252e5ff035fee72e77a2
	f8e759,
	fuzz/libidn_stringprep_fuzzer.in/fd28a3756cf017f8c041d061303c8f25be
	62f0f6,
	fuzz/libidn_stringprep_fuzzer.in/fd69c92ad3d58b149de55d8bbf75106eef
	06b73c,
	fuzz/libidn_stringprep_fuzzer.in/ff24f59807e1ace97b81dc026feef22d37
	c67da9: New fuzzer target libidn_stringprep_fuzzer

2017-06-24  Tim Rühsen <tim.ruehsen@gmx.de>

	* Makefile.am: Add make target 'fuzz-coverage'

2017-06-24  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/Makefile.am, fuzz/libidn_tounicode_fuzzer.c,
	fuzz/libidn_tounicode_fuzzer.in/0ef56a9eadeeafb4a5ac7d9b6598e51e049
	7004d,
	fuzz/libidn_tounicode_fuzzer.in/1b3ffb06b4568c80cf745d207889125d4f1
	45dd1,
	fuzz/libidn_tounicode_fuzzer.in/2406cd74a98bd6dab44e275d6dff9ea5ed6
	b187a,
	fuzz/libidn_tounicode_fuzzer.in/293dd83c08b3672a94103a0141a3a20fea6
	7b477,
	fuzz/libidn_tounicode_fuzzer.in/2aeae038ec060489135f092f1f69fb546a1
	7686e,
	fuzz/libidn_tounicode_fuzzer.in/2cb0090fe5ade7685b850a03452c8f02910
	4c633,
	fuzz/libidn_tounicode_fuzzer.in/340f8d4b157ad4cba20d14e7f04adec224d
	2fa3a,
	fuzz/libidn_tounicode_fuzzer.in/3c2538a5f996a54c7e6499eb7facd4ae496
	4c0eb,
	fuzz/libidn_tounicode_fuzzer.in/6165f8eab6c16c7c2c4ff53f37bc16d25a8
	1610b,
	fuzz/libidn_tounicode_fuzzer.in/6182c60cb9dad5e3b35a833eebc8ffb56ff
	54bb6,
	fuzz/libidn_tounicode_fuzzer.in/706867057987534c8e90e6346891704f41a
	71d0d,
	fuzz/libidn_tounicode_fuzzer.in/71853c6197a6a7f222db0f1978c7cb232b8
	7c5ee,
	fuzz/libidn_tounicode_fuzzer.in/79838b9c676183707031761f59c3d63f13a
	7ec46,
	fuzz/libidn_tounicode_fuzzer.in/79b75a4fdd422eae354a8f3bf683bac60ff
	ab206,
	fuzz/libidn_tounicode_fuzzer.in/868d87b708f636fa88eb69752c42164d95f
	85844,
	fuzz/libidn_tounicode_fuzzer.in/988610a10351e276ca2b3e4d1164badf2af
	fc608,
	fuzz/libidn_tounicode_fuzzer.in/aa77dd4b1e23a3d970404f201a29815f699
	c91b0,
	fuzz/libidn_tounicode_fuzzer.in/ad7bbf3de6690c23732485fc1b91cf48681
	cafc5,
	fuzz/libidn_tounicode_fuzzer.in/adc83b19e793491b1c6ea0fd8b46cd9f32e
	592fc,
	fuzz/libidn_tounicode_fuzzer.in/bcc692e6ab76f276e353575adea31057c2d
	9d629,
	fuzz/libidn_tounicode_fuzzer.in/c032adc1ff629c9b66f22749ad667e6bead
	f144b,
	fuzz/libidn_tounicode_fuzzer.in/c685465e59b66e9d3c93a8832f3fdfad3e0
	c5994,
	fuzz/libidn_tounicode_fuzzer.in/ccd8e66e3eebfb4a950371b19407529d857
	54328,
	fuzz/libidn_tounicode_fuzzer.in/ce1da3c5e685b0e8dd314b0a2f534fa1dd9
	5af22,
	fuzz/libidn_tounicode_fuzzer.in/ce739655795817c9ca81b4cbbe684fa352a
	aff04,
	fuzz/libidn_tounicode_fuzzer.in/dabcda26182b5ad8115c0620237bfcfdb5e
	d17eb,
	fuzz/libidn_tounicode_fuzzer.in/e3e46e7854cd3665c4b40833eef1ef086a5
	f8740,
	fuzz/libidn_tounicode_fuzzer.in/f93f6b04f98cd3955b394e8bd80219bd9cf
	a33dc,
	fuzz/libidn_tounicode_fuzzer.in/fcb7002e1919642b844b9740e85242a74af
	1c99a: New fuzzer target libidn_tounicode_fuzzer

2017-06-24  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/libidn_toascii_fuzzer.c: Improved libidn_toascii_fuzzer

2017-06-24  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/libidn_toascii_fuzzer.c: C++ needs explicit pointer cast

2017-06-24  Tim Rühsen <tim.ruehsen@gmx.de>

	* fuzz/Makefile.am: Adjust include dir in fuzz/Makefile.am

2017-06-24  Tim Rühsen <tim.ruehsen@gmx.de>

	* Makefile.am: Build java and csharp only if configured

2017-06-24  Tim Rühsen <tim.ruehsen@gmx.de>

	* Makefile.am, configure.ac, fuzz/README.md: New configure flag
	--disable-doc

2017-06-23  Tim Rühsen <tim.ruehsen@gmx.de>

	* Makefile.am, configure.ac, fuzz/Makefile.am, fuzz/README.md,
	fuzz/coverage.sh, fuzz/fuzzer.h, fuzz/libidn_toascii_fuzzer.c,
	fuzz/libidn_toascii_fuzzer.in/009ea80186fd48f2be70e15a5ee6725830195
	2d1,
	fuzz/libidn_toascii_fuzzer.in/0df483d443749fa2388455df978e25ecd9950
	d04,
	fuzz/libidn_toascii_fuzzer.in/10cf436eb2d1248407cd3d60f1a69bade0b9e
	710,
	fuzz/libidn_toascii_fuzzer.in/313542d9a650404b1ced437defc17563563bc
	3d8,
	fuzz/libidn_toascii_fuzzer.in/3db0dd229f0538f6f0fda11190e611c66169e
	cad,
	fuzz/libidn_toascii_fuzzer.in/40f01f3b4352bdea85d60ae64e2eef23d188b
	a83,
	fuzz/libidn_toascii_fuzzer.in/53a0acfad59379b3e050338bf9f23cfc172ee
	787,
	fuzz/libidn_toascii_fuzzer.in/6a2ffa3567b0d286348f4e6942d3e8e62d820
	d2a,
	fuzz/libidn_toascii_fuzzer.in/85248eb0f863099c0996293b10302fabeca12
	1bb,
	fuzz/libidn_toascii_fuzzer.in/9a900f538965a426994e1e90600920aff0b4e
	8d2,
	fuzz/libidn_toascii_fuzzer.in/c4dd3c8cdd8d7c95603dd67f1cd873d5f9148
	b29,
	fuzz/libidn_toascii_fuzzer.in/e4113a359d19e32b520859b1c848af3ce7ebe
	4e8,
	fuzz/libidn_toascii_fuzzer.in/fe5dbbcea5ce7e2988b8c69bcfdfde8904aab
	c1f, fuzz/main.c, fuzz/run-afl.sh, fuzz/run-clang.sh,
	fuzz/view-coverage.sh: Add initial OSS-Fuzz testing

2017-06-21  Tim Rühsen <tim.ruehsen@gmx.de>

	* configure.ac: Add --enable-ubsan configure flag to enable UB
	Sanitizer

2017-06-21  Tim Rühsen <tim.ruehsen@gmx.de>

	* configure.ac: Add --enable-asan configure flag to enable Address
	Sanitizer

2017-02-01  Tim Rühsen <tim.ruehsen@gmx.de>

	* examples/example.c, examples/example3.c, examples/example4.c,
	examples/example5.c, src/idn.c, tests/tst_idna.c,
	tests/tst_idna2.c, tests/tst_idna3.c, tests/tst_nfkc.c,
	tests/tst_pr29.c, tests/tst_punycode.c, tests/tst_strerror.c,
	tests/tst_stringprep.c, tests/tst_tld.c, tests/utils.c: Fix -Wformat
	warnings

2017-02-01  Tim Rühsen <tim.ruehsen@gmx.de>

	* configure.ac: Increase value for -Wframe-larger-than (gcc-7)

2017-02-01  Tim Rühsen <tim.ruehsen@gmx.de>

	* gl/intprops.h, lib/gltests/intprops.h: Update intprops.h for gcc-7
	compatibility

2016-07-22  Simon Josefsson <simon@josefsson.org>

	* HACKING: Mention OpenJDK.  Suggested by Guus.

2016-07-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2016-07-20  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/sv.po.in: Sync with TP.

2016-07-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/stringprep.h: Bump versions.

2016-07-20  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.33.

2016-07-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.33.

2016-07-20  Simon Josefsson <simon@josefsson.org>

	* tests/tst_toascii64oob.c: Doc fix.

2016-07-20  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2016-07-20  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, gl/intprops.h, gl/m4/dup2.m4,
	gl/m4/extern-inline.m4, gl/m4/getcwd.m4, gl/m4/getdelim.m4,
	gl/m4/getline.m4, gl/m4/malloc.m4, gl/m4/manywarnings.m4,
	gl/m4/nocrash.m4, gl/m4/realloc.m4, gl/m4/stdbool.m4,
	gl/m4/stdint.m4, gl/stddef.in.h, gl/stdint.in.h, gl/verify.h,
	gltests/Makefile.am, gltests/binary-io.h, gltests/dup2.c,
	gltests/init.sh, gltests/stdalign.in.h, gltests/test-getline.c,
	gltests/test-intprops.c, gltests/test-stat.c, gltests/test-stat.h,
	gltests/wchar.in.h, lib/gl/m4/extern-inline.m4,
	lib/gl/m4/malloc.m4, lib/gl/m4/stdbool.m4, lib/gl/m4/stdint.m4,
	lib/gl/stddef.in.h, lib/gl/stdint.in.h, lib/gltests/Makefile.am,
	lib/gltests/init.sh, lib/gltests/intprops.h,
	lib/gltests/setlocale.c, lib/gltests/stdalign.in.h,
	lib/gltests/test-intprops.c, lib/gltests/test-localename.c,
	lib/gltests/test-setlocale1.c, lib/gltests/verify.h,
	lib/gltests/wchar.in.h, maint.mk: Update gnulib files.

2016-07-20  Simon Josefsson <simon@josefsson.org>

	* gl/override/lib/gettext.h.diff,
	lib/gl/override/lib/gettext.h.diff: Update gl override patches.

2016-01-14  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2016-01-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Doc fix.

2016-01-14  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Really fix bug when reading \00 inputs.

2016-01-14  Simon Josefsson <simon@josefsson.org>

	* po/cs.po.in, po/da.po.in, po/de.po.in, po/eo.po.in, po/hr.po.in,
	po/hu.po.in, po/id.po.in, po/it.po.in, po/ja.po.in, po/nl.po.in,
	po/pl.po.in, po/pt_BR.po.in, po/ro.po.in, po/sr.po.in, po/uk.po.in,
	po/zh_CN.po.in: Sync with TP.

2016-01-14  Simon Josefsson <simon@josefsson.org>

	* .clcopying, AUTHORS, FAQ, HACKING, Makefile.am, README, THANKS,
	TODO, cfg.mk, configure.ac, contrib/README,
	contrib/doxygen/gdoc2doxygen, contrib/java/Makefile.am,
	contrib/java/README, csharp/AssemblyInfo.cs, csharp/IDNA.cs,
	csharp/IDNAException.cs, csharp/Makefile.am, csharp/NFKC.cs,
	csharp/Punycode.cs, csharp/PunycodeException.cs,
	csharp/Stringprep.cs, csharp/StringprepException.cs,
	csharp/generate/AssemblyInfo.cs, csharp/generate/GenerateNFKC.cs,
	csharp/generate/GenerateRFC3454.cs, csharp/generate/HashSet.cs,
	csharp/generate/Program.cs, csharp/generate/Tokenizer.cs,
	doc/Makefile.am, doc/cyclo/Makefile.am, doc/gdoc, doc/gdoc.mk,
	doc/java/Makefile.am, doc/libidn.texi, doc/tld/Makefile.am,
	doc/tld/README, doc/tld/fr.tld, doc/tld/no.tld,
	examples/Makefile.am, examples/README, examples/example.c,
	examples/example2.c, examples/example3.c, examples/example4.c,
	examples/example5.c, java/Makefile.am, java/src/Makefile.am,
	java/src/main/Makefile.am, java/src/main/java/Makefile.am,
	java/src/main/java/gnu/Makefile.am,
	java/src/main/java/gnu/inet/Makefile.am,
	java/src/main/java/gnu/inet/encoding/IDNA.java,
	java/src/main/java/gnu/inet/encoding/IDNAException.java,
	java/src/main/java/gnu/inet/encoding/Makefile.am,
	java/src/main/java/gnu/inet/encoding/NFKC.java,
	java/src/main/java/gnu/inet/encoding/Punycode.java,
	java/src/main/java/gnu/inet/encoding/PunycodeException.java,
	java/src/main/java/gnu/inet/encoding/RangeSet.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java,
	java/src/main/java/gnu/inet/encoding/StringprepException.java,
	java/src/test/Makefile.am, java/src/test/java/Makefile.am,
	java/src/test/java/gnu/inet/encoding/RangeSetTest.java,
	java/src/test/java/gnu/inet/encoding/StringprepTest.java,
	java/src/test/java/gnu/inet/encoding/caliper/CaliperStringprep.java
	, java/src/util/Makefile.am, java/src/util/java/GenerateNFKC.java,
	java/src/util/java/GenerateRFC3454.java,
	java/src/util/java/Makefile.am, java/src/util/java/TestIDNA.java,
	java/src/util/java/TestNFKC.java, lib/Makefile.am,
	lib/gen-stringprep-tables.pl, lib/gen-tld-tables.pl,
	lib/gen-unicode-tables.pl, lib/idn-free.c, lib/idn-free.h,
	lib/idna.h, lib/libidn.map, lib/pr29.c, lib/pr29.h, lib/profiles.c,
	lib/punycode.c, lib/punycode.h, lib/strerror-idna.c,
	lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/stringprep.h, lib/tld.c, lib/tld.h, lib/toutf8.c,
	lib/version.c, libc/README, libc/example.c,
	libc/getaddrinfo-idn.txt, libidn.pc.in,
	m4/update-header-version.m4, po/cs.po.in, po/da.po.in, po/de.po.in,
	po/eo.po.in, po/hr.po.in, po/hu.po.in, po/id.po.in, po/it.po.in,
	po/ja.po.in, po/nl.po.in, po/pl.po.in, po/pt_BR.po.in, po/ro.po.in,
	po/sr.po.in, po/uk.po.in, po/zh_CN.po.in, src/Makefile.am,
	src/idn.c, src/idn.ggo, src/idna.el, src/punycode.el,
	tests/tst_badutf8.c, tests/tst_idna.c, tests/tst_idna2.c,
	tests/tst_idna3.c, tests/tst_idna4.c, tests/tst_nfkc.c,
	tests/tst_pr29.c, tests/tst_punycode.c, tests/tst_strerror.c,
	tests/tst_stringprep.c, tests/tst_symbols.c, tests/tst_tld.c,
	tests/tst_toutf8.c, tests/tst_utf8crash.c, tests/utils.c,
	tests/utils.h, windows/include/ac-stdint.h,
	windows/include/config.h, windows/include/idn-int.h,
	windows/include/stdbool.h, windows/libidn4win.mk: Bump copyright
	notices.

2016-01-14  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/config.rpath, build-aux/csharpcomp.sh.in,
	build-aux/csharpexec.sh.in, build-aux/gendocs.sh,
	build-aux/gnupload, build-aux/pmccabe2html,
	build-aux/snippet/arg-nonnull.h, build-aux/snippet/c++defs.h,
	build-aux/snippet/unused-parameter.h,
	build-aux/snippet/warn-on-use.h, build-aux/update-copyright,
	build-aux/useless-if-before-free, build-aux/vc-list-files,
	doc/gendocs_template, doc/gendocs_template_min, gl/Makefile.am,
	gl/errno.in.h, gl/error.c, gl/error.h, gl/getdelim.c, gl/getline.c,
	gl/getopt.c, gl/getopt.in.h, gl/getopt1.c, gl/getopt_int.h,
	gl/gettext.h, gl/intprops.h, gl/m4/00gnulib.m4,
	gl/m4/absolute-header.m4, gl/m4/alloca.m4, gl/m4/autobuild.m4,
	gl/m4/close.m4, gl/m4/csharp.m4, gl/m4/csharpcomp.m4,
	gl/m4/csharpexec.m4, gl/m4/dup2.m4, gl/m4/eealloc.m4,
	gl/m4/environ.m4, gl/m4/errno_h.m4, gl/m4/error.m4,
	gl/m4/extensions.m4, gl/m4/extern-inline.m4, gl/m4/fcntl-o.m4,
	gl/m4/fcntl_h.m4, gl/m4/fdopen.m4, gl/m4/fstat.m4, gl/m4/getcwd.m4,
	gl/m4/getdelim.m4, gl/m4/getdtablesize.m4, gl/m4/getline.m4,
	gl/m4/getopt.m4, gl/m4/gettimeofday.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4,
	gl/m4/include_next.m4, gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4,
	gl/m4/largefile.m4, gl/m4/longlong.m4, gl/m4/lstat.m4,
	gl/m4/malloc.m4, gl/m4/malloca.m4, gl/m4/manywarnings.m4,
	gl/m4/mode_t.m4, gl/m4/msvc-inval.m4, gl/m4/msvc-nothrow.m4,
	gl/m4/multiarch.m4, gl/m4/nocrash.m4, gl/m4/off_t.m4,
	gl/m4/open.m4, gl/m4/pathmax.m4, gl/m4/putenv.m4, gl/m4/realloc.m4,
	gl/m4/setenv.m4, gl/m4/ssize_t.m4, gl/m4/stat.m4,
	gl/m4/stdalign.m4, gl/m4/stdarg.m4, gl/m4/stdbool.m4,
	gl/m4/stddef_h.m4, gl/m4/stdint.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/strerror.m4, gl/m4/string_h.m4,
	gl/m4/symlink.m4, gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/sys_time_h.m4, gl/m4/sys_types_h.m4, gl/m4/time_h.m4,
	gl/m4/unistd_h.m4, gl/m4/valgrind-tests.m4, gl/m4/version-etc.m4,
	gl/m4/warn-on-use.m4, gl/m4/warnings.m4, gl/m4/wchar_h.m4,
	gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/msvc-inval.c,
	gl/msvc-inval.h, gl/msvc-nothrow.c, gl/msvc-nothrow.h,
	gl/progname.c, gl/progname.h, gl/realloc.c, gl/stdarg.in.h,
	gl/stddef.in.h, gl/stdint.in.h, gl/stdio.in.h, gl/stdlib.in.h,
	gl/strerror-override.c, gl/strerror-override.h, gl/strerror.c,
	gl/string.in.h, gl/sys_types.in.h, gl/unistd.c, gl/unistd.in.h,
	gl/verify.h, gl/version-etc.c, gl/version-etc.h,
	gltests/Makefile.am, gltests/alloca.in.h, gltests/binary-io.c,
	gltests/binary-io.h, gltests/close.c, gltests/dosname.h,
	gltests/dup2.c, gltests/fcntl.in.h, gltests/fd-hook.c,
	gltests/fd-hook.h, gltests/fdopen.c, gltests/fstat.c,
	gltests/getcwd-lgpl.c, gltests/getdtablesize.c,
	gltests/gettimeofday.c, gltests/ignore-value.h, gltests/init.sh,
	gltests/inttypes.in.h, gltests/lstat.c, gltests/macros.h,
	gltests/malloc.c, gltests/malloca.c, gltests/malloca.h,
	gltests/open.c, gltests/pathmax.h, gltests/putenv.c,
	gltests/same-inode.h, gltests/setenv.c, gltests/signature.h,
	gltests/stat.c, gltests/stdalign.in.h, gltests/stdbool.in.h,
	gltests/symlink.c, gltests/sys_stat.in.h, gltests/sys_time.in.h,
	gltests/test-alloca-opt.c, gltests/test-binary-io.c,
	gltests/test-close.c, gltests/test-dup2.c, gltests/test-environ.c,
	gltests/test-errno.c, gltests/test-fdopen.c, gltests/test-fgetc.c,
	gltests/test-fputc.c, gltests/test-fread.c, gltests/test-fstat.c,
	gltests/test-fwrite.c, gltests/test-getcwd-lgpl.c,
	gltests/test-getdelim.c, gltests/test-getdtablesize.c,
	gltests/test-getline.c, gltests/test-getopt.c,
	gltests/test-getopt.h, gltests/test-getopt_long.h,
	gltests/test-gettimeofday.c, gltests/test-ignore-value.c,
	gltests/test-init.sh, gltests/test-intprops.c,
	gltests/test-inttypes.c, gltests/test-lstat.c,
	gltests/test-lstat.h, gltests/test-malloca.c, gltests/test-open.c,
	gltests/test-open.h, gltests/test-pathmax.c, gltests/test-setenv.c,
	gltests/test-stat.c, gltests/test-stat.h, gltests/test-stdalign.c,
	gltests/test-stdbool.c, gltests/test-stddef.c,
	gltests/test-stdint.c, gltests/test-stdio.c,
	gltests/test-strerror.c, gltests/test-symlink.c,
	gltests/test-symlink.h, gltests/test-sys_time.c,
	gltests/test-sys_types.c, gltests/test-unsetenv.c,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, gltests/test-verify.c,
	gltests/test-version-etc.c, gltests/test-version-etc.sh,
	gltests/time.in.h, gltests/unsetenv.c, gltests/version-etc-fsf.c,
	gltests/wchar.in.h, lib/gl/Makefile.am, lib/gl/c-ctype.c,
	lib/gl/c-ctype.h, lib/gl/c-strcase.h, lib/gl/c-strcasecmp.c,
	lib/gl/c-strncasecmp.c, lib/gl/gettext.h, lib/gl/iconv.c,
	lib/gl/iconv.in.h, lib/gl/iconv_close.c, lib/gl/iconv_open.c,
	lib/gl/m4/00gnulib.m4, lib/gl/m4/absolute-header.m4,
	lib/gl/m4/alloca.m4, lib/gl/m4/codeset.m4, lib/gl/m4/ctype.m4,
	lib/gl/m4/eealloc.m4, lib/gl/m4/environ.m4,
	lib/gl/m4/extensions.m4, lib/gl/m4/extern-inline.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/gnulib-tool.m4,
	lib/gl/m4/iconv.m4, lib/gl/m4/iconv_h.m4, lib/gl/m4/iconv_open.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/inline.m4,
	lib/gl/m4/intlmacosx.m4, lib/gl/m4/inttypes-pri.m4,
	lib/gl/m4/inttypes.m4, lib/gl/m4/langinfo_h.m4,
	lib/gl/m4/lcmessage.m4, lib/gl/m4/ld-output-def.m4,
	lib/gl/m4/ld-version-script.m4, lib/gl/m4/lib-ld.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/lib-prefix.m4,
	lib/gl/m4/libunistring-base.m4, lib/gl/m4/locale-fr.m4,
	lib/gl/m4/locale-ja.m4, lib/gl/m4/locale-tr.m4,
	lib/gl/m4/locale-zh.m4, lib/gl/m4/locale_h.m4,
	lib/gl/m4/localename.m4, lib/gl/m4/lock.m4, lib/gl/m4/longlong.m4,
	lib/gl/m4/malloc.m4, lib/gl/m4/malloca.m4, lib/gl/m4/multiarch.m4,
	lib/gl/m4/off_t.m4, lib/gl/m4/putenv.m4, lib/gl/m4/setenv.m4,
	lib/gl/m4/setlocale.m4, lib/gl/m4/ssize_t.m4,
	lib/gl/m4/stdalign.m4, lib/gl/m4/stdbool.m4, lib/gl/m4/stddef_h.m4,
	lib/gl/m4/stdint.m4, lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/strverscmp.m4, lib/gl/m4/sys_types_h.m4,
	lib/gl/m4/thread.m4, lib/gl/m4/threadlib.m4, lib/gl/m4/unistd_h.m4,
	lib/gl/m4/visibility.m4, lib/gl/m4/warn-on-use.m4,
	lib/gl/m4/wchar_h.m4, lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4,
	lib/gl/m4/yield.m4, lib/gl/stdbool.in.h, lib/gl/stddef.in.h,
	lib/gl/stdint.in.h, lib/gl/striconv.c, lib/gl/striconv.h,
	lib/gl/string.in.h, lib/gl/strverscmp.c, lib/gl/sys_types.in.h,
	lib/gl/unistr.in.h, lib/gl/unistr/u8-check.c,
	lib/gl/unistr/u8-mbtoucr.c, lib/gl/unistr/u8-uctomb-aux.c,
	lib/gl/unistr/u8-uctomb.c, lib/gl/unitypes.in.h,
	lib/gltests/Makefile.am, lib/gltests/alloca.in.h,
	lib/gltests/ctype.in.h, lib/gltests/glthread/lock.c,
	lib/gltests/glthread/lock.h, lib/gltests/glthread/thread.c,
	lib/gltests/glthread/thread.h, lib/gltests/glthread/threadlib.c,
	lib/gltests/glthread/yield.h, lib/gltests/init.sh,
	lib/gltests/intprops.h, lib/gltests/inttypes.in.h,
	lib/gltests/langinfo.in.h, lib/gltests/locale.in.h,
	lib/gltests/localename.c, lib/gltests/localename.h,
	lib/gltests/macros.h, lib/gltests/malloc.c, lib/gltests/malloca.c,
	lib/gltests/malloca.h, lib/gltests/putenv.c, lib/gltests/setenv.c,
	lib/gltests/setlocale.c, lib/gltests/signature.h,
	lib/gltests/stdalign.in.h, lib/gltests/stdlib.in.h,
	lib/gltests/test-alloca-opt.c, lib/gltests/test-c-ctype.c,
	lib/gltests/test-c-strcasecmp.c, lib/gltests/test-c-strncasecmp.c,
	lib/gltests/test-ctype.c, lib/gltests/test-environ.c,
	lib/gltests/test-iconv.c, lib/gltests/test-init.sh,
	lib/gltests/test-intprops.c, lib/gltests/test-inttypes.c,
	lib/gltests/test-langinfo.c, lib/gltests/test-locale.c,
	lib/gltests/test-localename.c, lib/gltests/test-lock.c,
	lib/gltests/test-malloca.c, lib/gltests/test-setenv.c,
	lib/gltests/test-setlocale1.c, lib/gltests/test-setlocale2.c,
	lib/gltests/test-stdalign.c, lib/gltests/test-stdbool.c,
	lib/gltests/test-stddef.c, lib/gltests/test-stdint.c,
	lib/gltests/test-stdlib.c, lib/gltests/test-striconv.c,
	lib/gltests/test-strverscmp.c, lib/gltests/test-sys_types.c,
	lib/gltests/test-sys_wait.h, lib/gltests/test-thread_create.c,
	lib/gltests/test-thread_self.c, lib/gltests/test-unistd.c,
	lib/gltests/test-unsetenv.c, lib/gltests/test-verify.c,
	lib/gltests/unistd.c, lib/gltests/unistd.in.h,
	lib/gltests/unistr/test-u8-check.c,
	lib/gltests/unistr/test-u8-mbtoucr.c,
	lib/gltests/unistr/test-u8-uctomb.c, lib/gltests/unsetenv.c,
	lib/gltests/verify.h, lib/gltests/wchar.in.h, maint.mk: Update
	gnulib files.

2016-01-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2016-01-14  Simon Josefsson <simon@josefsson.org>

	* .gitignore, lib/nfkc.c, tests/Makefile.am,
	tests/tst_badutf8nfkc.c: stringprep_utf8_nfkc_normalize: Reject
	invalid UTF8 instead of crashing.  Also add regression self check.  Reported by Hanno Böck.

2016-01-14  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Fix memory leak in last fix.

2016-01-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2016-01-14  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Fix out-of-bounds stack read.  Report and patch by
	Hanno Böck.

2016-01-14  Simon Josefsson <simon@josefsson.org>

	* .gitignore, tests/Makefile.am, tests/tst_toascii64oob.c: Add
	regression check for Hanno Böck's stack OOB issue.

2015-08-10  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2015-08-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Doc.

2015-08-10  Simon Josefsson <simon@josefsson.org>

	* .gitignore, gl/Makefile.am, gl/getdelim.c, gl/getline.c,
	gl/m4/getdelim.m4, gl/m4/getline.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/realloc.m4, gl/realloc.c, {gltests =>
	gl}/stdint.in.h, {gltests => gl}/stdlib.in.h, gltests/Makefile.am,
	gltests/test-getdelim.c, gltests/test-getline.c, src/idn.c: idn: Use
	getline instead of fgets with fixed-size buffer.  Fixes out-of-bounds read, reported by Hanno Böck.

2015-08-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, tests/Makefile.am, tests/libidn.supp: Dropped valgrind
	suppressions file, should no longer be needed.

2015-08-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump SO version.

2015-08-10  Simon Josefsson <simon@josefsson.org>

	* HACKING: Improve.

2015-08-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/stringprep.h: Bump version.

2015-08-01  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.32.

2015-08-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.32.

2015-08-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Reorder AM_PROG_AR to silence autoreconf.  Drop
	AC_PROG_LIBTOOL.

2015-08-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/idna.c: libidn: Fix crash in idna_to_unicode_8z8z and
	idna_to_unicode_8zlz.

2015-08-01  Simon Josefsson <simon@josefsson.org>

	* .gitignore, THANKS, tests/Makefile.am, tests/tst_utf8crash.c: Add
	regression check for malformed UTF-8 crash, reported by Adam
	Sampson.

2015-08-01  Simon Josefsson <simon@josefsson.org>

	* gl/m4/sys_time_h.m4, gl/m4/time_h.m4, gltests/Makefile.am,
	gltests/time.in.h: Update gnulib files.

2015-08-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/stringprep.h: Bump versions.

2015-08-01  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.31.

2015-07-08  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.30.

2015-07-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.31.

2015-07-08  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2015-07-08  Simon Josefsson <simon@josefsson.org>

	* lib/gl/m4/localename.m4, lib/gltests/localename.c: Update gnulib
	files.

2015-07-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2015-07-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, po/da.po.in: Sync with TP.

2015-07-08  Simon Josefsson <simon@josefsson.org>

	* .gitignore, NEWS, lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/unistr/u8-check.c,
	lib/gltests/Makefile.am, lib/gltests/unistr/test-u8-check.c,
	lib/nfkc.c, lib/strerror-idna.c, lib/strerror-stringprep.c,
	lib/stringprep.c, lib/stringprep.h, tests/Makefile.am,
	tests/tst_badutf8.c, tests/tst_stringprep.c: libidn:
	stringprep_utf8_to_ucs4 now rejects invalid UTF-8. CVE-2015-2059

2015-07-08  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna4.c: Fix broken encoding (ISO-8859-1 vs UTF-8) of
	this file.

2015-07-07  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Use LOG_COMPILER instead of TEST_ENVIRONMENT,
	for valgrind.

2015-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/stringprep.h: Bump versions.  Doc fix.

2015-06-04  Alessandro Ghedini <alessandro@ghedini.me>

	* lib/idna.c: Use strdup() to duplicate a buffer This apparently fixes the "Invalid read of size 4" error from
	valgrind that was reported at https://bugs.debian.org/724069 Signed-off-by: Simon Josefsson <simon@josefsson.org>

2015-07-07  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, build-aux/update-copyright, gl/error.c,
	gl/error.h, gl/m4/extern-inline.m4, gl/m4/gnulib-common.m4,
	gl/m4/lstat.m4, gl/m4/manywarnings.m4, gl/m4/stdio_h.m4,
	gl/stddef.in.h, gl/stdio.in.h, gl/string.in.h, gltests/init.sh,
	gltests/inttypes.in.h, gltests/test-stddef.c, gltests/wchar.in.h,
	lib/gl/m4/codeset.m4, lib/gl/m4/extern-inline.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/iconv.m4,
	lib/gl/m4/intlmacosx.m4, lib/gl/m4/lcmessage.m4,
	lib/gl/stddef.in.h, lib/gl/string.in.h, lib/gltests/init.sh,
	lib/gltests/inttypes.in.h, lib/gltests/test-stddef.c,
	lib/gltests/wchar.in.h: Update gnulib files.

2015-03-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.30.

2015-03-02  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2015-03-02  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2015-03-02  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Sync gdoc.

2015-03-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2015-03-02  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/hu.po.in, po/pt_BR.po.in, po/vi.po.in: Sync with
	TP.

2015-03-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump gettext to 0.19.3. Use LT_INIT instead of
	AC_LIBTOOL_WIN32_DLL.

2015-03-02  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update OpenPGP key.

2015-03-02  Simon Josefsson <simon@josefsson.org>

	* .clcopying, AUTHORS, COPYING, FAQ, HACKING, Makefile.am, README,
	THANKS, TODO, cfg.mk, configure.ac, contrib/README,
	contrib/doxygen/gdoc2doxygen, contrib/java/Makefile.am,
	contrib/java/README, csharp/AssemblyInfo.cs, csharp/IDNA.cs,
	csharp/IDNAException.cs, csharp/Makefile.am, csharp/NFKC.cs,
	csharp/Punycode.cs, csharp/PunycodeException.cs,
	csharp/Stringprep.cs, csharp/StringprepException.cs,
	csharp/generate/AssemblyInfo.cs, csharp/generate/GenerateNFKC.cs,
	csharp/generate/GenerateRFC3454.cs, csharp/generate/HashSet.cs,
	csharp/generate/Program.cs, csharp/generate/Tokenizer.cs,
	doc/Makefile.am, doc/cyclo/Makefile.am, doc/gdoc, doc/gdoc.mk,
	doc/java/Makefile.am, doc/libidn.texi, doc/tld/Makefile.am,
	doc/tld/README, doc/tld/fr.tld, doc/tld/no.tld,
	examples/Makefile.am, examples/README, examples/example.c,
	examples/example2.c, examples/example3.c, examples/example4.c,
	examples/example5.c, java/Makefile.am, java/src/Makefile.am,
	java/src/main/Makefile.am, java/src/main/java/Makefile.am,
	java/src/main/java/gnu/Makefile.am,
	java/src/main/java/gnu/inet/Makefile.am,
	java/src/main/java/gnu/inet/encoding/IDNA.java,
	java/src/main/java/gnu/inet/encoding/IDNAException.java,
	java/src/main/java/gnu/inet/encoding/Makefile.am,
	java/src/main/java/gnu/inet/encoding/NFKC.java,
	java/src/main/java/gnu/inet/encoding/Punycode.java,
	java/src/main/java/gnu/inet/encoding/PunycodeException.java,
	java/src/main/java/gnu/inet/encoding/RangeSet.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java,
	java/src/main/java/gnu/inet/encoding/StringprepException.java,
	java/src/test/Makefile.am, java/src/test/java/Makefile.am,
	java/src/test/java/gnu/inet/encoding/RangeSetTest.java,
	java/src/test/java/gnu/inet/encoding/StringprepTest.java,
	java/src/test/java/gnu/inet/encoding/caliper/CaliperStringprep.java
	, java/src/util/Makefile.am, java/src/util/java/GenerateNFKC.java,
	java/src/util/java/GenerateRFC3454.java,
	java/src/util/java/Makefile.am, java/src/util/java/TestIDNA.java,
	java/src/util/java/TestNFKC.java, lib/Makefile.am,
	lib/gen-stringprep-tables.pl, lib/gen-tld-tables.pl,
	lib/gen-unicode-tables.pl, lib/idn-free.c, lib/idn-free.h,
	lib/idna.c, lib/idna.h, lib/libidn.map, lib/nfkc.c, lib/pr29.c,
	lib/pr29.h, lib/profiles.c, lib/strerror-idna.c,
	lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/stringprep.h, lib/tld.c, lib/tld.h, lib/toutf8.c,
	lib/version.c, libc/README, libc/example.c,
	libc/getaddrinfo-idn.txt, libidn.pc.in,
	m4/update-header-version.m4, po/pt_BR.po.in, src/Makefile.am,
	src/idn.c, src/idn.ggo, src/idna.el, src/punycode.el,
	tests/Makefile.am, tests/libidn.supp, tests/tst_idna.c,
	tests/tst_idna2.c, tests/tst_idna3.c, tests/tst_idna4.c,
	tests/tst_nfkc.c, tests/tst_pr29.c, tests/tst_punycode.c,
	tests/tst_strerror.c, tests/tst_stringprep.c, tests/tst_symbols.c,
	tests/tst_tld.c, tests/tst_toutf8.c, tests/utils.c, tests/utils.h,
	windows/include/ac-stdint.h, windows/include/config.h,
	windows/include/idn-int.h, windows/include/stdbool.h,
	windows/libidn4win.mk: Update copyright years.

2015-03-02  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/config.rpath, build-aux/csharpcomp.sh.in,
	build-aux/csharpexec.sh.in, build-aux/gendocs.sh,
	build-aux/gnupload, build-aux/pmccabe2html,
	build-aux/snippet/arg-nonnull.h, build-aux/snippet/c++defs.h,
	build-aux/snippet/unused-parameter.h,
	build-aux/snippet/warn-on-use.h, build-aux/update-copyright,
	build-aux/useless-if-before-free, build-aux/vc-list-files,
	doc/gendocs_template, doc/gendocs_template_min, gl/Makefile.am,
	gl/errno.in.h, gl/error.c, gl/error.h, gl/getopt.c, gl/getopt.in.h,
	gl/getopt1.c, gl/getopt_int.h, gl/gettext.h, gl/intprops.h,
	gl/m4/00gnulib.m4, gl/m4/absolute-header.m4, gl/m4/alloca.m4,
	gl/m4/autobuild.m4, gl/m4/close.m4, gl/m4/csharp.m4,
	gl/m4/csharpcomp.m4, gl/m4/csharpexec.m4, gl/m4/dup2.m4,
	gl/m4/eealloc.m4, gl/m4/environ.m4, gl/m4/errno_h.m4,
	gl/m4/error.m4, gl/m4/extensions.m4, gl/m4/extern-inline.m4,
	gl/m4/fcntl-o.m4, gl/m4/fcntl_h.m4, gl/m4/fdopen.m4,
	gl/m4/fstat.m4, gl/m4/getcwd.m4, gl/m4/getdtablesize.m4,
	gl/m4/getopt.m4, gl/m4/gettimeofday.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4,
	gl/m4/include_next.m4, gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4,
	gl/m4/largefile.m4, gl/m4/longlong.m4, gl/m4/lstat.m4,
	gl/m4/malloc.m4, gl/m4/malloca.m4, gl/m4/manywarnings.m4,
	gl/m4/mode_t.m4, gl/m4/msvc-inval.m4, gl/m4/msvc-nothrow.m4,
	gl/m4/multiarch.m4, gl/m4/nocrash.m4, gl/m4/off_t.m4,
	gl/m4/open.m4, gl/m4/pathmax.m4, gl/m4/putenv.m4, gl/m4/setenv.m4,
	gl/m4/ssize_t.m4, gl/m4/stat.m4, gl/m4/stdalign.m4,
	gl/m4/stdarg.m4, gl/m4/stdbool.m4, gl/m4/stddef_h.m4,
	gl/m4/stdint.m4, gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4,
	gl/m4/strerror.m4, gl/m4/string_h.m4, gl/m4/symlink.m4,
	gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4, gl/m4/sys_time_h.m4,
	gl/m4/sys_types_h.m4, gl/m4/time_h.m4, gl/m4/unistd_h.m4,
	gl/m4/valgrind-tests.m4, gl/m4/version-etc.m4,
	gl/m4/warn-on-use.m4, gl/m4/warnings.m4, gl/m4/wchar_h.m4,
	gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/msvc-inval.c,
	gl/msvc-inval.h, gl/msvc-nothrow.c, gl/msvc-nothrow.h,
	gl/progname.c, gl/progname.h, gl/stdarg.in.h, gl/stddef.in.h,
	gl/stdio.in.h, gl/strerror-override.c, gl/strerror-override.h,
	gl/strerror.c, gl/string.in.h, gl/sys_types.in.h, gl/unistd.in.h,
	gl/verify.h, gl/version-etc.c, gl/version-etc.h,
	gltests/Makefile.am, gltests/alloca.in.h, gltests/binary-io.h,
	gltests/close.c, gltests/dosname.h, gltests/dup2.c,
	gltests/fcntl.in.h, gltests/fd-hook.c, gltests/fd-hook.h,
	gltests/fdopen.c, gltests/fstat.c, gltests/getcwd-lgpl.c,
	gltests/getdtablesize.c, gltests/gettimeofday.c,
	gltests/ignore-value.h, gltests/init.sh, gltests/inttypes.in.h,
	gltests/lstat.c, gltests/macros.h, gltests/malloc.c,
	gltests/malloca.c, gltests/malloca.h, gltests/open.c,
	gltests/pathmax.h, gltests/putenv.c, gltests/same-inode.h,
	gltests/setenv.c, gltests/signature.h, gltests/stat.c,
	gltests/stdalign.in.h, gltests/stdbool.in.h, gltests/stdint.in.h,
	gltests/stdlib.in.h, gltests/symlink.c, gltests/sys_stat.in.h,
	gltests/sys_time.in.h, gltests/test-alloca-opt.c,
	gltests/test-binary-io.c, gltests/test-close.c,
	gltests/test-dup2.c, gltests/test-environ.c, gltests/test-errno.c,
	gltests/test-fdopen.c, gltests/test-fgetc.c, gltests/test-fputc.c,
	gltests/test-fread.c, gltests/test-fstat.c, gltests/test-fwrite.c,
	gltests/test-getcwd-lgpl.c, gltests/test-getdtablesize.c,
	gltests/test-getopt.c, gltests/test-getopt.h,
	gltests/test-getopt_long.h, gltests/test-gettimeofday.c,
	gltests/test-ignore-value.c, gltests/test-init.sh,
	gltests/test-intprops.c, gltests/test-inttypes.c,
	gltests/test-lstat.c, gltests/test-lstat.h, gltests/test-malloca.c,
	gltests/test-open.c, gltests/test-open.h, gltests/test-pathmax.c,
	gltests/test-setenv.c, gltests/test-stat.c, gltests/test-stat.h,
	gltests/test-stdalign.c, gltests/test-stdbool.c,
	gltests/test-stddef.c, gltests/test-stdint.c, gltests/test-stdio.c,
	gltests/test-strerror.c, gltests/test-symlink.c,
	gltests/test-symlink.h, gltests/test-sys_time.c,
	gltests/test-sys_types.c, gltests/test-unsetenv.c,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, gltests/test-verify.c,
	gltests/test-version-etc.c, gltests/test-version-etc.sh,
	gltests/time.in.h, gltests/unsetenv.c, gltests/version-etc-fsf.c,
	gltests/wchar.in.h, lib/gl/Makefile.am, lib/gl/c-ctype.c,
	lib/gl/c-ctype.h, lib/gl/c-strcase.h, lib/gl/c-strcasecmp.c,
	lib/gl/c-strncasecmp.c, lib/gl/gettext.h, lib/gl/iconv.c,
	lib/gl/iconv.in.h, lib/gl/iconv_close.c, lib/gl/iconv_open.c,
	lib/gl/m4/00gnulib.m4, lib/gl/m4/absolute-header.m4,
	lib/gl/m4/alloca.m4, lib/gl/m4/codeset.m4, lib/gl/m4/eealloc.m4,
	lib/gl/m4/environ.m4, lib/gl/m4/extensions.m4,
	lib/gl/m4/extern-inline.m4, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/gnulib-tool.m4, lib/gl/m4/iconv.m4, lib/gl/m4/iconv_h.m4,
	lib/gl/m4/iconv_open.m4, lib/gl/m4/include_next.m4,
	lib/gl/m4/inline.m4, lib/gl/m4/intlmacosx.m4,
	lib/gl/m4/inttypes-pri.m4, lib/gl/m4/inttypes.m4,
	lib/gl/m4/langinfo_h.m4, lib/gl/m4/lcmessage.m4,
	lib/gl/m4/ld-output-def.m4, lib/gl/m4/ld-version-script.m4,
	lib/gl/m4/lib-ld.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/lib-prefix.m4, lib/gl/m4/libunistring-base.m4,
	lib/gl/m4/locale-fr.m4, lib/gl/m4/locale-ja.m4,
	lib/gl/m4/locale-tr.m4, lib/gl/m4/locale-zh.m4,
	lib/gl/m4/locale_h.m4, lib/gl/m4/localename.m4, lib/gl/m4/lock.m4,
	lib/gl/m4/longlong.m4, lib/gl/m4/malloc.m4, lib/gl/m4/malloca.m4,
	lib/gl/m4/multiarch.m4, lib/gl/m4/off_t.m4, lib/gl/m4/putenv.m4,
	lib/gl/m4/setenv.m4, lib/gl/m4/setlocale.m4, lib/gl/m4/ssize_t.m4,
	lib/gl/m4/stdalign.m4, lib/gl/m4/stdbool.m4, lib/gl/m4/stddef_h.m4,
	lib/gl/m4/stdint.m4, lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/strverscmp.m4, lib/gl/m4/sys_types_h.m4,
	lib/gl/m4/thread.m4, lib/gl/m4/threadlib.m4, lib/gl/m4/unistd_h.m4,
	lib/gl/m4/visibility.m4, lib/gl/m4/warn-on-use.m4,
	lib/gl/m4/wchar_h.m4, lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4,
	lib/gl/m4/yield.m4, lib/gl/stdbool.in.h, lib/gl/stddef.in.h,
	lib/gl/stdint.in.h, lib/gl/striconv.c, lib/gl/striconv.h,
	lib/gl/string.in.h, lib/gl/strverscmp.c, lib/gl/sys_types.in.h,
	lib/gl/unistr.in.h, lib/gl/unistr/u8-mbtoucr.c,
	lib/gl/unistr/u8-uctomb-aux.c, lib/gl/unistr/u8-uctomb.c,
	lib/gl/unitypes.in.h, lib/gltests/Makefile.am,
	lib/gltests/alloca.in.h, lib/gltests/glthread/lock.c,
	lib/gltests/glthread/lock.h, lib/gltests/glthread/thread.c,
	lib/gltests/glthread/thread.h, lib/gltests/glthread/threadlib.c,
	lib/gltests/glthread/yield.h, lib/gltests/init.sh,
	lib/gltests/intprops.h, lib/gltests/inttypes.in.h,
	lib/gltests/langinfo.in.h, lib/gltests/locale.in.h,
	lib/gltests/localename.c, lib/gltests/localename.h,
	lib/gltests/macros.h, lib/gltests/malloc.c, lib/gltests/malloca.c,
	lib/gltests/malloca.h, lib/gltests/putenv.c, lib/gltests/setenv.c,
	lib/gltests/setlocale.c, lib/gltests/signature.h,
	lib/gltests/stdalign.in.h, lib/gltests/stdlib.in.h,
	lib/gltests/test-alloca-opt.c, lib/gltests/test-c-ctype.c,
	lib/gltests/test-c-strcasecmp.c, lib/gltests/test-c-strncasecmp.c,
	lib/gltests/test-environ.c, lib/gltests/test-iconv.c,
	lib/gltests/test-init.sh, lib/gltests/test-intprops.c,
	lib/gltests/test-inttypes.c, lib/gltests/test-langinfo.c,
	lib/gltests/test-locale.c, lib/gltests/test-localename.c,
	lib/gltests/test-lock.c, lib/gltests/test-malloca.c,
	lib/gltests/test-setenv.c, lib/gltests/test-setlocale1.c,
	lib/gltests/test-setlocale2.c, lib/gltests/test-stdalign.c,
	lib/gltests/test-stdbool.c, lib/gltests/test-stddef.c,
	lib/gltests/test-stdint.c, lib/gltests/test-stdlib.c,
	lib/gltests/test-striconv.c, lib/gltests/test-strverscmp.c,
	lib/gltests/test-sys_types.c, lib/gltests/test-sys_wait.h,
	lib/gltests/test-thread_create.c, lib/gltests/test-thread_self.c,
	lib/gltests/test-unistd.c, lib/gltests/test-unsetenv.c,
	lib/gltests/test-verify.c, lib/gltests/unistd.in.h,
	lib/gltests/unistr/test-u8-mbtoucr.c,
	lib/gltests/unistr/test-u8-uctomb.c, lib/gltests/unsetenv.c,
	lib/gltests/verify.h, lib/gltests/wchar.in.h, maint.mk: Update
	gnulib files.

2015-03-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2015-03-02  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c, lib/punycode.h: Reimport punycode.h and punycode.c
	from punycode-spec.gz, and clarifying the changes.

2014-11-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/stringprep.h: Bump version.

2014-08-10  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.29.

2014-08-10  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.27.

2014-08-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.29.

2014-08-10  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2014-08-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, po/LINGUAS, po/pt_BR.po.in: Sync with TP.

2014-08-10  Simon Josefsson <simon@josefsson.org>

	* COPYING, doc/Makefile.am, src/idn.c: More copyright year updates.

2014-08-10  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, cfg.mk: Update PGP key.

2014-08-10  Simon Josefsson <simon@josefsson.org>

	* .clcopying, AUTHORS, FAQ, HACKING, Makefile.am, NEWS, README,
	THANKS, TODO, configure.ac, contrib/README,
	contrib/doxygen/gdoc2doxygen, contrib/java/Makefile.am,
	contrib/java/README, csharp/AssemblyInfo.cs, csharp/IDNA.cs,
	csharp/IDNAException.cs, csharp/Makefile.am, csharp/NFKC.cs,
	csharp/Punycode.cs, csharp/PunycodeException.cs,
	csharp/Stringprep.cs, csharp/StringprepException.cs,
	csharp/generate/AssemblyInfo.cs, csharp/generate/GenerateNFKC.cs,
	csharp/generate/GenerateRFC3454.cs, csharp/generate/HashSet.cs,
	csharp/generate/Program.cs, csharp/generate/Tokenizer.cs,
	doc/Makefile.am, doc/cyclo/Makefile.am, doc/gdoc, doc/gdoc.mk,
	doc/java/Makefile.am, doc/libidn.texi, doc/tld/Makefile.am,
	doc/tld/README, doc/tld/fr.tld, doc/tld/no.tld,
	examples/Makefile.am, examples/README, examples/example.c,
	examples/example2.c, examples/example3.c, examples/example4.c,
	examples/example5.c, java/Makefile.am, java/src/Makefile.am,
	java/src/main/Makefile.am, java/src/main/java/Makefile.am,
	java/src/main/java/gnu/Makefile.am,
	java/src/main/java/gnu/inet/Makefile.am,
	java/src/main/java/gnu/inet/encoding/IDNA.java,
	java/src/main/java/gnu/inet/encoding/IDNAException.java,
	java/src/main/java/gnu/inet/encoding/Makefile.am,
	java/src/main/java/gnu/inet/encoding/NFKC.java,
	java/src/main/java/gnu/inet/encoding/Punycode.java,
	java/src/main/java/gnu/inet/encoding/PunycodeException.java,
	java/src/main/java/gnu/inet/encoding/RangeSet.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java,
	java/src/main/java/gnu/inet/encoding/StringprepException.java,
	java/src/test/Makefile.am, java/src/test/java/Makefile.am,
	java/src/test/java/gnu/inet/encoding/RangeSetTest.java,
	java/src/test/java/gnu/inet/encoding/StringprepTest.java,
	java/src/test/java/gnu/inet/encoding/caliper/CaliperStringprep.java
	, java/src/util/Makefile.am, java/src/util/java/GenerateNFKC.java,
	java/src/util/java/GenerateRFC3454.java,
	java/src/util/java/Makefile.am, java/src/util/java/TestIDNA.java,
	java/src/util/java/TestNFKC.java, lib/Makefile.am,
	lib/gen-stringprep-tables.pl, lib/gen-tld-tables.pl,
	lib/gen-unicode-tables.pl, lib/idn-free.c, lib/idn-free.h,
	lib/idna.c, lib/idna.h, lib/libidn.map, lib/nfkc.c, lib/pr29.c,
	lib/pr29.h, lib/profiles.c, lib/punycode.c, lib/punycode.h,
	lib/strerror-idna.c, lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/stringprep.h, lib/tld.c, lib/tld.h, lib/toutf8.c,
	lib/version.c, libc/README, libc/example.c,
	libc/getaddrinfo-idn.txt, libidn.pc.in,
	m4/update-header-version.m4, src/Makefile.am, src/idn.c,
	src/idn.ggo, src/idna.el, src/punycode.el, tests/Makefile.am,
	tests/libidn.supp, tests/tst_idna.c, tests/tst_idna2.c,
	tests/tst_idna3.c, tests/tst_idna4.c, tests/tst_nfkc.c,
	tests/tst_pr29.c, tests/tst_punycode.c, tests/tst_strerror.c,
	tests/tst_stringprep.c, tests/tst_symbols.c, tests/tst_tld.c,
	tests/tst_toutf8.c, tests/utils.c, tests/utils.h,
	windows/include/ac-stdint.h, windows/include/config.h,
	windows/include/idn-int.h, windows/include/stdbool.h,
	windows/libidn4win.mk: Update copyright years.

2014-08-10  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/config.rpath, build-aux/csharpcomp.sh.in,
	build-aux/csharpexec.sh.in, build-aux/gendocs.sh,
	build-aux/gnupload, build-aux/pmccabe2html,
	build-aux/snippet/arg-nonnull.h, build-aux/snippet/c++defs.h,
	build-aux/snippet/unused-parameter.h,
	build-aux/snippet/warn-on-use.h, build-aux/update-copyright,
	build-aux/useless-if-before-free, build-aux/vc-list-files, cfg.mk,
	doc/gendocs_template, gl/Makefile.am, gl/asnprintf.c,
	gl/errno.in.h, gl/error.c, gl/error.h, gl/float+.h, gl/float.c,
	gl/float.in.h, gl/fpucw.h, gl/frexp.c, gl/frexpl.c, gl/fseterr.c,
	gl/fseterr.h, gl/getopt.c, gl/getopt.in.h, gl/getopt1.c,
	gl/getopt_int.h, gl/gettext.h, gl/intprops.h, gl/isnan.c,
	gl/isnand-nolibm.h, gl/isnand.c, gl/isnanf-nolibm.h, gl/isnanf.c,
	gl/isnanl-nolibm.h, gl/isnanl.c, gl/itold.c, gl/m4/00gnulib.m4,
	gl/m4/absolute-header.m4, gl/m4/alloca.m4, gl/m4/autobuild.m4,
	gl/m4/close.m4, gl/m4/csharp.m4, gl/m4/csharpcomp.m4,
	gl/m4/csharpexec.m4, gl/m4/dup2.m4, gl/m4/eealloc.m4,
	gl/m4/environ.m4, gl/m4/errno_h.m4, gl/m4/error.m4,
	gl/m4/exponentd.m4, gl/m4/exponentf.m4, gl/m4/exponentl.m4,
	gl/m4/extensions.m4, gl/m4/extern-inline.m4, gl/m4/fcntl-o.m4,
	gl/m4/fcntl_h.m4, gl/m4/fdopen.m4, gl/m4/float_h.m4,
	gl/m4/fpieee.m4, gl/m4/frexp.m4, gl/m4/frexpl.m4, gl/m4/fseterr.m4,
	gl/m4/fstat.m4, gl/m4/getcwd.m4, gl/m4/getdtablesize.m4,
	gl/m4/getopt.m4, gl/m4/getpagesize.m4, gl/m4/gettimeofday.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4, gl/m4/include_next.m4,
	gl/m4/intmax_t.m4, gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4,
	gl/m4/inttypes_h.m4, gl/m4/isnand.m4, gl/m4/isnanf.m4,
	gl/m4/isnanl.m4, gl/m4/largefile.m4, gl/m4/ldexpl.m4,
	gl/m4/longlong.m4, gl/m4/lstat.m4, gl/m4/malloc.m4,
	gl/m4/malloca.m4, gl/m4/manywarnings.m4, gl/m4/math_h.m4,
	gl/m4/memchr.m4, gl/m4/mmap-anon.m4, gl/m4/mode_t.m4,
	gl/m4/msvc-inval.m4, gl/m4/msvc-nothrow.m4, gl/m4/multiarch.m4,
	gl/m4/nocrash.m4, gl/m4/off_t.m4, gl/m4/open.m4, gl/m4/pathmax.m4,
	gl/m4/printf-frexp.m4, gl/m4/printf-frexpl.m4, gl/m4/printf.m4,
	gl/m4/putenv.m4, gl/m4/setenv.m4, gl/m4/signbit.m4,
	gl/m4/size_max.m4, gl/m4/ssize_t.m4, gl/m4/stat.m4,
	gl/m4/stdarg.m4, gl/m4/stdbool.m4, gl/m4/stddef_h.m4,
	gl/m4/stdint.m4, gl/m4/stdint_h.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/strerror.m4, gl/m4/string_h.m4,
	gl/m4/symlink.m4, gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/sys_time_h.m4, gl/m4/sys_types_h.m4, gl/m4/time_h.m4,
	gl/m4/unistd_h.m4, gl/m4/valgrind-tests.m4, gl/m4/vasnprintf.m4,
	gl/m4/version-etc.m4, gl/m4/vfprintf-posix.m4,
	gl/m4/warn-on-use.m4, gl/m4/warnings.m4, gl/m4/wchar_h.m4,
	gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/m4/xsize.m4, gl/math.c,
	gl/math.in.h, gl/memchr.c, gl/memchr.valgrind, gl/msvc-inval.c,
	gl/msvc-inval.h, gl/msvc-nothrow.c, gl/msvc-nothrow.h,
	gl/printf-args.c, gl/printf-args.h, gl/printf-frexp.c,
	gl/printf-frexp.h, gl/printf-frexpl.c, gl/printf-frexpl.h,
	gl/printf-parse.c, gl/printf-parse.h, gl/progname.c, gl/progname.h,
	gl/signbitd.c, gl/signbitf.c, gl/signbitl.c, gl/size_max.h,
	gl/stdarg.in.h, gl/stddef.in.h, gl/stdio-impl.h, gl/stdio.in.h,
	gl/strerror-override.c, gl/strerror-override.h, gl/strerror.c,
	gl/string.in.h, gl/sys_types.in.h, gl/unistd.in.h, gl/vasnprintf.c,
	gl/vasnprintf.h, gl/verify.h, gl/version-etc.c, gl/version-etc.h,
	gl/vfprintf.c, gl/xsize.c, gl/xsize.h, gltests/Makefile.am, {gl =>
	gltests}/alloca.in.h, gltests/binary-io.h, gltests/close.c,
	gltests/dosname.h, gltests/dup2.c, gltests/fcntl.in.h,
	gltests/fd-hook.c, gltests/fd-hook.h, gltests/fdopen.c,
	gltests/fstat.c, gltests/getcwd-lgpl.c, gltests/getdtablesize.c,
	gltests/getpagesize.c, gltests/gettimeofday.c,
	gltests/ignore-value.h, gltests/infinity.h, gltests/init.sh,
	gltests/inttypes.in.h, gltests/lstat.c, gltests/macros.h,
	gltests/malloc.c, gltests/malloca.c, gltests/malloca.h,
	gltests/minus-zero.h, gltests/nan.h, gltests/open.c,
	gltests/pathmax.h, gltests/putenv.c, gltests/randomd.c,
	gltests/randoml.c, gltests/same-inode.h, gltests/setenv.c,
	gltests/signature.h, gltests/stat.c, gltests/stdbool.in.h, {gl =>
	gltests}/stdint.in.h, gltests/stdlib.in.h, gltests/symlink.c,
	gltests/sys_stat.in.h, gltests/sys_time.in.h,
	gltests/test-alloca-opt.c, gltests/test-binary-io.c,
	gltests/test-close.c, gltests/test-dup2.c, gltests/test-environ.c,
	gltests/test-errno.c, gltests/test-fdopen.c, gltests/test-fgetc.c,
	gltests/test-float.c, gltests/test-fprintf-posix.h,
	gltests/test-fputc.c, gltests/test-fread.c, gltests/test-frexp.c,
	gltests/test-frexp.h, gltests/test-frexpl.c,
	gltests/test-fseterr.c, gltests/test-fstat.c,
	gltests/test-fwrite.c, gltests/test-getcwd-lgpl.c,
	gltests/test-getdtablesize.c, gltests/test-getopt.c,
	gltests/test-getopt.h, gltests/test-getopt_long.h,
	gltests/test-gettimeofday.c, gltests/test-ignore-value.c,
	gltests/test-init.sh, gltests/test-intprops.c,
	gltests/test-inttypes.c, gltests/test-isnand-nolibm.c,
	gltests/test-isnand.h, gltests/test-isnanf-nolibm.c,
	gltests/test-isnanf.h, gltests/test-isnanl.h, gltests/test-lstat.c,
	gltests/test-lstat.h, gltests/test-malloca.c, gltests/test-math.c,
	gltests/test-memchr.c, gltests/test-open.c, gltests/test-open.h,
	gltests/test-pathmax.c, gltests/test-printf-frexp.c,
	gltests/test-printf-frexpl.c, gltests/test-printf-posix.output,
	gltests/test-setenv.c, gltests/test-signbit.c, gltests/test-stat.c,
	gltests/test-stat.h, gltests/test-stdbool.c, gltests/test-stddef.c,
	gltests/test-stdint.c, gltests/test-stdio.c,
	gltests/test-strerror.c, gltests/test-symlink.c,
	gltests/test-symlink.h, gltests/{test-isnanl-nolibm.c =>
	test-sys_time.c}, gltests/test-sys_types.c,
	gltests/test-unsetenv.c, gltests/test-vasnprintf.c,
	gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, gltests/test-verify.c,
	gltests/test-version-etc.c, gltests/test-version-etc.sh,
	gltests/test-vfprintf-posix.c, gltests/test-vfprintf-posix.sh,
	gltests/time.in.h, gltests/unsetenv.c, gltests/version-etc-fsf.c,
	{gl => gltests}/wchar.in.h, gltests/zerosize-ptr.h,
	lib/gl/Makefile.am, lib/gl/c-ctype.c, lib/gl/c-ctype.h,
	lib/gl/c-strcase.h, lib/gl/c-strcasecmp.c, lib/gl/c-strncasecmp.c,
	lib/gl/gettext.h, lib/gl/iconv.c, lib/gl/iconv.in.h,
	lib/gl/iconv_close.c, lib/gl/iconv_open.c, lib/gl/m4/00gnulib.m4,
	lib/gl/m4/absolute-header.m4, lib/gl/m4/alloca.m4,
	lib/gl/m4/codeset.m4, lib/gl/m4/eealloc.m4, lib/gl/m4/environ.m4,
	lib/gl/m4/extensions.m4, lib/gl/m4/extern-inline.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/gnulib-tool.m4,
	lib/gl/m4/iconv.m4, lib/gl/m4/iconv_h.m4, lib/gl/m4/iconv_open.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/inline.m4,
	lib/gl/m4/intlmacosx.m4, lib/gl/m4/inttypes-pri.m4,
	lib/gl/m4/inttypes.m4, lib/gl/m4/lcmessage.m4,
	lib/gl/m4/ld-output-def.m4, lib/gl/m4/ld-version-script.m4,
	lib/gl/m4/lib-ld.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/lib-prefix.m4, lib/gl/m4/libunistring-base.m4,
	lib/gl/m4/locale-fr.m4, lib/gl/m4/locale-ja.m4,
	lib/gl/m4/locale-tr.m4, lib/gl/m4/locale-zh.m4,
	lib/gl/m4/locale_h.m4, lib/gl/m4/localename.m4, lib/gl/m4/lock.m4,
	lib/gl/m4/longlong.m4, lib/gl/m4/malloc.m4, lib/gl/m4/malloca.m4,
	lib/gl/m4/multiarch.m4, lib/gl/m4/off_t.m4, lib/gl/m4/putenv.m4,
	lib/gl/m4/setenv.m4, lib/gl/m4/setlocale.m4, lib/gl/m4/ssize_t.m4,
	lib/gl/m4/stdbool.m4, lib/gl/m4/stddef_h.m4, lib/gl/m4/stdint.m4,
	lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/strverscmp.m4, lib/gl/m4/sys_types_h.m4,
	lib/gl/m4/thread.m4, lib/gl/m4/threadlib.m4, lib/gl/m4/unistd_h.m4,
	lib/gl/m4/visibility.m4, lib/gl/m4/warn-on-use.m4,
	lib/gl/m4/wchar_h.m4, lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4,
	lib/gl/m4/yield.m4, lib/gl/stdbool.in.h, lib/gl/stddef.in.h,
	lib/gl/stdint.in.h, lib/gl/striconv.c, lib/gl/striconv.h,
	lib/gl/string.in.h, lib/gl/strverscmp.c, lib/{gltests =>
	gl}/sys_types.in.h, lib/gl/unistr.in.h, lib/gl/unistr/u8-mbtoucr.c,
	lib/gl/unistr/u8-uctomb-aux.c, lib/gl/unistr/u8-uctomb.c,
	lib/gl/unitypes.in.h, lib/gltests/Makefile.am,
	lib/gltests/alloca.in.h, lib/gltests/glthread/lock.c,
	lib/gltests/glthread/lock.h, lib/gltests/glthread/thread.c,
	lib/gltests/glthread/thread.h, lib/gltests/glthread/threadlib.c,
	lib/gltests/glthread/yield.h, lib/gltests/init.sh,
	lib/gltests/intprops.h, lib/gltests/inttypes.in.h,
	lib/gltests/locale.in.h, lib/gltests/localename.c,
	lib/gltests/localename.h, lib/gltests/macros.h,
	lib/gltests/malloc.c, lib/gltests/malloca.c, lib/gltests/malloca.h,
	lib/gltests/putenv.c, lib/gltests/setenv.c,
	lib/gltests/setlocale.c, lib/gltests/signature.h,
	lib/gltests/stdlib.in.h, lib/gltests/test-alloca-opt.c,
	lib/gltests/test-c-ctype.c, lib/gltests/test-c-strcasecmp.c,
	lib/gltests/test-c-strncasecmp.c, lib/gltests/test-environ.c,
	lib/gltests/test-iconv.c, lib/gltests/test-init.sh,
	lib/gltests/test-intprops.c, lib/gltests/test-inttypes.c,
	lib/gltests/test-locale.c, lib/gltests/test-localename.c,
	lib/gltests/test-lock.c, lib/gltests/test-malloca.c,
	lib/gltests/test-setenv.c, lib/gltests/test-setlocale1.c,
	lib/gltests/test-setlocale2.c, lib/gltests/test-stdbool.c,
	lib/gltests/test-stddef.c, lib/gltests/test-stdint.c,
	lib/gltests/test-stdlib.c, lib/gltests/test-striconv.c,
	lib/gltests/test-strverscmp.c, lib/gltests/test-sys_types.c,
	lib/gltests/test-sys_wait.h, lib/gltests/test-thread_create.c,
	lib/gltests/test-thread_self.c, lib/gltests/test-unistd.c,
	lib/gltests/test-unsetenv.c, lib/gltests/test-verify.c,
	lib/gltests/unistd.in.h, lib/gltests/unistr/test-u8-mbtoucr.c,
	lib/gltests/unistr/test-u8-uctomb.c, lib/gltests/unsetenv.c,
	lib/gltests/verify.h, lib/gltests/wchar.in.h, maint.mk: Update
	gnulib files.

2013-10-24  Simon Josefsson <simon@josefsson.org>

	* windows/libidn4win.mk: Don't build csharp code when building
	Windows binaries.

2013-10-24  Simon Josefsson <simon@josefsson.org>

	* windows/libidn4win.mk: Use libiconv 1.14.

2013-10-24  Simon Josefsson <simon@josefsson.org>

	* .gitignore, NEWS, build-aux/pmccabe2html, gl/Makefile.am,
	{gltests => gl}/alloca.in.h, gl/asnprintf.c, gl/error.c,
	gl/float+.h, gl/float.c, gl/float.in.h, gl/fpucw.h, gl/frexp.c,
	gl/frexpl.c, gl/fseterr.c, gl/fseterr.h, gl/isnan.c,
	gl/isnand-nolibm.h, gl/isnand.c, gl/isnanf-nolibm.h, gl/isnanf.c,
	gl/isnanl-nolibm.h, gl/isnanl.c, gl/itold.c, gl/m4/dup2.m4,
	gl/m4/exponentd.m4, gl/m4/exponentf.m4, gl/m4/exponentl.m4,
	gl/m4/extern-inline.m4, gl/m4/float_h.m4, gl/m4/fpieee.m4,
	gl/m4/frexp.m4, gl/m4/frexpl.m4, gl/m4/fseterr.m4,
	gl/m4/getdtablesize.m4, gl/m4/getpagesize.m4, gl/m4/gnulib-comp.m4,
	gl/m4/intmax_t.m4, gl/m4/inttypes.m4, gl/m4/inttypes_h.m4,
	gl/m4/isnand.m4, gl/m4/isnanf.m4, gl/m4/isnanl.m4, gl/m4/ldexpl.m4,
	gl/m4/manywarnings.m4, gl/m4/math_h.m4, gl/m4/memchr.m4,
	gl/m4/mmap-anon.m4, gl/m4/printf-frexp.m4, gl/m4/printf-frexpl.m4,
	gl/m4/printf.m4, gl/m4/signbit.m4, gl/m4/size_max.m4,
	gl/m4/stdint_h.m4, gl/m4/unistd_h.m4, gl/m4/vasnprintf.m4,
	gl/m4/vfprintf-posix.m4, gl/m4/warnings.m4, gl/m4/xsize.m4,
	gl/math.c, gl/math.in.h, gl/memchr.c, gl/memchr.valgrind,
	gl/printf-args.c, gl/printf-args.h, gl/printf-frexp.c,
	gl/printf-frexp.h, gl/printf-frexpl.c, gl/printf-frexpl.h,
	gl/printf-parse.c, gl/printf-parse.h, gl/signbitd.c, gl/signbitf.c,
	gl/signbitl.c, gl/size_max.h, {gltests => gl}/stdint.in.h,
	gl/stdio-impl.h, {gltests => gl}/stdio.in.h,
	gl/strerror-override.h, gl/unistd.in.h, gl/vasnprintf.c,
	gl/vasnprintf.h, gl/verify.h, gl/vfprintf.c, {gltests =>
	gl}/wchar.in.h, gl/xsize.c, gl/xsize.h, gltests/Makefile.am,
	gltests/binary-io.h, gltests/dup2.c, gltests/getdtablesize.c,
	gltests/getpagesize.c, gltests/infinity.h, gltests/inttypes.in.h,
	gltests/macros.h, gltests/minus-zero.h, gltests/nan.h,
	gltests/randomd.c, gltests/randoml.c, gltests/test-dup2.c,
	gltests/test-float.c, gltests/test-fprintf-posix.h,
	gltests/test-frexp.c, gltests/test-frexp.h, gltests/test-frexpl.c,
	gltests/test-fseterr.c, gltests/test-getdtablesize.c,
	gltests/test-isnand-nolibm.c, gltests/test-isnand.h,
	gltests/test-isnanf-nolibm.c, gltests/test-isnanf.h,
	gltests/test-isnanl-nolibm.c, gltests/test-isnanl.h,
	gltests/test-math.c, gltests/test-memchr.c,
	gltests/test-printf-frexp.c, gltests/test-printf-frexpl.c,
	gltests/test-printf-posix.output, gltests/test-signbit.c,
	gltests/test-vasnprintf.c, gltests/test-vfprintf-posix.c,
	gltests/test-vfprintf-posix.sh, gltests/zerosize-ptr.h,
	lib/gl/m4/extern-inline.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/inttypes.m4, lib/gl/m4/unistd_h.m4,
	lib/gltests/Makefile.am, lib/gltests/glthread/thread.h,
	lib/gltests/inttypes.in.h, lib/gltests/macros.h,
	lib/gltests/unistd.in.h, lib/gltests/verify.h, tests/Makefile.am: 
	Update gnulib files.

2013-10-24  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/stringprep.h: Bump versions.

2013-10-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/nfkc.c: Mark internal variable "g_utf8_skip" as static.  Reported by Thomas Dineen <tdineen@ix.netcom.com>.

2013-10-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, src/idn.c: Flush stdout to simplify for tools that buffer
	too heavily.  Tiny patch from Hugh Daschbach <hugh@ccss.com>.

2013-07-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.28.

2013-07-10  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Java doc fix.

2013-07-10  Simon Josefsson <simon@josefsson.org>

	* java/src/util/java/TestIDNA.java: Fix last commit.

2013-07-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2013-07-10  Simon Josefsson <simon@josefsson.org>

	* java/src/util/java/TestIDNA.java: Fix -a and -u logic mixup.

2013-07-10  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2013-07-10  Simon Josefsson <simon@josefsson.org>

	* po/vi.po.in: Sync with TP.

2013-07-09  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update gnulib files.

2013-07-09  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Add all classes.

2013-07-09  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2013-07-08  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, configure.ac: Bump gettext to 0.18.3 to work better with
	modern automake.

2013-07-08  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix for recent automake.

2013-07-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2013-07-08  Simon Josefsson <simon@josefsson.org>

	* gl/m4/extern-inline.m4, gl/m4/gnulib-comp.m4, gl/msvc-inval.c,
	gl/verify.h, gltests/getcwd-lgpl.c, gltests/ignore-value.h,
	lib/gl/m4/extern-inline.m4, lib/gltests/verify.h: Update gnulib
	files.

2013-06-06  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h: Generated.

2013-06-06  Simon Josefsson <simon@josefsson.org>

	* java/src/main/java/gnu/inet/encoding/Makefile.am: Dist
	RangeSet.java.

2013-06-06  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Include RangeSet.class in jar file, otherwise
	compilation fails.

2013-06-05  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, src/idn.c: Prevent tool from crashing when
	stringprep_utf8_to_locale doesn't work.  Reported by Jeffrey Frey <frey@udel.edu>.

2013-06-05  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.26.

2013-06-05  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2013-06-05  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2013-06-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.27.

2013-06-05  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Add.

2013-06-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add NEWS blurbs.

2013-06-05  Simon Josefsson <simon@josefsson.org>

	* java/src/main/java/Makefile.am,
	java/src/main/java/gnu/inet/encoding/RangeSet.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java,
	java/src/test/java/gnu/inet/encoding/RangeSetTest.java,
	java/src/test/java/gnu/inet/encoding/caliper/CaliperStringprep.java: 
	Fix syntax-check nits.

2013-06-05  Simon Josefsson <simon@josefsson.org>

	* .clcopying, AUTHORS, COPYING, FAQ, HACKING, Makefile.am, NEWS,
	README, THANKS, TODO, cfg.mk, configure.ac, contrib/README,
	contrib/doxygen/gdoc2doxygen, contrib/java/Makefile.am,
	contrib/java/README, csharp/AssemblyInfo.cs, csharp/IDNA.cs,
	csharp/IDNAException.cs, csharp/Makefile.am, csharp/NFKC.cs,
	csharp/Punycode.cs, csharp/PunycodeException.cs,
	csharp/Stringprep.cs, csharp/StringprepException.cs,
	csharp/generate/AssemblyInfo.cs, csharp/generate/GenerateNFKC.cs,
	csharp/generate/GenerateRFC3454.cs, csharp/generate/HashSet.cs,
	csharp/generate/Program.cs, csharp/generate/Tokenizer.cs,
	doc/Makefile.am, doc/cyclo/Makefile.am, doc/gdoc, doc/gdoc.mk,
	doc/java/Makefile.am, doc/libidn.texi, doc/tld/Makefile.am,
	doc/tld/README, doc/tld/fr.tld, doc/tld/no.tld,
	examples/Makefile.am, examples/README, examples/example.c,
	examples/example2.c, examples/example3.c, examples/example4.c,
	examples/example5.c, java/Makefile.am, java/src/Makefile.am,
	java/src/main/Makefile.am, java/src/main/java/Makefile.am,
	java/src/main/java/gnu/Makefile.am,
	java/src/main/java/gnu/inet/Makefile.am,
	java/src/main/java/gnu/inet/encoding/IDNA.java,
	java/src/main/java/gnu/inet/encoding/IDNAException.java,
	java/src/main/java/gnu/inet/encoding/Makefile.am,
	java/src/main/java/gnu/inet/encoding/NFKC.java,
	java/src/main/java/gnu/inet/encoding/Punycode.java,
	java/src/main/java/gnu/inet/encoding/PunycodeException.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java,
	java/src/main/java/gnu/inet/encoding/StringprepException.java,
	java/src/test/Makefile.am, java/src/test/java/Makefile.am,
	java/src/util/Makefile.am, java/src/util/java/GenerateNFKC.java,
	java/src/util/java/GenerateRFC3454.java,
	java/src/util/java/Makefile.am, java/src/util/java/TestIDNA.java,
	java/src/util/java/TestNFKC.java, lib/Makefile.am,
	lib/gen-stringprep-tables.pl, lib/gen-tld-tables.pl,
	lib/gen-unicode-tables.pl, lib/idn-free.c, lib/idn-free.h,
	lib/idna.c, lib/idna.h, lib/libidn.map, lib/nfkc.c, lib/pr29.c,
	lib/pr29.h, lib/profiles.c, lib/punycode.c, lib/punycode.h,
	lib/strerror-idna.c, lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/stringprep.h, lib/tld.c, lib/tld.h, lib/toutf8.c,
	lib/version.c, libc/README, libc/example.c,
	libc/getaddrinfo-idn.txt, libidn.pc.in,
	m4/update-header-version.m4, src/Makefile.am, src/idn.c,
	src/idn.ggo, src/idna.el, src/punycode.el, tests/Makefile.am,
	tests/libidn.supp, tests/tst_idna.c, tests/tst_idna2.c,
	tests/tst_idna3.c, tests/tst_idna4.c, tests/tst_nfkc.c,
	tests/tst_pr29.c, tests/tst_punycode.c, tests/tst_strerror.c,
	tests/tst_stringprep.c, tests/tst_symbols.c, tests/tst_tld.c,
	tests/tst_toutf8.c, tests/utils.c, tests/utils.h,
	windows/include/ac-stdint.h, windows/include/config.h,
	windows/include/idn-int.h, windows/include/stdbool.h,
	windows/libidn4win.mk: Update copyright years.

2013-06-05  Simon Josefsson <simon@josefsson.org>

	* po/eo.po.in: Sync with TP.

2013-06-05  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/config.rpath, build-aux/csharpcomp.sh.in,
	build-aux/csharpexec.sh.in, build-aux/gendocs.sh,
	build-aux/gnupload, build-aux/pmccabe2html,
	build-aux/snippet/arg-nonnull.h, build-aux/snippet/c++defs.h,
	build-aux/snippet/unused-parameter.h,
	build-aux/snippet/warn-on-use.h, build-aux/update-copyright,
	build-aux/useless-if-before-free, build-aux/vc-list-files,
	doc/gendocs_template, gl/Makefile.am, gl/errno.in.h, gl/error.c,
	gl/error.h, gl/getopt.c, gl/getopt.in.h, gl/getopt1.c,
	gl/getopt_int.h, gl/gettext.h, gl/intprops.h, gl/m4/00gnulib.m4,
	gl/m4/alloca.m4, gl/m4/autobuild.m4, gl/m4/close.m4,
	gl/m4/csharp.m4, gl/m4/csharpcomp.m4, gl/m4/csharpexec.m4,
	gl/m4/dup2.m4, gl/m4/eealloc.m4, gl/m4/environ.m4,
	gl/m4/errno_h.m4, gl/m4/error.m4, gl/m4/extensions.m4,
	gl/m4/extern-inline.m4, gl/m4/fcntl-o.m4, gl/m4/fcntl_h.m4,
	gl/m4/fdopen.m4, gl/m4/fstat.m4, gl/m4/getcwd.m4,
	gl/m4/getdtablesize.m4, gl/m4/getopt.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4,
	gl/m4/include_next.m4, gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4,
	gl/m4/largefile.m4, gl/m4/longlong.m4, gl/m4/lstat.m4,
	gl/m4/malloc.m4, gl/m4/malloca.m4, gl/m4/manywarnings.m4,
	gl/m4/mode_t.m4, gl/m4/msvc-inval.m4, gl/m4/msvc-nothrow.m4,
	gl/m4/multiarch.m4, gl/m4/nocrash.m4, gl/m4/off_t.m4,
	gl/m4/open.m4, gl/m4/pathmax.m4, gl/m4/putenv.m4, gl/m4/setenv.m4,
	gl/m4/ssize_t.m4, gl/m4/stat.m4, gl/m4/stdarg.m4, gl/m4/stdbool.m4,
	gl/m4/stddef_h.m4, gl/m4/stdint.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/strerror.m4, gl/m4/string_h.m4,
	gl/m4/symlink.m4, gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/sys_types_h.m4, gl/m4/time_h.m4, gl/m4/unistd_h.m4,
	gl/m4/valgrind-tests.m4, gl/m4/version-etc.m4,
	gl/m4/warn-on-use.m4, gl/m4/warnings.m4, gl/m4/wchar_h.m4,
	gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/msvc-inval.c,
	gl/msvc-inval.h, gl/msvc-nothrow.c, gl/msvc-nothrow.h,
	gl/progname.c, gl/progname.h, gl/stdarg.in.h, gl/stddef.in.h,
	gl/strerror-override.c, gl/strerror-override.h, gl/strerror.c,
	gl/string.in.h, gl/sys_types.in.h, gl/unistd.in.h, gl/verify.h,
	gl/version-etc.c, gl/version-etc.h, gltests/Makefile.am,
	gltests/alloca.in.h, gltests/binary-io.h, gltests/close.c,
	gltests/dosname.h, gltests/dup2.c, gltests/fcntl.in.h,
	gltests/fd-hook.c, gltests/fd-hook.h, gltests/fdopen.c,
	gltests/fstat.c, gltests/getcwd-lgpl.c, gltests/getdtablesize.c,
	gltests/ignore-value.h, gltests/init.sh, gltests/inttypes.in.h,
	gltests/lstat.c, gltests/macros.h, gltests/malloc.c,
	gltests/malloca.c, gltests/malloca.h, gltests/open.c,
	gltests/pathmax.h, gltests/putenv.c, gltests/same-inode.h,
	gltests/setenv.c, gltests/signature.h, gltests/stat.c,
	gltests/stdbool.in.h, gltests/stdint.in.h, gltests/stdio.c,
	gltests/stdio.in.h, gltests/stdlib.in.h, gltests/symlink.c,
	gltests/sys_stat.in.h, gltests/test-alloca-opt.c,
	gltests/test-binary-io.c, gltests/test-close.c,
	gltests/test-dup2.c, gltests/test-environ.c, gltests/test-errno.c,
	gltests/test-fdopen.c, gltests/test-fgetc.c, gltests/test-fputc.c,
	gltests/test-fread.c, gltests/test-fstat.c, gltests/test-fwrite.c,
	gltests/test-getcwd-lgpl.c, gltests/test-getdtablesize.c,
	gltests/test-getopt.c, gltests/test-getopt.h,
	gltests/test-getopt_long.h, gltests/test-ignore-value.c,
	gltests/test-init.sh, gltests/test-intprops.c,
	gltests/test-inttypes.c, gltests/test-lstat.c,
	gltests/test-lstat.h, gltests/test-malloca.c, gltests/test-open.c,
	gltests/test-open.h, gltests/test-pathmax.c, gltests/test-setenv.c,
	gltests/test-stat.c, gltests/test-stat.h, gltests/test-stdbool.c,
	gltests/test-stddef.c, gltests/test-stdint.c, gltests/test-stdio.c,
	gltests/test-strerror.c, gltests/test-symlink.c,
	gltests/test-symlink.h, gltests/test-sys_types.c,
	gltests/test-unsetenv.c, gltests/test-vc-list-files-cvs.sh,
	gltests/test-vc-list-files-git.sh, gltests/test-verify.c,
	gltests/test-version-etc.c, gltests/test-version-etc.sh,
	gltests/time.in.h, gltests/unsetenv.c, gltests/version-etc-fsf.c,
	gltests/wchar.in.h, lib/gl/Makefile.am, lib/gl/c-ctype.c,
	lib/gl/c-ctype.h, lib/gl/c-strcase.h, lib/gl/c-strcasecmp.c,
	lib/gl/c-strncasecmp.c, lib/gl/gettext.h, lib/gl/iconv.c,
	lib/gl/iconv.in.h, lib/gl/iconv_close.c, lib/gl/iconv_open.c,
	lib/gl/m4/00gnulib.m4, lib/gl/m4/alloca.m4, lib/gl/m4/codeset.m4,
	lib/gl/m4/eealloc.m4, lib/gl/m4/environ.m4,
	lib/gl/m4/extensions.m4, lib/gl/m4/extern-inline.m4,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/gnulib-tool.m4,
	lib/gl/m4/iconv.m4, lib/gl/m4/iconv_h.m4, lib/gl/m4/iconv_open.m4,
	lib/gl/m4/include_next.m4, lib/gl/m4/inline.m4,
	lib/gl/m4/intlmacosx.m4, lib/gl/m4/inttypes-pri.m4,
	lib/gl/m4/inttypes.m4, lib/gl/m4/lcmessage.m4,
	lib/gl/m4/ld-output-def.m4, lib/gl/m4/ld-version-script.m4,
	lib/gl/m4/lib-ld.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/lib-prefix.m4, lib/gl/m4/libunistring-base.m4,
	lib/gl/m4/locale-fr.m4, lib/gl/m4/locale-ja.m4,
	lib/gl/m4/locale-tr.m4, lib/gl/m4/locale-zh.m4,
	lib/gl/m4/locale_h.m4, lib/gl/m4/localename.m4, lib/gl/m4/lock.m4,
	lib/gl/m4/longlong.m4, lib/gl/m4/malloc.m4, lib/gl/m4/malloca.m4,
	lib/gl/m4/multiarch.m4, lib/gl/m4/off_t.m4, lib/gl/m4/putenv.m4,
	lib/gl/m4/setenv.m4, lib/gl/m4/setlocale.m4, lib/gl/m4/ssize_t.m4,
	lib/gl/m4/stdbool.m4, lib/gl/m4/stddef_h.m4, lib/gl/m4/stdint.m4,
	lib/gl/m4/stdlib_h.m4, lib/gl/m4/string_h.m4,
	lib/gl/m4/strverscmp.m4, lib/gl/m4/sys_types_h.m4,
	lib/gl/m4/thread.m4, lib/gl/m4/threadlib.m4, lib/gl/m4/unistd_h.m4,
	lib/gl/m4/visibility.m4, lib/gl/m4/warn-on-use.m4,
	lib/gl/m4/wchar_h.m4, lib/gl/m4/wchar_t.m4, lib/gl/m4/wint_t.m4,
	lib/gl/m4/yield.m4, lib/gl/stdbool.in.h, lib/gl/stddef.in.h,
	lib/gl/stdint.in.h, lib/gl/striconv.c, lib/gl/striconv.h,
	lib/gl/string.in.h, lib/gl/strverscmp.c, lib/gl/unistr.in.h,
	lib/gl/unistr/u8-mbtoucr.c, lib/gl/unistr/u8-uctomb-aux.c,
	lib/gl/unistr/u8-uctomb.c, lib/gl/unitypes.in.h,
	lib/gltests/Makefile.am, lib/gltests/alloca.in.h,
	lib/gltests/glthread/lock.c, lib/gltests/glthread/lock.h,
	lib/gltests/glthread/thread.c, lib/gltests/glthread/thread.h,
	lib/gltests/glthread/threadlib.c, lib/gltests/glthread/yield.h,
	lib/gltests/init.sh, lib/gltests/intprops.h,
	lib/gltests/inttypes.in.h, lib/gltests/locale.in.h,
	lib/gltests/localename.c, lib/gltests/localename.h,
	lib/gltests/macros.h, lib/gltests/malloc.c, lib/gltests/malloca.c,
	lib/gltests/malloca.h, lib/gltests/putenv.c, lib/gltests/setenv.c,
	lib/gltests/setlocale.c, lib/gltests/signature.h,
	lib/gltests/stdlib.in.h, lib/gltests/sys_types.in.h,
	lib/gltests/test-alloca-opt.c, lib/gltests/test-c-ctype.c,
	lib/gltests/test-c-strcasecmp.c, lib/gltests/test-c-strncasecmp.c,
	lib/gltests/test-environ.c, lib/gltests/test-iconv.c,
	lib/gltests/test-init.sh, lib/gltests/test-intprops.c,
	lib/gltests/test-inttypes.c, lib/gltests/test-locale.c,
	lib/gltests/test-localename.c, lib/gltests/test-lock.c,
	lib/gltests/test-malloca.c, lib/gltests/test-setenv.c,
	lib/gltests/test-setlocale1.c, lib/gltests/test-setlocale2.c,
	lib/gltests/test-stdbool.c, lib/gltests/test-stddef.c,
	lib/gltests/test-stdint.c, lib/gltests/test-stdlib.c,
	lib/gltests/test-striconv.c, lib/gltests/test-strverscmp.c,
	lib/gltests/test-sys_types.c, lib/gltests/test-sys_wait.h,
	lib/gltests/test-thread_create.c, lib/gltests/test-thread_self.c,
	lib/gltests/test-unistd.c, lib/gltests/test-unsetenv.c,
	lib/gltests/test-verify.c, lib/gltests/unistd.in.h,
	lib/gltests/unistr/test-u8-mbtoucr.c,
	lib/gltests/unistr/test-u8-uctomb.c, lib/gltests/unsetenv.c,
	lib/gltests/verify.h, lib/gltests/wchar.in.h, maint.mk: Update
	gnulib files.

2013-06-05  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Fix .gitignore for new java stuff.

2013-05-02  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/RangeSet.java,
	java/src/test/java/gnu/inet/encoding/RangeSetTest.java,
	java/src/test/java/gnu/inet/encoding/StringprepTest.java,
	java/src/test/java/gnu/inet/encoding/caliper/CaliperStringprep.java: 
	Added missing copyright headers. Describe how to use caliper
	benchmarks with jenkins/hudson + caliper-ci.  Signed-off-by: Simon Josefsson <simon@josefsson.org>

2013-04-29  stela <stela@lysator.liu.se>

	* java/pom.xml.in: Upgraded (test) dependencies and mvn plugins to
	latest versions Signed-off-by: Simon Josefsson <simon@josefsson.org>

2013-04-29  stela <stela@lysator.liu.se>

	* java/src/test/java/gnu/inet/encoding/RangeSetTest.java: Avoid
	using deprecared junit classes Signed-off-by: Simon Josefsson <simon@josefsson.org>

2013-02-08  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/RangeSet.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java: First do
	simplistic check if input is all within common pass-through ranges.
	Speeds up common inputs up to about 25%.  Signed-off-by: Simon Josefsson <simon@josefsson.org>

2013-02-08  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/RangeSet.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java: Eliminate
	length-calculations, minor cleanups Signed-off-by: Simon Josefsson <simon@josefsson.org>

2013-02-08  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/RangeSet.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java: Optimize
	search for head-range, don't binary-search past end-index of highest
	character Signed-off-by: Simon Josefsson <simon@josefsson.org>

2013-02-07  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/RangeSet.java: Optimize
	search for head-range, don't binary-search past end-index of highest
	character Signed-off-by: Simon Josefsson <simon@josefsson.org>

2013-02-03  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/RangeSet.java: First check
	most significant gap (exists if it contains the letter "a") in the
	ranges, often provides fast-fail Signed-off-by: Simon Josefsson <simon@josefsson.org>

2013-01-29  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/Stringprep.java: Filter using
	RangeSet, reverse loops order Signed-off-by: Simon Josefsson <simon@josefsson.org>

2013-01-29  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/NFKC.java: normalizeNFKC
	pre-allocates output, pre-calculate fixed input length Signed-off-by: Simon Josefsson <simon@josefsson.org>

2013-01-23  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/Stringprep.java: Replaced all
	contains methods with RangeSet operations.  Made resourceprep faster, others slightly slower. Less redundant
	code to maintain/optimize later though Signed-off-by: Simon Josefsson <simon@josefsson.org>

2013-01-23  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/RangeSet.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java,
	java/src/test/java/gnu/inet/encoding/RangeSetTest.java,
	java/src/test/java/gnu/inet/encoding/caliper/CaliperStringprep.java: 
	Added RangeSet implementation used for stringprep-table-contains
	lookups. Made nodeprep twice as fast, nameprep slightly faster,
	overall 20-40% faster.  Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-11-12  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/Stringprep.java: If tested
	text characters all below char to match (out of sorted set), abort
	as remaining higher chars won't be matched either Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-11-12  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/Stringprep.java: Don't do
	redundant StringBuilder length() or charAt() calls when doing
	contains-checks Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-11-12  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/Stringprep.java: Do
	character-replacement lookups through binary search instead of
	linear search Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-11-12  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/IDNA.java,
	java/src/main/java/gnu/inet/encoding/NFKC.java,
	java/src/main/java/gnu/inet/encoding/Punycode.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java: Replace
	synchronized StringBuffer with faster unsynchronized StringBuilder Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-11-12  stela <stela@lysator.liu.se>

	* java/pom.xml.in,
	java/src/test/java/gnu/inet/encoding/caliper/CaliperStringprep.java: 
	Added caliper tests for common types of stringprep operations.
	Allows use of jenkins + caliper-ci to produce nice graphs of
	improvements per release.  Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-11-12  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/IDNA.java,
	java/src/main/java/gnu/inet/encoding/NFKC.java,
	java/src/main/java/gnu/inet/encoding/Punycode.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java: Revert from
	fast StringBuilder to slow StringBuffer for now just to establish a
	performance baseline.  Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-11-03  stela <stela@lysator.liu.se>

	* java/pom.xml.in, java/src/main/java/gnu/inet/encoding/NFKC.java,
	java/src/test/java/gnu/inet/encoding/StringprepTest.java: Added test
	cases converted from C version. Avoid reading first character of
	empty strings, happened when a zero width space is converted to
	nothing.  Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-11-03  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/NFKC.java: Change comments
	from stringbuffer to StringBuilder as well Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-11-02  stela <stela@lysator.liu.se>

	* examples/example3.c, examples/example4.c, examples/example5.c: 
	Make example3/4/5.c compile on Ubuntu 12.04 LTS, cast %ld printf
	arguments Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-11-02  stela <stela@lysator.liu.se>

	* examples/example.c: Make example.c compile on Ubuntu 12.04 LTS,
	cast %ld printf arguments Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-09-02  stela <stela@lysator.liu.se>

	* java/src/main/java/gnu/inet/encoding/IDNA.java,
	java/src/main/java/gnu/inet/encoding/NFKC.java,
	java/src/main/java/gnu/inet/encoding/Punycode.java,
	java/src/main/java/gnu/inet/encoding/Stringprep.java,
	java/src/util/java/GenerateNFKC.java,
	java/src/util/java/GenerateRFC3454.java,
	java/src/util/java/TestIDNA.java, java/src/util/java/TestNFKC.java: 
	Replace needlessly synchronized StringBuffer with StringBuilder
	everywhere, benchmarked to result in roughly 4x stringprep speedup Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-09-01  stela <stela@lysator.liu.se>

	* configure.ac, pom.xml.in => java/pom.xml.in: Make maven build with
	new directory structure.  Added maven configuration to at least avoid warnings when building
	and make build reproducible Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-09-01  stela <stela@lysator.liu.se>

	* configure.ac: Use standard maven directory structure, but still
	allow building with make.  Moved java sources into java/src/main/java instead of plain "java".
	Created empty src/test/java for future unit test cases.  Moved
	code-generation and test classes into src/util/java instead of
	"misc" Adapted make files for changed paths Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-09-01  stela <stela@lysator.liu.se>

	* doc/java/Makefile.am, java/Makefile.am, java/src/Makefile.am,
	java/src/main/Makefile.am, java/src/main/java/Makefile.am, java/{
	=> src/main/java}/gnu/Makefile.am, java/{ =>
	src/main/java}/gnu/inet/Makefile.am, java/{ =>
	src/main/java}/gnu/inet/encoding/CombiningClass.java, java/{ =>
	src/main/java}/gnu/inet/encoding/Composition.java, java/{ =>
	src/main/java}/gnu/inet/encoding/DecompositionKeys.java, java/{ =>
	src/main/java}/gnu/inet/encoding/DecompositionMappings.java, java/{
	=> src/main/java}/gnu/inet/encoding/IDNA.java, java/{ =>
	src/main/java}/gnu/inet/encoding/IDNAException.java, java/{ =>
	src/main/java}/gnu/inet/encoding/Makefile.am, java/{ =>
	src/main/java}/gnu/inet/encoding/NFKC.java, java/{ =>
	src/main/java}/gnu/inet/encoding/Punycode.java, java/{ =>
	src/main/java}/gnu/inet/encoding/PunycodeException.java, java/{ =>
	src/main/java}/gnu/inet/encoding/RFC3454.java, java/{ =>
	src/main/java}/gnu/inet/encoding/Stringprep.java, java/{ =>
	src/main/java}/gnu/inet/encoding/StringprepException.java,
	java/src/test/Makefile.am, java/{misc =>
	src/test/java}/Makefile.am, java/src/util/Makefile.am, java/{misc
	=> src/util/java}/GenerateNFKC.java, java/{misc =>
	src/util/java}/GenerateRFC3454.java,
	java/src/util/java/Makefile.am, java/{misc =>
	src/util/java}/TestIDNA.java, java/{misc =>
	src/util/java}/TestNFKC.java: Use standard maven directory
	structure, but still allow building with make.  Moved java sources into java/src/main/java instead of plain "java".
	Created empty src/test/java for future unit test cases.  Moved
	code-generation and test classes into src/util/java instead of
	"misc" Adapted make files for changed paths

2012-12-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/stringprep.h: Bump versions.

2012-12-12  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, gl/m4/extern-inline.m4,
	lib/gl/m4/extern-inline.m4: Update gnulib files.

2012-12-11  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix release rules.

2012-12-11  Simon Josefsson <simon@josefsson.org>

	* HACKING: More release dependencies.

2012-12-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.26.

2012-12-10  Simon Josefsson <simon@josefsson.org>

	* COPYING, NEWS, java/LICENSE-2.0.txt, java/Makefile.am: java:
	Permit usage by Apache projects.

2012-12-10  Simon Josefsson <simon@josefsson.org>

	* HACKING: Note additional dependencies.

2012-12-10  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Improve gendocs.sh usage.

2012-12-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2012-12-09  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Fix mem leak.

2012-12-09  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2012-12-09  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Check for out-of-bounds read (trigger with
	in={'f','o','o'} and inlen=3).

2012-12-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Silence warning.

2012-12-09  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, build-aux/snippet/warn-on-use.h,
	doc/fdl-1.3.texi, doc/gendocs_template, gl/Makefile.am,
	gl/errno.in.h, gl/error.c, gl/m4/eealloc.m4, gl/m4/errno_h.m4,
	gl/m4/error.m4, gl/m4/extern-inline.m4, gl/m4/fstat.m4,
	gl/m4/gnulib-comp.m4, gl/m4/lstat.m4, gl/m4/manywarnings.m4,
	gl/m4/open.m4, gl/m4/stat.m4, gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4,
	gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4, gl/m4/unistd_h.m4,
	gl/strerror-override.c, gl/strerror-override.h, gl/unistd.c,
	gl/unistd.in.h, gltests/Makefile.am, gltests/binary-io.c,
	gltests/binary-io.h, gltests/fcntl.in.h, gltests/fstat.c,
	gltests/lstat.c, gltests/malloca.h, gltests/open.c, gltests/stat.c,
	gltests/stdio.c, gltests/stdio.in.h, gltests/stdlib.in.h,
	gltests/sys_stat.in.h, lib/gl/m4/eealloc.m4,
	lib/gl/m4/extern-inline.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/lib-ld.m4, lib/gl/m4/lock.m4, lib/gl/m4/stdlib_h.m4,
	lib/gl/m4/thread.m4, lib/gl/m4/unistd_h.m4,
	lib/gltests/Makefile.am, lib/gltests/glthread/lock.c,
	lib/gltests/glthread/thread.c, lib/gltests/glthread/thread.h,
	lib/gltests/localename.c, lib/gltests/malloca.h,
	lib/gltests/stdlib.in.h, lib/gltests/unistd.c,
	lib/gltests/unistd.in.h, maint.mk: Update gnulib files.

2012-11-22  Simon Josefsson <simon@josefsson.org>

	* po/hr.po.in: Sync with TP.

2012-09-18  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/{Makefile.gdoci => gdoc.mk}: Use modern
	gdoc.mk.

2012-09-18  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Silence clang warning in library.

2012-09-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2012-09-18  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Improve tld self-test.

2012-09-18  Simon Josefsson <simon@josefsson.org>

	* po/hr.po.in: Sync with TP.

2012-09-18  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, gl/m4/fcntl-o.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/manywarnings.m4, gltests/stdbool.in.h,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/stdbool.in.h, maint.mk: Update gnulib files.

2012-08-09  Simon Josefsson <simon@josefsson.org>

	* .gitignore, Makefile.am, cfg.mk, doc/announce.txt,
	doc/libidn.texi, {win32 => windows}/include/ac-stdint.h, {win32 =>
	windows}/include/config.h, {win32 => windows}/include/idn-int.h,
	{win32 => windows}/include/stdbool.h, {win32 =>
	windows}/include/unistd.h, {win32 => windows}/libidn.sln, {win32 =>
	windows}/libidn.vcproj, {win32 => windows}/libidn4win.mk: Rename
	win32/ to windows/.

2012-08-09  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, maint.mk: Update gnulib files.

2012-08-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Mention i18n update.

2012-08-02  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/hr.po.in, po/vi.po.in: Sync with TP.

2012-08-02  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Silence syntax-check.

2012-08-02  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, gl/errno.in.h, gl/m4/errno_h.m4,
	gl/m4/extensions.m4, gl/m4/fdopen.m4, gl/m4/getopt.m4,
	gl/m4/gnulib-common.m4, gl/m4/largefile.m4, gl/m4/manywarnings.m4,
	gl/m4/multiarch.m4, gl/m4/nocrash.m4, gl/m4/stdio_h.m4,
	gl/m4/time_h.m4, gl/override/lib/gettext.h.diff,
	gl/strerror-override.c, gl/strerror-override.h, gl/unistd.in.h,
	gl/verify.h, gltests/alloca.in.h, gltests/fstat.c, gltests/init.sh,
	gltests/stat.c, gltests/stdint.in.h, gltests/stdlib.in.h,
	gltests/test-alloca-opt.c, gltests/test-errno.c,
	gltests/test-malloca.c, lib/gl/m4/extensions.m4,
	lib/gl/m4/gnulib-common.m4, lib/gl/m4/intlmacosx.m4,
	lib/gl/m4/locale-fr.m4, lib/gl/m4/locale-ja.m4,
	lib/gl/m4/locale-tr.m4, lib/gl/m4/locale-zh.m4,
	lib/gl/m4/locale_h.m4, lib/gl/m4/lock.m4, lib/gl/m4/multiarch.m4,
	lib/gl/m4/threadlib.m4, lib/gl/m4/visibility.m4,
	lib/gl/override/lib/gettext.h.diff, lib/gl/stdint.in.h,
	lib/gltests/alloca.in.h, lib/gltests/init.sh,
	lib/gltests/locale.in.h, lib/gltests/localename.c,
	lib/gltests/stdlib.in.h, lib/gltests/test-alloca-opt.c,
	lib/gltests/test-localename.c, lib/gltests/test-malloca.c,
	lib/gltests/unistd.in.h, lib/gltests/verify.h, maint.mk: Update
	gnulib files.

2012-08-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, lib/idna.c: libidn, idna_to_ascii: Propagate error
	on malloc failure.  Reported and tiny patch by Sarat Chandra Addepalli
	<s.addepalli@samsung.com>.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* README: Use https URLs.

2012-05-28  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 1.25.

2012-05-25  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Improve debug output from version
	comparisons.

2012-05-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/stringprep.h: Bump versions.

2012-05-23  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix release rules.

2012-05-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.25.

2012-05-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, doc/gendocs_template,
	gl/override/doc/gendocs_template.diff: Use devhelp2 format.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Push to git after doing gnupload.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* po/id.po.in: Sync with TP.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* build-aux/snippet/_Noreturn.h, gl/m4/dup2.m4, gl/m4/fstat.m4,
	gl/m4/getcwd.m4, gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/m4/lstat.m4, gl/m4/malloc.m4, gl/m4/off_t.m4, gl/m4/putenv.m4,
	gl/m4/setenv.m4, gl/m4/stat.m4, gl/m4/strerror.m4,
	gl/m4/symlink.m4, gl/m4/sys_types_h.m4, gl/m4/unistd_h.m4,
	gl/m4/warnings.m4, gltests/binary-io.h, gltests/ignore-value.h,
	gltests/init.sh, gltests/stdint.in.h, gltests/test-binary-io.c,
	gltests/test-binary-io.sh, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/malloc.m4, lib/gl/m4/off_t.m4,
	lib/gl/m4/putenv.m4, lib/gl/m4/setenv.m4, lib/gl/m4/sys_types_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/stdint.in.h, lib/gltests/init.sh: 
	Update gnulib files.

2012-05-22  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Revert "Fix version controlled build of libidn with
	automake 1.12." This reverts commit cf725246a5585d56ccb14c46bfe2a163342ff21f.

2012-05-16  Simon Josefsson <simon@josefsson.org>

	* HACKING: Fix valgrind wording.

2012-05-10  Nitin A Kamble <nitin.a.kamble@intel.com>

	* configure.ac: Fix version controlled build of libidn with automake
	1.12.  Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-04-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2012-04-27  Simon Josefsson <simon@josefsson.org>

	* .gitignore, ChangeLog, cfg.mk: Remove ChangeLog, it is generated.

2012-04-27  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2012-04-27  Simon Josefsson <simon@josefsson.org>

	* HACKING: Mention release tools.

2012-04-27  Simon Josefsson <simon@josefsson.org>

	* build-aux/csharpcomp.sh.in, build-aux/csharpexec.sh.in,
	build-aux/gnupload, gl/Makefile.am, gl/m4/fstat.m4,
	gl/m4/gnulib-comp.m4, gl/m4/largefile.m4, gl/m4/stat.m4,
	gl/m4/stdio_h.m4, gl/m4/sys_stat_h.m4, gl/m4/sys_types_h.m4,
	gl/m4/unistd_h.m4, gl/m4/warn-on-use.m4, gl/m4/warnings.m4,
	gl/string.in.h, gl/sys_types.in.h, gl/unistd.in.h,
	gltests/Makefile.am, gltests/fcntl.in.h, gltests/fstat.c,
	gltests/stat.c, gltests/stdio.in.h, gltests/stdlib.in.h,
	gltests/sys_stat.in.h, gltests/test-sys_types.c,
	gltests/wchar.in.h, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/locale_h.m4, lib/gl/m4/sys_types_h.m4,
	lib/gl/m4/unistd_h.m4, lib/gl/m4/warn-on-use.m4,
	lib/gl/string.in.h, lib/gl/unistr.in.h, lib/gl/unitypes.in.h,
	lib/gltests/Makefile.am, lib/gltests/locale.in.h,
	lib/gltests/stdlib.in.h, lib/gltests/sys_types.in.h,
	lib/gltests/test-locale.c, lib/gltests/test-sys_types.c,
	lib/gltests/unistd.in.h, lib/gltests/wchar.in.h, maint.mk: Update
	gnulib files.

2012-04-27  Simon Josefsson <simon@josefsson.org>

	* po/sr.po.in, po/zh_CN.po.in: Sync with TP.

2012-04-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, examples/example.c, examples/example2.c,
	examples/example3.c, examples/example4.c, examples/example5.c: Fix
	compiler warning about unused fgets return value.

2012-04-27  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2012-04-27  Simon Josefsson <simon@josefsson.org>

	* HACKING, NEWS, tests/Makefile.am, tests/libidn.supp: Add valgrind
	suppressions file.

2012-04-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, win32/include/config.h: Dummy defines for
	_GL_ATTRIBUTE_CONST and _GL_ATTRIBUTE_PURE.  Reported by Bartosz Brachaczek <b.brachaczek@gmail.com> in

	<https://lists.gnu.org/archive/html/help-libidn/2012-04/msg00000.html>.

2012-03-06  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/config.rpath, build-aux/gnupload,
	build-aux/pmccabe.css, build-aux/update-copyright,
	doc/fdl-1.3.texi, gl/errno.in.h, gl/gettext.h, gl/m4/stdlib_h.m4,
	gl/msvc-inval.c, gl/msvc-inval.h, gl/msvc-nothrow.c,
	gl/msvc-nothrow.h, gl/stdarg.in.h, gl/stddef.in.h, gl/string.in.h,
	gl/unistd.in.h, gl/version-etc.h, gltests/Makefile.am,
	gltests/alloca.in.h, gltests/fcntl.in.h, gltests/ignore-value.h,
	gltests/init.sh, gltests/macros.h, gltests/malloc.c,
	gltests/malloca.c, gltests/malloca.h, gltests/pathmax.h,
	gltests/stdbool.in.h, gltests/stdint.in.h, gltests/stdio.in.h,
	gltests/stdlib.in.h, gltests/sys_stat.in.h, gltests/test-fgetc.c,
	gltests/test-fputc.c, gltests/test-fread.c, gltests/test-fwrite.c,
	gltests/test-init.sh, gltests/test-strerror.c, gltests/time.in.h,
	gltests/wchar.in.h, lib/gl/c-ctype.c, lib/gl/c-ctype.h,
	lib/gl/c-strcase.h, lib/gl/c-strcasecmp.c, lib/gl/c-strncasecmp.c,
	lib/gl/gettext.h, lib/gl/iconv.c, lib/gl/iconv.in.h,
	lib/gl/iconv_close.c, lib/gl/iconv_open.c, lib/gl/m4/locale-fr.m4,
	lib/gl/m4/locale-ja.m4, lib/gl/m4/locale-tr.m4,
	lib/gl/m4/locale-zh.m4, lib/gl/m4/stdlib_h.m4, lib/gl/stdbool.in.h,
	lib/gl/stddef.in.h, lib/gl/stdint.in.h, lib/gl/striconv.c,
	lib/gl/striconv.h, lib/gl/string.in.h, lib/gl/strverscmp.c,
	lib/gltests/Makefile.am, lib/gltests/alloca.in.h,
	lib/gltests/glthread/lock.c, lib/gltests/glthread/lock.h,
	lib/gltests/glthread/thread.c, lib/gltests/glthread/thread.h,
	lib/gltests/glthread/threadlib.c, lib/gltests/glthread/yield.h,
	lib/gltests/init.sh, lib/gltests/macros.h, lib/gltests/malloc.c,
	lib/gltests/malloca.c, lib/gltests/malloca.h,
	lib/gltests/stdlib.in.h, lib/gltests/test-init.sh,
	lib/gltests/test-lock.c, lib/gltests/test-strverscmp.c,
	lib/gltests/unistd.in.h, lib/gltests/wchar.in.h, maint.mk: Update
	gnulib files.

2012-02-08  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Typos.

2012-01-10  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Drop files.

